/* DuplicityJob.c generated by valac 0.56.17, the Vala compiler
 * generated from DuplicityJob.vala, do not modify */

/* -*- Mode: Vala; indent-tabs-mode: nil; tab-width: 2 -*-
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 * SPDX-FileCopyrightText: Michael Terry
 */

#include "deja.h"
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gio/gio.h>
#include <glib/gi18n-lib.h>
#include <glib/gstdio.h>
#include <float.h>
#include <math.h>
#include <gpg-error.h>

#define DUPLICITY_JOB_MINIMUM_FULL 1
#define DUPLICITY_JOB_ERROR_GENERIC 1
#define DUPLICITY_JOB_ERROR_HOSTNAME_CHANGED 3
#define DUPLICITY_JOB_ERROR_RESTORE_DIR_NOT_FOUND 19
#define DUPLICITY_JOB_ERROR_EXCEPTION 30
#define DUPLICITY_JOB_ERROR_GPG 31
#define DUPLICITY_JOB_ERROR_BAD_VOLUME 44
#define DUPLICITY_JOB_ERROR_BACKEND 50
#define DUPLICITY_JOB_ERROR_BACKEND_PERMISSION_DENIED 51
#define DUPLICITY_JOB_ERROR_BACKEND_NOT_FOUND 52
#define DUPLICITY_JOB_ERROR_BACKEND_NO_SPACE 53
#define DUPLICITY_JOB_INFO_PROGRESS 2
#define DUPLICITY_JOB_INFO_COLLECTION_STATUS 3
#define DUPLICITY_JOB_INFO_DIFF_FILE_NEW 4
#define DUPLICITY_JOB_INFO_DIFF_FILE_CHANGED 5
#define DUPLICITY_JOB_INFO_DIFF_FILE_DELETED 6
#define DUPLICITY_JOB_INFO_PATCH_FILE_WRITING 7
#define DUPLICITY_JOB_INFO_PATCH_FILE_PATCHING 8
#define DUPLICITY_JOB_INFO_FILE_STAT 10
#define DUPLICITY_JOB_INFO_SYNCHRONOUS_UPLOAD_BEGIN 11
#define DUPLICITY_JOB_INFO_ASYNCHRONOUS_UPLOAD_BEGIN 12
#define DUPLICITY_JOB_INFO_SYNCHRONOUS_UPLOAD_DONE 13
#define DUPLICITY_JOB_INFO_ASYNCHRONOUS_UPLOAD_DONE 14
#define DUPLICITY_JOB_WARNING_ORPHANED_SIG 2
#define DUPLICITY_JOB_WARNING_UNNECESSARY_SIG 3
#define DUPLICITY_JOB_WARNING_UNMATCHED_SIG 4
#define DUPLICITY_JOB_WARNING_INCOMPLETE_BACKUP 5
#define DUPLICITY_JOB_WARNING_ORPHANED_BACKUP 6
#define DUPLICITY_JOB_WARNING_CANNOT_STAT 9
#define DUPLICITY_JOB_WARNING_CANNOT_READ 10
#define DUPLICITY_JOB_WARNING_CANNOT_PROCESS 12
#define DUPLICITY_JOB_DEBUG_GENERIC 1
#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif

#define TYPE_DUPLICITY_JOB (duplicity_job_get_type ())
#define DUPLICITY_JOB(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_DUPLICITY_JOB, DuplicityJob))
#define DUPLICITY_JOB_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_DUPLICITY_JOB, DuplicityJobClass))
#define IS_DUPLICITY_JOB(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_DUPLICITY_JOB))
#define IS_DUPLICITY_JOB_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_DUPLICITY_JOB))
#define DUPLICITY_JOB_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_DUPLICITY_JOB, DuplicityJobClass))

typedef struct _DuplicityJob DuplicityJob;
typedef struct _DuplicityJobClass DuplicityJobClass;
typedef struct _DuplicityJobPrivate DuplicityJobPrivate;
typedef enum  {
	DUPLICITY_JOB_STATE_NOT_STARTED,
	DUPLICITY_JOB_STATE_NORMAL,
	DUPLICITY_JOB_STATE_DRY_RUN,
	DUPLICITY_JOB_STATE_STATUS,
	DUPLICITY_JOB_STATE_CLEANUP,
	DUPLICITY_JOB_STATE_DELETE
} DuplicityJobState;

#define DUPLICITY_JOB_TYPE_STATE (duplicity_job_state_get_type ())

#define TYPE_DUPLICITY_INSTANCE (duplicity_instance_get_type ())
#define DUPLICITY_INSTANCE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_DUPLICITY_INSTANCE, DuplicityInstance))
#define DUPLICITY_INSTANCE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_DUPLICITY_INSTANCE, DuplicityInstanceClass))
#define IS_DUPLICITY_INSTANCE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_DUPLICITY_INSTANCE))
#define IS_DUPLICITY_INSTANCE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_DUPLICITY_INSTANCE))
#define DUPLICITY_INSTANCE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_DUPLICITY_INSTANCE, DuplicityInstanceClass))

typedef struct _DuplicityInstance DuplicityInstance;
typedef struct _DuplicityInstanceClass DuplicityInstanceClass;

#define DUPLICITY_JOB_TYPE_DATE_INFO (duplicity_job_date_info_get_type ())
typedef struct _DuplicityJobDateInfo DuplicityJobDateInfo;
enum  {
	DUPLICITY_JOB_0_PROPERTY,
	DUPLICITY_JOB_STATE_PROPERTY,
	DUPLICITY_JOB_NUM_PROPERTIES
};
static GParamSpec* duplicity_job_properties[DUPLICITY_JOB_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _DuplicityJobStartData DuplicityJobStartData;
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_date_time_unref0(var) ((var == NULL) ? NULL : (var = (g_date_time_unref (var), NULL)))
typedef struct _DuplicityJobReportFullBackupsData DuplicityJobReportFullBackupsData;
typedef struct _DuplicityJobCheckBackupSpaceData DuplicityJobCheckBackupSpaceData;
#define _g_time_zone_unref0(var) ((var == NULL) ? NULL : (var = (g_time_zone_unref (var), NULL)))

struct _DuplicityJob {
	DejaDupToolJob parent_instance;
	DuplicityJobPrivate * priv;
};

struct _DuplicityJobClass {
	DejaDupToolJobClass parent_class;
	void (*process_error) (DuplicityJob* self, gchar** firstline, gint firstline_length1, GList* data, const gchar* text_in);
	void (*process_info) (DuplicityJob* self, gchar** firstline, gint firstline_length1, GList* data, const gchar* text);
	void (*process_warning) (DuplicityJob* self, gchar** firstline, gint firstline_length1, GList* data, const gchar* text);
};

struct _DuplicityJobDateInfo {
	gboolean full;
	GDateTime* time;
};

struct _DuplicityJobPrivate {
	DejaDupToolJobMode _original_mode;
	gboolean _error_issued;
	gboolean _was_stopped;
	DuplicityJobState _state;
	DuplicityInstance* inst;
	GList* includes_argv;
	GList* saved_argv;
	GList* saved_envp;
	gboolean is_full_backup;
	gboolean cleaned_up_once;
	gboolean detected_encryption;
	gboolean existing_encrypted;
	gchar* location_pretty;
	guint restore_files_total;
	gchar* last_bad_volume;
	guint bad_volume_count;
	gboolean has_progress_total;
	guint64 progress_total;
	guint64 progress_count;
	gboolean checked_collection_info;
	gboolean got_collection_info;
	GList* collection_info;
	gboolean reported_full_backups;
	gboolean checked_backup_space;
	gboolean deleted_files;
	gint delete_age;
	GFile* last_touched_file;
	gchar* forced_cache_dir;
	gchar* rclone_remote;
	gchar* saved_status;
	GFile* saved_status_file;
	gboolean saved_status_file_action;
	gboolean restarted_without_cache;
};

struct _DuplicityJobStartData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	DuplicityJob* self;
	DejaDupToolJobMode _tmp0_;
	DejaDupToolJobMode _tmp1_;
	DejaDupToolJobMode _tmp2_;
	DejaDupToolJobMode _tmp3_;
	DejaDupFilteredSettings* settings;
	DejaDupFilteredSettings* _tmp4_;
	DejaDupFilteredSettings* _tmp5_;
	DejaDupToolJobFlags _tmp6_;
	DejaDupToolJobFlags _tmp7_;
	gchar* template;
	gchar* _tmp8_;
	gchar* _tmp9_;
	gchar* _tmp10_;
	gchar* _tmp11_;
	const gchar* _tmp12_;
	gchar* _tmp13_;
	gchar* _tmp14_;
	DejaDupBackend* _tmp15_;
	DejaDupBackend* _tmp16_;
	GError* e;
	GError* _tmp17_;
	const gchar* _tmp18_;
	DejaDupBackend* _tmp19_;
	DejaDupBackend* _tmp20_;
	gchar* _tmp21_;
	DejaDupToolJobMode _tmp22_;
	DejaDupToolJobMode _tmp23_;
	DejaDupToolJobMode _tmp24_;
	DejaDupToolJobMode _tmp25_;
	DejaDupBackend* _tmp26_;
	DejaDupBackend* _tmp27_;
	DejaDupBackend* _tmp28_;
	DejaDupBackend* _tmp29_;
	DejaDupNetwork* _tmp30_;
	DejaDupNetwork* _tmp31_;
	DejaDupNetwork* _tmp32_;
	DejaDupNetwork* _tmp33_;
	gboolean _tmp34_;
	gboolean _tmp35_;
	gboolean _tmp36_;
	GError* _inner_error0_;
};

struct _DuplicityJobReportFullBackupsData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	DuplicityJob* self;
	GDateTime* full_backup;
	GList* _tmp0_;
	GList* info_collection;
	GList* info_it;
	DuplicityJobDateInfo _tmp1_;
	DuplicityJobDateInfo _tmp2_;
	DuplicityJobDateInfo info;
	DuplicityJobDateInfo _tmp3_;
	DuplicityJobDateInfo _tmp4_;
	GDateTime* _tmp5_;
	GDateTime* _tmp6_;
	gboolean first_backup;
	GDateTime* _tmp7_;
	GDateTime* threshold;
	GDateTime* _tmp8_;
	gboolean _tmp9_;
	GDateTime* _tmp10_;
	GDateTime* _tmp11_;
	GDateTime* _tmp12_;
	gboolean _tmp13_;
	DejaDupToolJobMode _tmp14_;
	DejaDupToolJobMode _tmp15_;
};

struct _DuplicityJobCheckBackupSpaceData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	DuplicityJob* self;
	gint full_dates;
	GList* _tmp0_;
	GList* info_collection;
	GList* info_it;
	DuplicityJobDateInfo _tmp1_;
	DuplicityJobDateInfo _tmp2_;
	DuplicityJobDateInfo info;
	DuplicityJobDateInfo _tmp3_;
	gint _tmp4_;
	gboolean first_backup;
	guint64 initial_required_space;
	guint64 free;
	DejaDupBackend* _tmp5_;
	DejaDupBackend* _tmp6_;
	guint64 total;
	DejaDupBackend* _tmp7_;
	DejaDupBackend* _tmp8_;
	gboolean _tmp9_;
	gchar* msg;
	gchar* _tmp10_;
	gchar* _tmp11_;
	gchar* _tmp12_;
	gchar* _tmp13_;
	gchar* _tmp14_;
	gchar* _tmp15_;
	const gchar* _tmp16_;
	guint64 _tmp17_;
	guint64 required_free_space;
	gchar* _vala1_msg;
	gchar* _tmp18_;
	gchar* _tmp19_;
	const gchar* _tmp20_;
	gchar* _tmp21_;
	gchar* _tmp22_;
	gchar* _tmp23_;
	gchar* _tmp24_;
};

static gint DuplicityJob_private_offset;
static gpointer duplicity_job_parent_class = NULL;
static GFile* duplicity_job_slash;
static GFile* duplicity_job_slash = NULL;

VALA_EXTERN GType duplicity_job_get_type (void) G_GNUC_CONST ;
VALA_EXTERN GType duplicity_job_state_get_type (void) G_GNUC_CONST ;
VALA_EXTERN GType duplicity_instance_get_type (void) G_GNUC_CONST ;
static GType duplicity_job_date_info_get_type (void) G_GNUC_CONST  G_GNUC_UNUSED ;
static DuplicityJobDateInfo* duplicity_job_date_info_dup (const DuplicityJobDateInfo* self);
static void duplicity_job_date_info_free (DuplicityJobDateInfo* self);
static void duplicity_job_date_info_copy (const DuplicityJobDateInfo* self,
                                   DuplicityJobDateInfo* dest);
static void duplicity_job_date_info_destroy (DuplicityJobDateInfo* self);
VALA_EXTERN void duplicity_job_process_error (DuplicityJob* self,
                                  gchar** firstline,
                                  gint firstline_length1,
                                  GList* data,
                                  const gchar* text_in);
VALA_EXTERN void duplicity_job_process_info (DuplicityJob* self,
                                 gchar** firstline,
                                 gint firstline_length1,
                                 GList* data,
                                 const gchar* text);
VALA_EXTERN void duplicity_job_process_warning (DuplicityJob* self,
                                    gchar** firstline,
                                    gint firstline_length1,
                                    GList* data,
                                    const gchar* text);
static void duplicity_job_network_changed (DuplicityJob* self);
static void _duplicity_job_network_changed_g_object_notify (GObject* _sender,
                                                     GParamSpec* pspec,
                                                     gpointer self);
static void _g_free0_ (gpointer var);
static inline void _g_list_free__g_free0_ (GList* self);
static void _duplicity_job_date_info_free0_ (gpointer var);
static inline void _g_list_free__duplicity_job_date_info_free0_ (GList* self);
static void duplicity_job_real_start_data_free (gpointer _data);
static void duplicity_job_real_start (DejaDupToolJob* base,
                               GAsyncReadyCallback _callback_,
                               gpointer _user_data_);
static gboolean duplicity_job_real_start_co (DuplicityJobStartData* _data_);
static DejaDupToolJobMode duplicity_job_get_original_mode (DuplicityJob* self);
static void duplicity_job_set_original_mode (DuplicityJob* self,
                                      DejaDupToolJobMode value);
static void duplicity_job_start_ready (GObject* source_object,
                                GAsyncResult* _res_,
                                gpointer _user_data_);
static void duplicity_job_fill_envp_from_backend (DuplicityJob* self,
                                           GError** error);
static void duplicity_job_process_include_excludes (DuplicityJob* self);
static gboolean duplicity_job_restart (DuplicityJob* self);
static gint duplicity_job_cmp_prefix (GFile* a,
                               GFile* b);
VALA_EXTERN gchar* rclone_fill_envp_from_backend (DejaDupBackend* backend,
                                      GList** envp);
static gchar* duplicity_job_get_remote (DuplicityJob* self);
static gchar* duplicity_job_escape_duplicity_path (DuplicityJob* self,
                                            const gchar* path);
static gchar* duplicity_job_prefix_local (DuplicityJob* self,
                                   const gchar* path);
VALA_EXTERN void deja_dup_expand_links_in_list (GList** all,
                                    gboolean keep_internal);
static gint _duplicity_job_cmp_prefix_gcompare_func (gconstpointer a,
                                              gconstpointer b);
static void duplicity_job_real_cancel (DejaDupToolJob* base);
VALA_EXTERN DuplicityJobState duplicity_job_get_state (DuplicityJob* self);
static gboolean duplicity_job_cleanup (DuplicityJob* self);
static void duplicity_job_cancel_inst (DuplicityJob* self);
static void duplicity_job_real_stop (DejaDupToolJob* base);
static void duplicity_job_set_was_stopped (DuplicityJob* self,
                                    gboolean value);
static void duplicity_job_real_pause (DejaDupToolJob* base,
                               const gchar* reason);
VALA_EXTERN void duplicity_instance_pause (DuplicityInstance* self);
static void duplicity_job_set_status (DuplicityJob* self,
                               const gchar* msg,
                               gboolean save);
static void duplicity_job_real_resume (DejaDupToolJob* base);
VALA_EXTERN void duplicity_instance_resume (DuplicityInstance* self);
static void duplicity_job_set_saved_status (DuplicityJob* self);
static void duplicity_job_disconnect_inst (DuplicityJob* self);
static void duplicity_job_handle_done (DuplicityJob* self,
                                DuplicityInstance* inst,
                                gboolean success,
                                gboolean cancelled);
VALA_EXTERN void duplicity_job_set_state (DuplicityJob* self,
                              DuplicityJobState value);
static void duplicity_job_report_full_backups (DuplicityJob* self,
                                        GAsyncReadyCallback _callback_,
                                        gpointer _user_data_);
static void duplicity_job_report_full_backups_finish (DuplicityJob* self,
                                               GAsyncResult* _res_);
static void duplicity_job_check_backup_space (DuplicityJob* self,
                                       GAsyncReadyCallback _callback_,
                                       gpointer _user_data_);
static void duplicity_job_check_backup_space_finish (DuplicityJob* self,
                                              GAsyncResult* _res_);
static void duplicity_job_delete_cache (DuplicityJob* self,
                                 GRegex* only);
static GFile* duplicity_job_make_local_rel_path (DuplicityJob* self,
                                          GFile* file);
static void duplicity_job_show_error (DuplicityJob* self,
                               const gchar* errorstr,
                               const gchar* detail);
static void duplicity_job_connect_and_start (DuplicityJob* self,
                                      GList* argv_extra,
                                      GList* envp_extra,
                                      GList* argv_entire,
                                      GFile* custom_local);
static void duplicity_job_report_full_backups_data_free (gpointer _data);
static gboolean duplicity_job_report_full_backups_co (DuplicityJobReportFullBackupsData* _data_);
static void duplicity_job_check_backup_space_data_free (gpointer _data);
static gboolean duplicity_job_check_backup_space_co (DuplicityJobCheckBackupSpaceData* _data_);
static void duplicity_job_check_backup_space_ready (GObject* source_object,
                                             GAsyncResult* _res_,
                                             gpointer _user_data_);
static void duplicity_job_delete_excess (DuplicityJob* self,
                                  gint cutoff);
static gboolean duplicity_job_can_ignore_error (DuplicityJob* self);
static gboolean duplicity_job_delete_files_if_needed (DuplicityJob* self);
static gboolean duplicity_job_get_was_stopped (DuplicityJob* self);
static gboolean duplicity_job_get_error_issued (DuplicityJob* self);
static void duplicity_job_set_status_file (DuplicityJob* self,
                                    GFile* file,
                                    gboolean action,
                                    gboolean save);
static gboolean duplicity_job_restart_without_cache (DuplicityJob* self);
static void duplicity_job_handle_exit (DuplicityJob* self,
                                gint code);
static void duplicity_job_handle_message (DuplicityJob* self,
                                   DuplicityInstance* inst,
                                   gchar** control_line,
                                   gint control_line_length1,
                                   GList* data_lines,
                                   const gchar* user_text);
static gboolean duplicity_job_ask_question (DuplicityJob* self,
                                     const gchar* t,
                                     const gchar* m);
static gchar* duplicity_job_parse_duplicity_file (DuplicityJob* self,
                                           const gchar* file,
                                           gint skip_bits);
static void duplicity_job_report_encryption_error (DuplicityJob* self);
static gboolean duplicity_job_check_encryption_error (DuplicityJob* self,
                                               const gchar* text);
static void duplicity_job_real_process_error (DuplicityJob* self,
                                       gchar** firstline,
                                       gint firstline_length1,
                                       GList* data,
                                       const gchar* text_in);
static void duplicity_job_process_exception (DuplicityJob* self,
                                      const gchar* exception,
                                      const gchar* text);
static GFile* duplicity_job_make_file_obj (DuplicityJob* self,
                                    const gchar* file);
static void duplicity_job_real_process_info (DuplicityJob* self,
                                      gchar** firstline,
                                      gint firstline_length1,
                                      GList* data,
                                      const gchar* text);
static void duplicity_job_process_diff_file (DuplicityJob* self,
                                      const gchar* file);
static void duplicity_job_process_patch_file (DuplicityJob* self,
                                       const gchar* file);
static void duplicity_job_process_progress (DuplicityJob* self,
                                     gchar** firstline,
                                     gint firstline_length1);
static void duplicity_job_process_collection_status (DuplicityJob* self,
                                              GList* lines);
static void duplicity_job_process_file_stat (DuplicityJob* self,
                                      const gchar* date,
                                      const gchar* file,
                                      const gchar* dup_type,
                                      GList* data,
                                      const gchar* text);
static void _g_object_unref0_ (gpointer var);
static inline void _g_list_free__g_object_unref0_ (GList* self);
static gboolean duplicity_job_is_file_in_list (DuplicityJob* self,
                                        GFile* file,
                                        GList* list);
static gboolean duplicity_job_is_file_in_or_under_list (DuplicityJob* self,
                                                 GFile* file,
                                                 GList* list);
static void duplicity_job_real_process_warning (DuplicityJob* self,
                                         gchar** firstline,
                                         gint firstline_length1,
                                         GList* data,
                                         const gchar* text);
static void duplicity_job_set_error_issued (DuplicityJob* self,
                                     gboolean value);
static gint duplicity_job_get_volsize (DuplicityJob* self);
static void _duplicity_job_handle_done_duplicity_instance_done (DuplicityInstance* _sender,
                                                         gboolean success,
                                                         gboolean cancelled,
                                                         gpointer self);
static void _duplicity_job_handle_message_duplicity_instance_message (DuplicityInstance* _sender,
                                                               gchar** control_line,
                                                               gint control_line_length1,
                                                               GList* data_lines,
                                                               const gchar* user_text,
                                                               gpointer self);
static void _duplicity_job_handle_exit_duplicity_instance_exited (DuplicityInstance* _sender,
                                                           gint code,
                                                           gpointer self);
VALA_EXTERN void duplicity_instance_cancel (DuplicityInstance* self);
VALA_EXTERN DuplicityInstance* duplicity_instance_new (void);
VALA_EXTERN DuplicityInstance* duplicity_instance_construct (GType object_type);
VALA_EXTERN void duplicity_instance_set_forced_cache_dir (DuplicityInstance* self,
                                              const gchar* value);
VALA_EXTERN void duplicity_instance_start (DuplicityInstance* self,
                               GList* argv_in,
                               GList* envp_in,
                               GAsyncReadyCallback _callback_,
                               gpointer _user_data_);
VALA_EXTERN void duplicity_instance_start_finish (DuplicityInstance* self,
                                      GAsyncResult* _res_);
VALA_EXTERN DuplicityJob* duplicity_job_new (void);
VALA_EXTERN DuplicityJob* duplicity_job_construct (GType object_type);
static GObject * duplicity_job_constructor (GType type,
                                     guint n_construct_properties,
                                     GObjectConstructParam * construct_properties);
static void duplicity_job_finalize (GObject * obj);
static GType duplicity_job_get_type_once (void);
static void _vala_duplicity_job_get_property (GObject * object,
                                       guint property_id,
                                       GValue * value,
                                       GParamSpec * pspec);
static void _vala_duplicity_job_set_property (GObject * object,
                                       guint property_id,
                                       const GValue * value,
                                       GParamSpec * pspec);
static void _vala_array_destroy (gpointer array,
                          gssize array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gssize array_length,
                       GDestroyNotify destroy_func);
static gssize _vala_array_length (gpointer array);

static inline gpointer
duplicity_job_get_instance_private (DuplicityJob* self)
{
	return G_STRUCT_MEMBER_P (self, DuplicityJob_private_offset);
}

static void
_duplicity_job_network_changed_g_object_notify (GObject* _sender,
                                                GParamSpec* pspec,
                                                gpointer self)
{
#line 81 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_network_changed ((DuplicityJob*) self);
#line 541 "DuplicityJob.c"
}

 G_GNUC_NO_INLINE static GType
duplicity_job_state_get_type_once (void)
{
	static const GEnumValue values[] = {{DUPLICITY_JOB_STATE_NOT_STARTED, "DUPLICITY_JOB_STATE_NOT_STARTED", "not-started"}, {DUPLICITY_JOB_STATE_NORMAL, "DUPLICITY_JOB_STATE_NORMAL", "normal"}, {DUPLICITY_JOB_STATE_DRY_RUN, "DUPLICITY_JOB_STATE_DRY_RUN", "dry-run"}, {DUPLICITY_JOB_STATE_STATUS, "DUPLICITY_JOB_STATE_STATUS", "status"}, {DUPLICITY_JOB_STATE_CLEANUP, "DUPLICITY_JOB_STATE_CLEANUP", "cleanup"}, {DUPLICITY_JOB_STATE_DELETE, "DUPLICITY_JOB_STATE_DELETE", "delete"}, {0, NULL, NULL}};
	GType duplicity_job_state_type_id;
	duplicity_job_state_type_id = g_enum_register_static ("DuplicityJobState", values);
	return duplicity_job_state_type_id;
}

GType
duplicity_job_state_get_type (void)
{
	static gsize duplicity_job_state_type_id__once = 0;
	if (g_once_init_enter (&duplicity_job_state_type_id__once)) {
		GType duplicity_job_state_type_id;
		duplicity_job_state_type_id = duplicity_job_state_get_type_once ();
		g_once_init_leave (&duplicity_job_state_type_id__once, duplicity_job_state_type_id);
	}
	return duplicity_job_state_type_id__once;
}

static void
_g_free0_ (gpointer var)
{
#line 27 "../libdeja/duplicity/DuplicityJob.vala"
	var = (g_free (var), NULL);
#line 570 "DuplicityJob.c"
}

static inline void
_g_list_free__g_free0_ (GList* self)
{
#line 27 "../libdeja/duplicity/DuplicityJob.vala"
	g_list_free_full (self, (GDestroyNotify) _g_free0_);
#line 578 "DuplicityJob.c"
}

static void
_duplicity_job_date_info_free0_ (gpointer var)
{
#line 52 "../libdeja/duplicity/DuplicityJob.vala"
	(var == NULL) ? NULL : (var = (duplicity_job_date_info_free (var), NULL));
#line 586 "DuplicityJob.c"
}

static inline void
_g_list_free__duplicity_job_date_info_free0_ (GList* self)
{
#line 52 "../libdeja/duplicity/DuplicityJob.vala"
	g_list_free_full (self, (GDestroyNotify) _duplicity_job_date_info_free0_);
#line 594 "DuplicityJob.c"
}

static void
duplicity_job_network_changed (DuplicityJob* self)
{
	DejaDupNetwork* _tmp0_;
	DejaDupNetwork* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
	gboolean _tmp4_;
#line 66 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 68 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_network_get ();
#line 68 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 68 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = deja_dup_network_get_connected (_tmp1_);
#line 68 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = _tmp2_;
#line 68 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp4_ = _tmp3_;
#line 68 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (_tmp1_);
#line 68 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp4_) {
#line 69 "../libdeja/duplicity/DuplicityJob.vala"
		deja_dup_tool_job_resume ((DejaDupToolJob*) self);
#line 623 "DuplicityJob.c"
	} else {
#line 71 "../libdeja/duplicity/DuplicityJob.vala"
		deja_dup_tool_job_pause ((DejaDupToolJob*) self, _ ("Paused (no network)"));
#line 627 "DuplicityJob.c"
	}
}

static void
duplicity_job_real_start_data_free (gpointer _data)
{
	DuplicityJobStartData* _data_;
	_data_ = _data;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (_data_->self);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_slice_free (DuplicityJobStartData, _data_);
#line 640 "DuplicityJob.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	return self ? g_object_ref (self) : NULL;
#line 648 "DuplicityJob.c"
}

static void
duplicity_job_real_start (DejaDupToolJob* base,
                          GAsyncReadyCallback _callback_,
                          gpointer _user_data_)
{
	DuplicityJob * self;
	DuplicityJobStartData* _data_;
	DuplicityJob* _tmp0_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	self = (DuplicityJob*) base;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_ = g_slice_new0 (DuplicityJobStartData);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, _callback_, _user_data_);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_task_set_task_data (_data_->_async_result, _data_, duplicity_job_real_start_data_free);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->self = _tmp0_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_real_start_co (_data_);
#line 673 "DuplicityJob.c"
}

static void
duplicity_job_start_finish (DejaDupToolJob* base,
                            GAsyncResult* _res_)
{
	DuplicityJobStartData* _data_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), NULL);
#line 683 "DuplicityJob.c"
}

static void
duplicity_job_start_ready (GObject* source_object,
                           GAsyncResult* _res_,
                           gpointer _user_data_)
{
	DuplicityJobStartData* _data_;
#line 100 "../libdeja/duplicity/DuplicityJob.vala"
	_data_ = _user_data_;
#line 100 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_source_object_ = source_object;
#line 100 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_res_ = _res_;
#line 100 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_real_start_co (_data_);
#line 700 "DuplicityJob.c"
}

static gboolean
duplicity_job_real_start_co (DuplicityJobStartData* _data_)
{
#line 84 "../libdeja/duplicity/DuplicityJob.vala"
	switch (_data_->_state_) {
#line 84 "../libdeja/duplicity/DuplicityJob.vala"
		case 0:
#line 710 "DuplicityJob.c"
		goto _state_0;
#line 84 "../libdeja/duplicity/DuplicityJob.vala"
		case 1:
#line 714 "DuplicityJob.c"
		goto _state_1;
#line 84 "../libdeja/duplicity/DuplicityJob.vala"
		case 2:
#line 718 "DuplicityJob.c"
		goto _state_2;
#line 84 "../libdeja/duplicity/DuplicityJob.vala"
		case 3:
#line 722 "DuplicityJob.c"
		goto _state_3;
		default:
#line 84 "../libdeja/duplicity/DuplicityJob.vala"
		g_assert_not_reached ();
#line 727 "DuplicityJob.c"
	}
	_state_0:
#line 87 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp0_ = _data_->self->priv->_original_mode;
#line 87 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_tmp0_ == DEJA_DUP_TOOL_JOB_MODE_INVALID) {
#line 88 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp1_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) _data_->self);
#line 88 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp2_ = _data_->_tmp1_;
#line 88 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_set_original_mode (_data_->self, _data_->_tmp2_);
#line 740 "DuplicityJob.c"
	}
#line 89 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp3_ = _data_->self->priv->_original_mode;
#line 89 "../libdeja/duplicity/DuplicityJob.vala"
	deja_dup_tool_job_set_mode ((DejaDupToolJob*) _data_->self, _data_->_tmp3_);
#line 90 "../libdeja/duplicity/DuplicityJob.vala"
	(_data_->self->priv->includes_argv == NULL) ? NULL : (_data_->self->priv->includes_argv = (_g_list_free__g_free0_ (_data_->self->priv->includes_argv), NULL));
#line 90 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->self->priv->includes_argv = NULL;
#line 91 "../libdeja/duplicity/DuplicityJob.vala"
	(_data_->self->priv->saved_argv == NULL) ? NULL : (_data_->self->priv->saved_argv = (_g_list_free__g_free0_ (_data_->self->priv->saved_argv), NULL));
#line 91 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->self->priv->saved_argv = NULL;
#line 92 "../libdeja/duplicity/DuplicityJob.vala"
	(_data_->self->priv->saved_envp == NULL) ? NULL : (_data_->self->priv->saved_envp = (_g_list_free__g_free0_ (_data_->self->priv->saved_envp), NULL));
#line 92 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->self->priv->saved_envp = NULL;
#line 94 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp4_ = deja_dup_get_settings (NULL);
#line 94 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->settings = _data_->_tmp4_;
#line 95 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp5_ = _data_->settings;
#line 95 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->self->priv->delete_age = g_settings_get_int ((GSettings*) _data_->_tmp5_, DEJA_DUP_DELETE_AFTER_KEY);
#line 98 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp6_ = deja_dup_tool_job_get_flags ((DejaDupToolJob*) _data_->self);
#line 98 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp7_ = _data_->_tmp6_;
#line 98 "../libdeja/duplicity/DuplicityJob.vala"
	if ((_data_->_tmp7_ & DEJA_DUP_TOOL_JOB_FLAGS_NO_CACHE) != 0) {
#line 100 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_state_ = 1;
#line 100 "../libdeja/duplicity/DuplicityJob.vala"
		deja_dup_get_tempdir (duplicity_job_start_ready, _data_);
#line 100 "../libdeja/duplicity/DuplicityJob.vala"
		return FALSE;
#line 778 "DuplicityJob.c"
		_state_1:
#line 100 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp8_ = deja_dup_get_tempdir_finish (_data_->_res_);
#line 100 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp9_ = _data_->_tmp8_;
#line 100 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp10_ = g_build_filename (_data_->_tmp9_, "duplicity-XXXXXX", NULL);
#line 100 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp11_ = _data_->_tmp10_;
#line 100 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_data_->_tmp9_);
#line 100 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->template = _data_->_tmp11_;
#line 101 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp12_ = _data_->template;
#line 101 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp13_ = g_strdup (_data_->_tmp12_);
#line 101 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp14_ = mkdtemp (_data_->_tmp13_);
#line 101 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_data_->self->priv->forced_cache_dir);
#line 101 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->self->priv->forced_cache_dir = _data_->_tmp14_;
#line 98 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_data_->template);
#line 804 "DuplicityJob.c"
	}
	{
#line 106 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp15_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) _data_->self);
#line 106 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp16_ = _data_->_tmp15_;
#line 106 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_state_ = 2;
#line 106 "../libdeja/duplicity/DuplicityJob.vala"
		deja_dup_backend_prepare (_data_->_tmp16_, duplicity_job_start_ready, _data_);
#line 106 "../libdeja/duplicity/DuplicityJob.vala"
		return FALSE;
#line 817 "DuplicityJob.c"
		_state_2:
#line 106 "../libdeja/duplicity/DuplicityJob.vala"
		deja_dup_backend_prepare_finish (_data_->_tmp16_, _data_->_res_, &_data_->_inner_error0_);
#line 106 "../libdeja/duplicity/DuplicityJob.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 823 "DuplicityJob.c"
			goto __catch0_g_error;
		}
#line 107 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_fill_envp_from_backend (_data_->self, &_data_->_inner_error0_);
#line 107 "../libdeja/duplicity/DuplicityJob.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 830 "DuplicityJob.c"
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
#line 105 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->e = _data_->_inner_error0_;
#line 105 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_inner_error0_ = NULL;
#line 110 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp17_ = _data_->e;
#line 110 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp18_ = _data_->_tmp17_->message;
#line 110 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_emit_by_name ((DejaDupToolJob*) _data_->self, "raise-error", _data_->_tmp18_, NULL);
#line 111 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_emit_by_name ((DejaDupToolJob*) _data_->self, "done", FALSE, FALSE);
#line 112 "../libdeja/duplicity/DuplicityJob.vala"
		_g_error_free0 (_data_->e);
#line 112 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (_data_->settings);
#line 112 "../libdeja/duplicity/DuplicityJob.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 112 "../libdeja/duplicity/DuplicityJob.vala"
		if (_data_->_state_ != 0) {
#line 112 "../libdeja/duplicity/DuplicityJob.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 112 "../libdeja/duplicity/DuplicityJob.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 861 "DuplicityJob.c"
			}
		}
#line 112 "../libdeja/duplicity/DuplicityJob.vala"
		g_object_unref (_data_->_async_result);
#line 112 "../libdeja/duplicity/DuplicityJob.vala"
		return FALSE;
#line 868 "DuplicityJob.c"
	}
	__finally0:
#line 105 "../libdeja/duplicity/DuplicityJob.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 105 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (_data_->settings);
#line 105 "../libdeja/duplicity/DuplicityJob.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error0_->message, g_quark_to_string (_data_->_inner_error0_->domain), _data_->_inner_error0_->code);
#line 105 "../libdeja/duplicity/DuplicityJob.vala"
		g_clear_error (&_data_->_inner_error0_);
#line 105 "../libdeja/duplicity/DuplicityJob.vala"
		g_object_unref (_data_->_async_result);
#line 105 "../libdeja/duplicity/DuplicityJob.vala"
		return FALSE;
#line 883 "DuplicityJob.c"
	}
#line 117 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp19_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) _data_->self);
#line 117 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp20_ = _data_->_tmp19_;
#line 117 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_state_ = 3;
#line 117 "../libdeja/duplicity/DuplicityJob.vala"
	deja_dup_backend_get_location_pretty (_data_->_tmp20_, duplicity_job_start_ready, _data_);
#line 117 "../libdeja/duplicity/DuplicityJob.vala"
	return FALSE;
#line 895 "DuplicityJob.c"
	_state_3:
#line 117 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp21_ = deja_dup_backend_get_location_pretty_finish (_data_->_tmp20_, _data_->_res_);
#line 117 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (_data_->self->priv->location_pretty);
#line 117 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->self->priv->location_pretty = _data_->_tmp21_;
#line 119 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp22_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) _data_->self);
#line 119 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp23_ = _data_->_tmp22_;
#line 119 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_tmp23_ == DEJA_DUP_TOOL_JOB_MODE_INVALID) {
#line 120 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (_data_->settings);
#line 120 "../libdeja/duplicity/DuplicityJob.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 120 "../libdeja/duplicity/DuplicityJob.vala"
		if (_data_->_state_ != 0) {
#line 120 "../libdeja/duplicity/DuplicityJob.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 120 "../libdeja/duplicity/DuplicityJob.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 919 "DuplicityJob.c"
			}
		}
#line 120 "../libdeja/duplicity/DuplicityJob.vala"
		g_object_unref (_data_->_async_result);
#line 120 "../libdeja/duplicity/DuplicityJob.vala"
		return FALSE;
#line 926 "DuplicityJob.c"
	}
#line 124 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp24_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) _data_->self);
#line 124 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp25_ = _data_->_tmp24_;
#line 124 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_tmp25_ == DEJA_DUP_TOOL_JOB_MODE_BACKUP) {
#line 125 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp26_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) _data_->self);
#line 125 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp27_ = _data_->_tmp26_;
#line 125 "../libdeja/duplicity/DuplicityJob.vala"
		deja_dup_backend_add_excludes (_data_->_tmp27_, &((DejaDupToolJob*) _data_->self)->excludes);
#line 126 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_process_include_excludes (_data_->self);
#line 942 "DuplicityJob.c"
	}
#line 129 "../libdeja/duplicity/DuplicityJob.vala"
	if (!duplicity_job_restart (_data_->self)) {
#line 130 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_emit_by_name ((DejaDupToolJob*) _data_->self, "done", FALSE, FALSE);
#line 948 "DuplicityJob.c"
	}
#line 132 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp28_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) _data_->self);
#line 132 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp29_ = _data_->_tmp28_;
#line 132 "../libdeja/duplicity/DuplicityJob.vala"
	if (!deja_dup_backend_is_native (_data_->_tmp29_)) {
#line 133 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp30_ = deja_dup_network_get ();
#line 133 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp31_ = _data_->_tmp30_;
#line 133 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_connect_object ((GObject*) _data_->_tmp31_, "notify::connected", (GCallback) _duplicity_job_network_changed_g_object_notify, _data_->self, 0);
#line 133 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (_data_->_tmp31_);
#line 134 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp32_ = deja_dup_network_get ();
#line 134 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp33_ = _data_->_tmp32_;
#line 134 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp34_ = deja_dup_network_get_connected (_data_->_tmp33_);
#line 134 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp35_ = _data_->_tmp34_;
#line 134 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp36_ = !_data_->_tmp35_;
#line 134 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (_data_->_tmp33_);
#line 134 "../libdeja/duplicity/DuplicityJob.vala"
		if (_data_->_tmp36_) {
#line 135 "../libdeja/duplicity/DuplicityJob.vala"
			g_debug ("DuplicityJob.vala:135: No connection found. Postponing the backup.");
#line 136 "../libdeja/duplicity/DuplicityJob.vala"
			deja_dup_tool_job_pause ((DejaDupToolJob*) _data_->self, _ ("Paused (no network)"));
#line 982 "DuplicityJob.c"
		}
	}
#line 84 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (_data_->settings);
#line 84 "../libdeja/duplicity/DuplicityJob.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 84 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_state_ != 0) {
#line 84 "../libdeja/duplicity/DuplicityJob.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 84 "../libdeja/duplicity/DuplicityJob.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 995 "DuplicityJob.c"
		}
	}
#line 84 "../libdeja/duplicity/DuplicityJob.vala"
	g_object_unref (_data_->_async_result);
#line 84 "../libdeja/duplicity/DuplicityJob.vala"
	return FALSE;
#line 1002 "DuplicityJob.c"
}

static gint
duplicity_job_cmp_prefix (GFile* a,
                          GFile* b)
{
	gint result;
#line 142 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (a != NULL, 0);
#line 142 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (b != NULL, 0);
#line 144 "../libdeja/duplicity/DuplicityJob.vala"
	if (g_file_has_prefix (a, b)) {
#line 145 "../libdeja/duplicity/DuplicityJob.vala"
		result = -1;
#line 145 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 1020 "DuplicityJob.c"
	} else {
#line 146 "../libdeja/duplicity/DuplicityJob.vala"
		if (g_file_has_prefix (b, a)) {
#line 147 "../libdeja/duplicity/DuplicityJob.vala"
			result = 1;
#line 147 "../libdeja/duplicity/DuplicityJob.vala"
			return result;
#line 1028 "DuplicityJob.c"
		} else {
#line 149 "../libdeja/duplicity/DuplicityJob.vala"
			result = 0;
#line 149 "../libdeja/duplicity/DuplicityJob.vala"
			return result;
#line 1034 "DuplicityJob.c"
		}
	}
}

static void
duplicity_job_fill_envp_from_backend (DuplicityJob* self,
                                      GError** error)
{
	DejaDupBackend* _tmp0_;
	DejaDupBackend* _tmp1_;
	gchar* _tmp2_;
#line 152 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 154 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) self);
#line 154 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 154 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = rclone_fill_envp_from_backend (_tmp1_, &self->priv->saved_envp);
#line 154 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (self->priv->rclone_remote);
#line 154 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->rclone_remote = _tmp2_;
#line 1058 "DuplicityJob.c"
}

static gchar*
duplicity_job_get_remote (DuplicityJob* self)
{
	DejaDupBackendFile* file_backend = NULL;
	DejaDupBackend* _tmp0_;
	DejaDupBackend* _tmp1_;
	DejaDupBackendFile* _tmp2_;
	DejaDupBackendFile* _tmp3_;
	const gchar* _tmp7_;
	gchar* _tmp10_;
	gchar* result;
#line 157 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 159 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) self);
#line 159 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 159 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = _g_object_ref0 (DEJA_DUP_IS_BACKEND_FILE (_tmp1_) ? ((DejaDupBackendFile*) _tmp1_) : NULL);
#line 159 "../libdeja/duplicity/DuplicityJob.vala"
	file_backend = _tmp2_;
#line 160 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = file_backend;
#line 160 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp3_ != NULL) {
#line 1086 "DuplicityJob.c"
		gchar* url = NULL;
		DejaDupBackendFile* _tmp4_;
		gchar* _tmp5_;
		const gchar* _tmp6_;
#line 161 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp4_ = file_backend;
#line 161 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp5_ = deja_dup_backend_file_get_path_as_url (_tmp4_);
#line 161 "../libdeja/duplicity/DuplicityJob.vala"
		url = _tmp5_;
#line 162 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp6_ = url;
#line 162 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp6_ != NULL) {
#line 163 "../libdeja/duplicity/DuplicityJob.vala"
			result = url;
#line 163 "../libdeja/duplicity/DuplicityJob.vala"
			_g_object_unref0 (file_backend);
#line 163 "../libdeja/duplicity/DuplicityJob.vala"
			return result;
#line 1107 "DuplicityJob.c"
		}
#line 160 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (url);
#line 1111 "DuplicityJob.c"
	}
#line 166 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp7_ = self->priv->rclone_remote;
#line 166 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp7_ != NULL) {
#line 1117 "DuplicityJob.c"
		const gchar* _tmp8_;
		gchar* _tmp9_;
#line 167 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp8_ = self->priv->rclone_remote;
#line 167 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp9_ = g_strconcat ("rclone://", _tmp8_, NULL);
#line 167 "../libdeja/duplicity/DuplicityJob.vala"
		result = _tmp9_;
#line 167 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (file_backend);
#line 167 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 1130 "DuplicityJob.c"
	}
#line 169 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp10_ = g_strdup ("invalid://");
#line 169 "../libdeja/duplicity/DuplicityJob.vala"
	result = _tmp10_;
#line 169 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (file_backend);
#line 169 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 1140 "DuplicityJob.c"
}

static gchar*
string_replace (const gchar* self,
                const gchar* old,
                const gchar* replacement)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError* _inner_error0_ = NULL;
	gchar* result;
#line 1588 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1588 "glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1588 "glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1589 "glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1589 "glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 1162 "DuplicityJob.c"
	} else {
#line 1589 "glib-2.0.vapi"
		_tmp1_ = (*((gchar*) old)) == '\0';
#line 1166 "DuplicityJob.c"
	}
#line 1589 "glib-2.0.vapi"
	if (_tmp1_) {
#line 1589 "glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 1172 "DuplicityJob.c"
	} else {
#line 1589 "glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (old, replacement) == 0;
#line 1176 "DuplicityJob.c"
	}
#line 1589 "glib-2.0.vapi"
	if (_tmp0_) {
#line 1180 "DuplicityJob.c"
		gchar* _tmp2_;
#line 1590 "glib-2.0.vapi"
		_tmp2_ = g_strdup (self);
#line 1590 "glib-2.0.vapi"
		result = _tmp2_;
#line 1590 "glib-2.0.vapi"
		return result;
#line 1188 "DuplicityJob.c"
	}
	{
		GRegex* regex = NULL;
		gchar* _tmp3_;
		gchar* _tmp4_;
		GRegex* _tmp5_;
		GRegex* _tmp6_;
		gchar* _tmp7_ = NULL;
		GRegex* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 1593 "glib-2.0.vapi"
		_tmp3_ = g_regex_escape_string (old, -1);
#line 1593 "glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1593 "glib-2.0.vapi"
		_tmp5_ = g_regex_new (_tmp4_, 0, 0, &_inner_error0_);
#line 1593 "glib-2.0.vapi"
		_tmp6_ = _tmp5_;
#line 1593 "glib-2.0.vapi"
		_g_free0 (_tmp4_);
#line 1593 "glib-2.0.vapi"
		regex = _tmp6_;
#line 1593 "glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1593 "glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 1216 "DuplicityJob.c"
				goto __catch0_g_regex_error;
			}
#line 1593 "glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1593 "glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1593 "glib-2.0.vapi"
			return NULL;
#line 1225 "DuplicityJob.c"
		}
#line 1594 "glib-2.0.vapi"
		_tmp8_ = regex;
#line 1594 "glib-2.0.vapi"
		_tmp9_ = g_regex_replace_literal (_tmp8_, self, (gssize) -1, 0, replacement, 0, &_inner_error0_);
#line 1594 "glib-2.0.vapi"
		_tmp7_ = _tmp9_;
#line 1594 "glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1594 "glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1594 "glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 1239 "DuplicityJob.c"
				goto __catch0_g_regex_error;
			}
#line 1594 "glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1594 "glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1594 "glib-2.0.vapi"
			return NULL;
#line 1248 "DuplicityJob.c"
		}
#line 1594 "glib-2.0.vapi"
		_tmp10_ = _tmp7_;
#line 1594 "glib-2.0.vapi"
		_tmp7_ = NULL;
#line 1594 "glib-2.0.vapi"
		result = _tmp10_;
#line 1594 "glib-2.0.vapi"
		_g_free0 (_tmp7_);
#line 1594 "glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1594 "glib-2.0.vapi"
		return result;
#line 1262 "DuplicityJob.c"
	}
	goto __finally0;
	__catch0_g_regex_error:
	{
#line 1592 "glib-2.0.vapi"
		g_clear_error (&_inner_error0_);
#line 1596 "glib-2.0.vapi"
		g_assert_not_reached ();
#line 1271 "DuplicityJob.c"
	}
	__finally0:
#line 1592 "glib-2.0.vapi"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1592 "glib-2.0.vapi"
	g_clear_error (&_inner_error0_);
#line 1592 "glib-2.0.vapi"
	return NULL;
#line 1280 "DuplicityJob.c"
}

static gchar*
duplicity_job_escape_duplicity_path (DuplicityJob* self,
                                     const gchar* path)
{
	gchar* rv = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* result;
#line 172 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 172 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (path != NULL, NULL);
#line 179 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = string_replace (path, "[", "[[]");
#line 179 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (rv);
#line 179 "../libdeja/duplicity/DuplicityJob.vala"
	rv = _tmp0_;
#line 180 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = rv;
#line 180 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = string_replace (_tmp1_, "?", "[?]");
#line 180 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (rv);
#line 180 "../libdeja/duplicity/DuplicityJob.vala"
	rv = _tmp2_;
#line 181 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = rv;
#line 181 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp4_ = string_replace (_tmp3_, "*", "[*]");
#line 181 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (rv);
#line 181 "../libdeja/duplicity/DuplicityJob.vala"
	rv = _tmp4_;
#line 182 "../libdeja/duplicity/DuplicityJob.vala"
	result = rv;
#line 182 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 1324 "DuplicityJob.c"
}

static gchar*
duplicity_job_prefix_local (DuplicityJob* self,
                            const gchar* path)
{
	GFile* _tmp3_;
	GFile* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	gchar* result;
#line 185 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 185 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (path != NULL, NULL);
#line 187 "../libdeja/duplicity/DuplicityJob.vala"
	if (g_strcmp0 (path, "/") == 0) {
#line 1344 "DuplicityJob.c"
		GFile* _tmp0_;
		GFile* _tmp1_;
		gchar* _tmp2_;
#line 188 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = deja_dup_tool_job_get_local ((DejaDupToolJob*) self);
#line 188 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = _tmp0_;
#line 188 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp2_ = g_file_get_path (_tmp1_);
#line 188 "../libdeja/duplicity/DuplicityJob.vala"
		result = _tmp2_;
#line 188 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 1358 "DuplicityJob.c"
	}
#line 189 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = deja_dup_tool_job_get_local ((DejaDupToolJob*) self);
#line 189 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp4_ = _tmp3_;
#line 189 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp5_ = g_file_get_path (_tmp4_);
#line 189 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp6_ = _tmp5_;
#line 189 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp7_ = g_build_filename (_tmp6_, path, NULL);
#line 189 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp8_ = _tmp7_;
#line 189 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (_tmp6_);
#line 189 "../libdeja/duplicity/DuplicityJob.vala"
	result = _tmp8_;
#line 189 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 1378 "DuplicityJob.c"
}

static gint
_duplicity_job_cmp_prefix_gcompare_func (gconstpointer a,
                                         gconstpointer b)
{
	gint result;
	result = duplicity_job_cmp_prefix ((GFile*) a, (GFile*) b);
#line 208 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 1389 "DuplicityJob.c"
}

static void
duplicity_job_process_include_excludes (DuplicityJob* self)
{
	GList* _tmp0_;
	GList* _tmp10_;
	GList* excludes2 = NULL;
	GList* _tmp16_;
	GList* _tmp17_;
	GList* _tmp18_;
	GList* _tmp42_;
	gchar* _tmp52_;
	gchar* _tmp53_;
	gchar* _tmp54_;
	GList* _tmp55_;
	GList* _tmp56_;
#line 192 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 201 "../libdeja/duplicity/DuplicityJob.vala"
	deja_dup_expand_links_in_list (&((DejaDupToolJob*) self)->includes, TRUE);
#line 202 "../libdeja/duplicity/DuplicityJob.vala"
	deja_dup_expand_links_in_list (&((DejaDupToolJob*) self)->includes_priority, TRUE);
#line 203 "../libdeja/duplicity/DuplicityJob.vala"
	deja_dup_expand_links_in_list (&((DejaDupToolJob*) self)->excludes, FALSE);
#line 208 "../libdeja/duplicity/DuplicityJob.vala"
	((DejaDupToolJob*) self)->includes = g_list_sort (((DejaDupToolJob*) self)->includes, _duplicity_job_cmp_prefix_gcompare_func);
#line 209 "../libdeja/duplicity/DuplicityJob.vala"
	((DejaDupToolJob*) self)->excludes = g_list_sort (((DejaDupToolJob*) self)->excludes, _duplicity_job_cmp_prefix_gcompare_func);
#line 215 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = ((DejaDupToolJob*) self)->includes_priority;
#line 1421 "DuplicityJob.c"
	{
		GList* i_collection = NULL;
		GList* i_it = NULL;
#line 215 "../libdeja/duplicity/DuplicityJob.vala"
		i_collection = _tmp0_;
#line 215 "../libdeja/duplicity/DuplicityJob.vala"
		for (i_it = i_collection; i_it != NULL; i_it = i_it->next) {
#line 1429 "DuplicityJob.c"
			GFile* _tmp1_;
			GFile* i = NULL;
#line 215 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp1_ = _g_object_ref0 ((GFile*) i_it->data);
#line 215 "../libdeja/duplicity/DuplicityJob.vala"
			i = _tmp1_;
#line 1436 "DuplicityJob.c"
			{
				GFile* _tmp2_;
				gchar* _tmp3_;
				gchar* _tmp4_;
				gchar* _tmp5_;
				gchar* _tmp6_;
				gchar* _tmp7_;
				gchar* _tmp8_;
				gchar* _tmp9_;
#line 216 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp2_ = i;
#line 216 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp3_ = g_file_get_path (_tmp2_);
#line 216 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp4_ = _tmp3_;
#line 216 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp5_ = duplicity_job_prefix_local (self, _tmp4_);
#line 216 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp6_ = _tmp5_;
#line 216 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp7_ = duplicity_job_escape_duplicity_path (self, _tmp6_);
#line 216 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp8_ = _tmp7_;
#line 216 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp9_ = g_strconcat ("--include=", _tmp8_, NULL);
#line 216 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->includes_argv = g_list_append (self->priv->includes_argv, _tmp9_);
#line 216 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp8_);
#line 216 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp6_);
#line 216 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp4_);
#line 215 "../libdeja/duplicity/DuplicityJob.vala"
				_g_object_unref0 (i);
#line 1472 "DuplicityJob.c"
			}
		}
	}
#line 223 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp10_ = ((DejaDupToolJob*) self)->exclude_regexps;
#line 1478 "DuplicityJob.c"
	{
		GList* r_collection = NULL;
		GList* r_it = NULL;
#line 223 "../libdeja/duplicity/DuplicityJob.vala"
		r_collection = _tmp10_;
#line 223 "../libdeja/duplicity/DuplicityJob.vala"
		for (r_it = r_collection; r_it != NULL; r_it = r_it->next) {
#line 1486 "DuplicityJob.c"
			gchar* _tmp11_;
			gchar* r = NULL;
#line 223 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp11_ = g_strdup ((const gchar*) r_it->data);
#line 223 "../libdeja/duplicity/DuplicityJob.vala"
			r = _tmp11_;
#line 1493 "DuplicityJob.c"
			{
				const gchar* _tmp12_;
				gchar* _tmp13_;
				gchar* _tmp14_;
				gchar* _tmp15_;
#line 224 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp12_ = r;
#line 224 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp13_ = duplicity_job_prefix_local (self, _tmp12_);
#line 224 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp14_ = _tmp13_;
#line 224 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp15_ = g_strconcat ("--exclude=", _tmp14_, NULL);
#line 224 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->includes_argv = g_list_append (self->priv->includes_argv, _tmp15_);
#line 224 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp14_);
#line 223 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (r);
#line 1513 "DuplicityJob.c"
			}
		}
	}
#line 227 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp16_ = ((DejaDupToolJob*) self)->excludes;
#line 227 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp17_ = g_list_copy (_tmp16_);
#line 227 "../libdeja/duplicity/DuplicityJob.vala"
	excludes2 = _tmp17_;
#line 228 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp18_ = ((DejaDupToolJob*) self)->includes;
#line 1525 "DuplicityJob.c"
	{
		GList* i_collection = NULL;
		GList* i_it = NULL;
#line 228 "../libdeja/duplicity/DuplicityJob.vala"
		i_collection = _tmp18_;
#line 228 "../libdeja/duplicity/DuplicityJob.vala"
		for (i_it = i_collection; i_it != NULL; i_it = i_it->next) {
#line 1533 "DuplicityJob.c"
			GFile* _tmp19_;
			GFile* i = NULL;
#line 228 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp19_ = _g_object_ref0 ((GFile*) i_it->data);
#line 228 "../libdeja/duplicity/DuplicityJob.vala"
			i = _tmp19_;
#line 1540 "DuplicityJob.c"
			{
				GList* _tmp20_;
				GList* _tmp21_;
				GFile* _tmp34_;
				gchar* _tmp35_;
				gchar* _tmp36_;
				gchar* _tmp37_;
				gchar* _tmp38_;
				gchar* _tmp39_;
				gchar* _tmp40_;
				gchar* _tmp41_;
#line 229 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp20_ = excludes2;
#line 229 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp21_ = g_list_copy (_tmp20_);
#line 1556 "DuplicityJob.c"
				{
					GList* e_collection = NULL;
					GList* e_it = NULL;
#line 229 "../libdeja/duplicity/DuplicityJob.vala"
					e_collection = _tmp21_;
#line 229 "../libdeja/duplicity/DuplicityJob.vala"
					for (e_it = e_collection; e_it != NULL; e_it = e_it->next) {
#line 1564 "DuplicityJob.c"
						GFile* _tmp22_;
						GFile* e = NULL;
#line 229 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp22_ = _g_object_ref0 ((GFile*) e_it->data);
#line 229 "../libdeja/duplicity/DuplicityJob.vala"
						e = _tmp22_;
#line 1571 "DuplicityJob.c"
						{
							GFile* _tmp23_;
							GFile* _tmp24_;
#line 230 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp23_ = e;
#line 230 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp24_ = i;
#line 230 "../libdeja/duplicity/DuplicityJob.vala"
							if (g_file_has_prefix (_tmp23_, _tmp24_)) {
#line 1581 "DuplicityJob.c"
								GFile* _tmp25_;
								gchar* _tmp26_;
								gchar* _tmp27_;
								gchar* _tmp28_;
								gchar* _tmp29_;
								gchar* _tmp30_;
								gchar* _tmp31_;
								gchar* _tmp32_;
								GFile* _tmp33_;
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp25_ = e;
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp26_ = g_file_get_path (_tmp25_);
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp27_ = _tmp26_;
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp28_ = duplicity_job_prefix_local (self, _tmp27_);
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp29_ = _tmp28_;
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp30_ = duplicity_job_escape_duplicity_path (self, _tmp29_);
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp31_ = _tmp30_;
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp32_ = g_strconcat ("--exclude=", _tmp31_, NULL);
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
								self->priv->includes_argv = g_list_append (self->priv->includes_argv, _tmp32_);
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
								_g_free0 (_tmp31_);
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
								_g_free0 (_tmp29_);
#line 231 "../libdeja/duplicity/DuplicityJob.vala"
								_g_free0 (_tmp27_);
#line 232 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp33_ = e;
#line 232 "../libdeja/duplicity/DuplicityJob.vala"
								excludes2 = g_list_remove (excludes2, _tmp33_);
#line 1619 "DuplicityJob.c"
							}
#line 229 "../libdeja/duplicity/DuplicityJob.vala"
							_g_object_unref0 (e);
#line 1623 "DuplicityJob.c"
						}
					}
#line 229 "../libdeja/duplicity/DuplicityJob.vala"
					(e_collection == NULL) ? NULL : (e_collection = (g_list_free (e_collection), NULL));
#line 1628 "DuplicityJob.c"
				}
#line 235 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp34_ = i;
#line 235 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp35_ = g_file_get_path (_tmp34_);
#line 235 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp36_ = _tmp35_;
#line 235 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp37_ = duplicity_job_prefix_local (self, _tmp36_);
#line 235 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp38_ = _tmp37_;
#line 235 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp39_ = duplicity_job_escape_duplicity_path (self, _tmp38_);
#line 235 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp40_ = _tmp39_;
#line 235 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp41_ = g_strconcat ("--include=", _tmp40_, NULL);
#line 235 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->includes_argv = g_list_append (self->priv->includes_argv, _tmp41_);
#line 235 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp40_);
#line 235 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp38_);
#line 235 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp36_);
#line 228 "../libdeja/duplicity/DuplicityJob.vala"
				_g_object_unref0 (i);
#line 1656 "DuplicityJob.c"
			}
		}
	}
#line 237 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp42_ = excludes2;
#line 1662 "DuplicityJob.c"
	{
		GList* e_collection = NULL;
		GList* e_it = NULL;
#line 237 "../libdeja/duplicity/DuplicityJob.vala"
		e_collection = _tmp42_;
#line 237 "../libdeja/duplicity/DuplicityJob.vala"
		for (e_it = e_collection; e_it != NULL; e_it = e_it->next) {
#line 1670 "DuplicityJob.c"
			GFile* _tmp43_;
			GFile* e = NULL;
#line 237 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp43_ = _g_object_ref0 ((GFile*) e_it->data);
#line 237 "../libdeja/duplicity/DuplicityJob.vala"
			e = _tmp43_;
#line 1677 "DuplicityJob.c"
			{
				GFile* _tmp44_;
				gchar* _tmp45_;
				gchar* _tmp46_;
				gchar* _tmp47_;
				gchar* _tmp48_;
				gchar* _tmp49_;
				gchar* _tmp50_;
				gchar* _tmp51_;
#line 238 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp44_ = e;
#line 238 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp45_ = g_file_get_path (_tmp44_);
#line 238 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp46_ = _tmp45_;
#line 238 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp47_ = duplicity_job_prefix_local (self, _tmp46_);
#line 238 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp48_ = _tmp47_;
#line 238 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp49_ = duplicity_job_escape_duplicity_path (self, _tmp48_);
#line 238 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp50_ = _tmp49_;
#line 238 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp51_ = g_strconcat ("--exclude=", _tmp50_, NULL);
#line 238 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->includes_argv = g_list_append (self->priv->includes_argv, _tmp51_);
#line 238 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp50_);
#line 238 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp48_);
#line 238 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (_tmp46_);
#line 237 "../libdeja/duplicity/DuplicityJob.vala"
				_g_object_unref0 (e);
#line 1713 "DuplicityJob.c"
			}
		}
	}
#line 241 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp52_ = g_strdup ("--exclude=**");
#line 241 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->includes_argv = g_list_append (self->priv->includes_argv, _tmp52_);
#line 242 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp53_ = g_strdup ("--exclude-if-present=CACHEDIR.TAG");
#line 242 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->includes_argv = g_list_append (self->priv->includes_argv, _tmp53_);
#line 243 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp54_ = g_strdup ("--exclude-if-present=.deja-dup-ignore");
#line 243 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->includes_argv = g_list_append (self->priv->includes_argv, _tmp54_);
#line 247 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp55_ = ((DejaDupToolJob*) self)->includes_priority;
#line 247 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp56_ = g_list_copy_deep (_tmp55_, (GCopyFunc) g_object_ref, NULL);
#line 247 "../libdeja/duplicity/DuplicityJob.vala"
	((DejaDupToolJob*) self)->includes = g_list_concat (((DejaDupToolJob*) self)->includes, _tmp56_);
#line 192 "../libdeja/duplicity/DuplicityJob.vala"
	(excludes2 == NULL) ? NULL : (excludes2 = (g_list_free (excludes2), NULL));
#line 1737 "DuplicityJob.c"
}

static void
duplicity_job_real_cancel (DejaDupToolJob* base)
{
	DuplicityJob * self;
	DejaDupToolJobMode prev_mode = 0;
	DejaDupToolJobMode _tmp0_;
	DejaDupToolJobMode _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 250 "../libdeja/duplicity/DuplicityJob.vala"
	self = (DuplicityJob*) base;
#line 251 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 251 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 251 "../libdeja/duplicity/DuplicityJob.vala"
	prev_mode = _tmp1_;
#line 252 "../libdeja/duplicity/DuplicityJob.vala"
	deja_dup_tool_job_set_mode ((DejaDupToolJob*) self, DEJA_DUP_TOOL_JOB_MODE_INVALID);
#line 254 "../libdeja/duplicity/DuplicityJob.vala"
	if (prev_mode == DEJA_DUP_TOOL_JOB_MODE_BACKUP) {
#line 1760 "DuplicityJob.c"
		DuplicityJobState _tmp3_;
#line 254 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp3_ = self->priv->_state;
#line 254 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp2_ = _tmp3_ == DUPLICITY_JOB_STATE_NORMAL;
#line 1766 "DuplicityJob.c"
	} else {
#line 254 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp2_ = FALSE;
#line 1770 "DuplicityJob.c"
	}
#line 254 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp2_) {
#line 255 "../libdeja/duplicity/DuplicityJob.vala"
		if (duplicity_job_cleanup (self)) {
#line 256 "../libdeja/duplicity/DuplicityJob.vala"
			return;
#line 1778 "DuplicityJob.c"
		}
	}
#line 259 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_cancel_inst (self);
#line 1783 "DuplicityJob.c"
}

static void
duplicity_job_real_stop (DejaDupToolJob* base)
{
	DuplicityJob * self;
#line 262 "../libdeja/duplicity/DuplicityJob.vala"
	self = (DuplicityJob*) base;
#line 264 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_set_was_stopped (self, TRUE);
#line 265 "../libdeja/duplicity/DuplicityJob.vala"
	deja_dup_tool_job_set_mode ((DejaDupToolJob*) self, DEJA_DUP_TOOL_JOB_MODE_INVALID);
#line 266 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_cancel_inst (self);
#line 1798 "DuplicityJob.c"
}

static void
duplicity_job_real_pause (DejaDupToolJob* base,
                          const gchar* reason)
{
	DuplicityJob * self;
	DuplicityInstance* _tmp0_;
#line 269 "../libdeja/duplicity/DuplicityJob.vala"
	self = (DuplicityJob*) base;
#line 271 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = self->priv->inst;
#line 271 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_ != NULL) {
#line 1813 "DuplicityJob.c"
		DuplicityInstance* _tmp1_;
#line 272 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = self->priv->inst;
#line 272 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_instance_pause (_tmp1_);
#line 273 "../libdeja/duplicity/DuplicityJob.vala"
		if (reason != NULL) {
#line 274 "../libdeja/duplicity/DuplicityJob.vala"
			duplicity_job_set_status (self, reason, FALSE);
#line 1823 "DuplicityJob.c"
		}
	}
}

static void
duplicity_job_real_resume (DejaDupToolJob* base)
{
	DuplicityJob * self;
	DuplicityInstance* _tmp0_;
#line 278 "../libdeja/duplicity/DuplicityJob.vala"
	self = (DuplicityJob*) base;
#line 280 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = self->priv->inst;
#line 280 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_ != NULL) {
#line 1839 "DuplicityJob.c"
		DuplicityInstance* _tmp1_;
#line 281 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = self->priv->inst;
#line 281 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_instance_resume (_tmp1_);
#line 282 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_set_saved_status (self);
#line 1847 "DuplicityJob.c"
	}
}

static void
duplicity_job_cancel_inst (DuplicityJob* self)
{
#line 286 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 288 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_disconnect_inst (self);
#line 289 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_handle_done (self, NULL, FALSE, TRUE);
#line 1860 "DuplicityJob.c"
}

static gboolean
duplicity_job_restart (DuplicityJob* self)
{
	DejaDupToolJobMode _tmp0_;
	DejaDupToolJobMode _tmp1_;
	GList* extra_argv = NULL;
	gchar* action_desc = NULL;
	GFile* custom_local = NULL;
	DejaDupToolJobMode _tmp2_;
	const gchar* _tmp73_;
	const gchar* _tmp77_;
	GList* _tmp78_;
	GFile* _tmp79_;
	GError* _inner_error0_ = NULL;
	gboolean result;
#line 292 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 294 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_disconnect_inst (self);
#line 295 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_set_state (self, DUPLICITY_JOB_STATE_NORMAL);
#line 297 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 297 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 297 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp1_ == DEJA_DUP_TOOL_JOB_MODE_INVALID) {
#line 298 "../libdeja/duplicity/DuplicityJob.vala"
		result = FALSE;
#line 298 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 1894 "DuplicityJob.c"
	}
#line 300 "../libdeja/duplicity/DuplicityJob.vala"
	extra_argv = NULL;
#line 301 "../libdeja/duplicity/DuplicityJob.vala"
	action_desc = NULL;
#line 302 "../libdeja/duplicity/DuplicityJob.vala"
	custom_local = NULL;
#line 304 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = self->priv->_original_mode;
#line 304 "../libdeja/duplicity/DuplicityJob.vala"
	switch (_tmp2_) {
#line 304 "../libdeja/duplicity/DuplicityJob.vala"
		case DEJA_DUP_TOOL_JOB_MODE_BACKUP:
#line 1908 "DuplicityJob.c"
		{
#line 306 "../libdeja/duplicity/DuplicityJob.vala"
			deja_dup_tool_job_set_tag ((DejaDupToolJob*) self, "now");
#line 310 "../libdeja/duplicity/DuplicityJob.vala"
			if (!self->priv->checked_collection_info) {
#line 1914 "DuplicityJob.c"
				gchar* _tmp3_;
#line 311 "../libdeja/duplicity/DuplicityJob.vala"
				deja_dup_tool_job_set_mode ((DejaDupToolJob*) self, DEJA_DUP_TOOL_JOB_MODE_STATUS);
#line 312 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_set_state (self, DUPLICITY_JOB_STATE_STATUS);
#line 313 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp3_ = g_strdup (_ ("Preparing…"));
#line 313 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (action_desc);
#line 313 "../libdeja/duplicity/DuplicityJob.vala"
				action_desc = _tmp3_;
#line 1926 "DuplicityJob.c"
			} else {
				gboolean _tmp4_ = FALSE;
#line 315 "../libdeja/duplicity/DuplicityJob.vala"
				if (!self->priv->reported_full_backups) {
#line 315 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp4_ = self->priv->got_collection_info;
#line 1933 "DuplicityJob.c"
				} else {
#line 315 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp4_ = FALSE;
#line 1937 "DuplicityJob.c"
				}
#line 315 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp4_) {
#line 316 "../libdeja/duplicity/DuplicityJob.vala"
					duplicity_job_report_full_backups (self, NULL, NULL);
#line 317 "../libdeja/duplicity/DuplicityJob.vala"
					result = TRUE;
#line 317 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (custom_local);
#line 317 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (action_desc);
#line 317 "../libdeja/duplicity/DuplicityJob.vala"
					(extra_argv == NULL) ? NULL : (extra_argv = (_g_list_free__g_free0_ (extra_argv), NULL));
#line 317 "../libdeja/duplicity/DuplicityJob.vala"
					return result;
#line 1953 "DuplicityJob.c"
				} else {
					gboolean _tmp5_ = FALSE;
					DejaDupToolJobFlags _tmp6_;
					DejaDupToolJobFlags _tmp7_;
#line 322 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp6_ = deja_dup_tool_job_get_flags ((DejaDupToolJob*) self);
#line 322 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp7_ = _tmp6_;
#line 322 "../libdeja/duplicity/DuplicityJob.vala"
					if ((_tmp7_ & DEJA_DUP_TOOL_JOB_FLAGS_NO_PROGRESS) == 0) {
#line 322 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp5_ = !self->priv->has_progress_total;
#line 1966 "DuplicityJob.c"
					} else {
#line 322 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp5_ = FALSE;
#line 1970 "DuplicityJob.c"
					}
#line 322 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp5_) {
#line 1974 "DuplicityJob.c"
						gchar* _tmp8_;
						gchar* _tmp9_;
#line 323 "../libdeja/duplicity/DuplicityJob.vala"
						duplicity_job_set_state (self, DUPLICITY_JOB_STATE_DRY_RUN);
#line 324 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp8_ = g_strdup (_ ("Preparing…"));
#line 324 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (action_desc);
#line 324 "../libdeja/duplicity/DuplicityJob.vala"
						action_desc = _tmp8_;
#line 325 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp9_ = g_strdup ("--dry-run");
#line 325 "../libdeja/duplicity/DuplicityJob.vala"
						extra_argv = g_list_append (extra_argv, _tmp9_);
#line 1989 "DuplicityJob.c"
					} else {
#line 327 "../libdeja/duplicity/DuplicityJob.vala"
						if (!self->priv->checked_backup_space) {
#line 328 "../libdeja/duplicity/DuplicityJob.vala"
							duplicity_job_check_backup_space (self, NULL, NULL);
#line 329 "../libdeja/duplicity/DuplicityJob.vala"
							result = TRUE;
#line 329 "../libdeja/duplicity/DuplicityJob.vala"
							_g_object_unref0 (custom_local);
#line 329 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (action_desc);
#line 329 "../libdeja/duplicity/DuplicityJob.vala"
							(extra_argv == NULL) ? NULL : (extra_argv = (_g_list_free__g_free0_ (extra_argv), NULL));
#line 329 "../libdeja/duplicity/DuplicityJob.vala"
							return result;
#line 2005 "DuplicityJob.c"
						} else {
#line 332 "../libdeja/duplicity/DuplicityJob.vala"
							if (self->priv->has_progress_total) {
#line 333 "../libdeja/duplicity/DuplicityJob.vala"
								g_signal_emit_by_name ((DejaDupToolJob*) self, "progress", (gdouble) 0.f);
#line 2011 "DuplicityJob.c"
							}
#line 334 "../libdeja/duplicity/DuplicityJob.vala"
							if (self->priv->is_full_backup) {
#line 2015 "DuplicityJob.c"
								{
									GRegex* _tmp10_ = NULL;
									GRegex* _tmp11_;
#line 344 "../libdeja/duplicity/DuplicityJob.vala"
									_tmp11_ = g_regex_new ("^duplicity-full\\..*\\.manifest$", 0, 0, &_inner_error0_);
#line 344 "../libdeja/duplicity/DuplicityJob.vala"
									_tmp10_ = _tmp11_;
#line 344 "../libdeja/duplicity/DuplicityJob.vala"
									if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2025 "DuplicityJob.c"
										goto __catch0_g_error;
									}
#line 344 "../libdeja/duplicity/DuplicityJob.vala"
									duplicity_job_delete_cache (self, _tmp10_);
#line 343 "../libdeja/duplicity/DuplicityJob.vala"
									_g_regex_unref0 (_tmp10_);
#line 2032 "DuplicityJob.c"
								}
								goto __finally0;
								__catch0_g_error:
								{
									GError* e = NULL;
									GError* _tmp12_;
									const gchar* _tmp13_;
#line 343 "../libdeja/duplicity/DuplicityJob.vala"
									e = _inner_error0_;
#line 343 "../libdeja/duplicity/DuplicityJob.vala"
									_inner_error0_ = NULL;
#line 347 "../libdeja/duplicity/DuplicityJob.vala"
									_tmp12_ = e;
#line 347 "../libdeja/duplicity/DuplicityJob.vala"
									_tmp13_ = _tmp12_->message;
#line 347 "../libdeja/duplicity/DuplicityJob.vala"
									g_warning ("DuplicityJob.vala:347: %s\n", _tmp13_);
#line 343 "../libdeja/duplicity/DuplicityJob.vala"
									_g_error_free0 (e);
#line 2052 "DuplicityJob.c"
								}
								__finally0:
#line 343 "../libdeja/duplicity/DuplicityJob.vala"
								if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2057 "DuplicityJob.c"
									gboolean _tmp14_ = FALSE;
#line 343 "../libdeja/duplicity/DuplicityJob.vala"
									_g_object_unref0 (custom_local);
#line 343 "../libdeja/duplicity/DuplicityJob.vala"
									_g_free0 (action_desc);
#line 343 "../libdeja/duplicity/DuplicityJob.vala"
									(extra_argv == NULL) ? NULL : (extra_argv = (_g_list_free__g_free0_ (extra_argv), NULL));
#line 343 "../libdeja/duplicity/DuplicityJob.vala"
									g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 343 "../libdeja/duplicity/DuplicityJob.vala"
									g_clear_error (&_inner_error0_);
#line 343 "../libdeja/duplicity/DuplicityJob.vala"
									return _tmp14_;
#line 2071 "DuplicityJob.c"
								}
							}
						}
					}
				}
			}
#line 352 "../libdeja/duplicity/DuplicityJob.vala"
			break;
#line 2080 "DuplicityJob.c"
		}
#line 304 "../libdeja/duplicity/DuplicityJob.vala"
		case DEJA_DUP_TOOL_JOB_MODE_RESTORE:
#line 2084 "DuplicityJob.c"
		{
#line 357 "../libdeja/duplicity/DuplicityJob.vala"
			if (!self->priv->checked_collection_info) {
#line 2088 "DuplicityJob.c"
				gchar* _tmp15_;
#line 358 "../libdeja/duplicity/DuplicityJob.vala"
				deja_dup_tool_job_set_mode ((DejaDupToolJob*) self, DEJA_DUP_TOOL_JOB_MODE_STATUS);
#line 359 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_set_state (self, DUPLICITY_JOB_STATE_STATUS);
#line 360 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp15_ = g_strdup (_ ("Preparing…"));
#line 360 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (action_desc);
#line 360 "../libdeja/duplicity/DuplicityJob.vala"
				action_desc = _tmp15_;
#line 2100 "DuplicityJob.c"
			} else {
				gboolean _tmp16_ = FALSE;
				DejaDupFileTree* _tmp17_;
				DejaDupFileTree* _tmp18_;
				GList* _tmp37_;
				GList* _tmp38_;
#line 365 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp17_ = deja_dup_tool_job_get_tree ((DejaDupToolJob*) self);
#line 365 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp18_ = _tmp17_;
#line 365 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp18_ != NULL) {
#line 2113 "DuplicityJob.c"
					DejaDupFileTree* _tmp19_;
					DejaDupFileTree* _tmp20_;
					const gchar* _tmp21_;
					const gchar* _tmp22_;
#line 365 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp19_ = deja_dup_tool_job_get_tree ((DejaDupToolJob*) self);
#line 365 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp20_ = _tmp19_;
#line 365 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp21_ = deja_dup_file_tree_get_old_home (_tmp20_);
#line 365 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp22_ = _tmp21_;
#line 365 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp16_ = _tmp22_ != NULL;
#line 2128 "DuplicityJob.c"
				} else {
#line 365 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp16_ = FALSE;
#line 2132 "DuplicityJob.c"
				}
#line 365 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp16_) {
#line 2136 "DuplicityJob.c"
					GFile* old_home = NULL;
					DejaDupFileTree* _tmp23_;
					DejaDupFileTree* _tmp24_;
					const gchar* _tmp25_;
					const gchar* _tmp26_;
					GFile* _tmp27_;
					GFile* new_home = NULL;
					const gchar* _tmp28_;
					GFile* _tmp29_;
					gchar* _tmp30_;
					GFile* _tmp31_;
					GFile* _tmp32_;
					gchar* _tmp33_;
					GFile* _tmp34_;
					GFile* _tmp35_;
					gchar* _tmp36_;
#line 366 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp23_ = deja_dup_tool_job_get_tree ((DejaDupToolJob*) self);
#line 366 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp24_ = _tmp23_;
#line 366 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp25_ = deja_dup_file_tree_get_old_home (_tmp24_);
#line 366 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp26_ = _tmp25_;
#line 366 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp27_ = g_file_new_for_path (_tmp26_);
#line 366 "../libdeja/duplicity/DuplicityJob.vala"
					old_home = _tmp27_;
#line 367 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp28_ = g_get_home_dir ();
#line 367 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp29_ = g_file_new_for_path (_tmp28_);
#line 367 "../libdeja/duplicity/DuplicityJob.vala"
					new_home = _tmp29_;
#line 368 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp30_ = g_strdup ("--rename");
#line 368 "../libdeja/duplicity/DuplicityJob.vala"
					extra_argv = g_list_append (extra_argv, _tmp30_);
#line 369 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp31_ = duplicity_job_slash;
#line 369 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp32_ = old_home;
#line 369 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp33_ = g_file_get_relative_path (_tmp31_, _tmp32_);
#line 369 "../libdeja/duplicity/DuplicityJob.vala"
					extra_argv = g_list_append (extra_argv, _tmp33_);
#line 370 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp34_ = duplicity_job_slash;
#line 370 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp35_ = new_home;
#line 370 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp36_ = g_file_get_relative_path (_tmp34_, _tmp35_);
#line 370 "../libdeja/duplicity/DuplicityJob.vala"
					extra_argv = g_list_append (extra_argv, _tmp36_);
#line 365 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (new_home);
#line 365 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (old_home);
#line 2195 "DuplicityJob.c"
				}
#line 373 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp37_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 373 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp38_ = _tmp37_;
#line 373 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp38_ != NULL) {
#line 2203 "DuplicityJob.c"
					GFile* local_file = NULL;
					GList* _tmp41_;
					GList* _tmp42_;
					gconstpointer _tmp43_;
					GFile* _tmp44_;
					GFile* _tmp51_;
					GFile* _tmp52_;
					GFile* target_file = NULL;
					GList* _tmp53_;
					GList* _tmp54_;
					gconstpointer _tmp55_;
					GFile* _tmp56_;
					DejaDupFileTree* _tmp57_;
					DejaDupFileTree* _tmp58_;
					gchar* rel_file_path = NULL;
					GFile* _tmp68_;
					GFile* _tmp69_;
					gchar* _tmp70_;
					const gchar* _tmp71_;
					gchar* _tmp72_;
#line 376 "../libdeja/duplicity/DuplicityJob.vala"
					if (self->priv->restore_files_total == ((guint) 0)) {
#line 2226 "DuplicityJob.c"
						GList* _tmp39_;
						GList* _tmp40_;
#line 377 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp39_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 377 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp40_ = _tmp39_;
#line 377 "../libdeja/duplicity/DuplicityJob.vala"
						self->priv->restore_files_total = g_list_length (_tmp40_);
#line 2235 "DuplicityJob.c"
					}
#line 381 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp41_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 381 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp42_ = _tmp41_;
#line 381 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp43_ = _tmp42_->data;
#line 381 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp44_ = duplicity_job_make_local_rel_path (self, (GFile*) _tmp43_);
#line 381 "../libdeja/duplicity/DuplicityJob.vala"
					local_file = _tmp44_;
#line 2247 "DuplicityJob.c"
					{
						GFile* _tmp45_;
						GFile* _tmp46_;
						GFile* _tmp47_;
#line 384 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp45_ = local_file;
#line 384 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp46_ = g_file_get_parent (_tmp45_);
#line 384 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp47_ = _tmp46_;
#line 384 "../libdeja/duplicity/DuplicityJob.vala"
						g_file_make_directory_with_parents (_tmp47_, NULL, &_inner_error0_);
#line 384 "../libdeja/duplicity/DuplicityJob.vala"
						_g_object_unref0 (_tmp47_);
#line 384 "../libdeja/duplicity/DuplicityJob.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 384 "../libdeja/duplicity/DuplicityJob.vala"
							if (g_error_matches (_inner_error0_, G_IO_ERROR, G_IO_ERROR_EXISTS)) {
#line 2266 "DuplicityJob.c"
								goto __catch1_g_io_error_exists;
							}
							goto __catch1_g_error;
						}
					}
					goto __finally1;
					__catch1_g_io_error_exists:
					{
#line 382 "../libdeja/duplicity/DuplicityJob.vala"
						g_clear_error (&_inner_error0_);
#line 2277 "DuplicityJob.c"
					}
					goto __finally1;
					__catch1_g_error:
					{
						GError* e = NULL;
						GError* _tmp48_;
						const gchar* _tmp49_;
#line 382 "../libdeja/duplicity/DuplicityJob.vala"
						e = _inner_error0_;
#line 382 "../libdeja/duplicity/DuplicityJob.vala"
						_inner_error0_ = NULL;
#line 390 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp48_ = e;
#line 390 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp49_ = _tmp48_->message;
#line 390 "../libdeja/duplicity/DuplicityJob.vala"
						duplicity_job_show_error (self, _tmp49_, NULL);
#line 391 "../libdeja/duplicity/DuplicityJob.vala"
						result = FALSE;
#line 391 "../libdeja/duplicity/DuplicityJob.vala"
						_g_error_free0 (e);
#line 391 "../libdeja/duplicity/DuplicityJob.vala"
						_g_object_unref0 (local_file);
#line 391 "../libdeja/duplicity/DuplicityJob.vala"
						_g_object_unref0 (custom_local);
#line 391 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (action_desc);
#line 391 "../libdeja/duplicity/DuplicityJob.vala"
						(extra_argv == NULL) ? NULL : (extra_argv = (_g_list_free__g_free0_ (extra_argv), NULL));
#line 391 "../libdeja/duplicity/DuplicityJob.vala"
						return result;
#line 2309 "DuplicityJob.c"
					}
					__finally1:
#line 382 "../libdeja/duplicity/DuplicityJob.vala"
					if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2314 "DuplicityJob.c"
						gboolean _tmp50_ = FALSE;
#line 382 "../libdeja/duplicity/DuplicityJob.vala"
						_g_object_unref0 (local_file);
#line 382 "../libdeja/duplicity/DuplicityJob.vala"
						_g_object_unref0 (custom_local);
#line 382 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (action_desc);
#line 382 "../libdeja/duplicity/DuplicityJob.vala"
						(extra_argv == NULL) ? NULL : (extra_argv = (_g_list_free__g_free0_ (extra_argv), NULL));
#line 382 "../libdeja/duplicity/DuplicityJob.vala"
						g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 382 "../libdeja/duplicity/DuplicityJob.vala"
						g_clear_error (&_inner_error0_);
#line 382 "../libdeja/duplicity/DuplicityJob.vala"
						return _tmp50_;
#line 2330 "DuplicityJob.c"
					}
#line 393 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp51_ = local_file;
#line 393 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp52_ = _g_object_ref0 (_tmp51_);
#line 393 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (custom_local);
#line 393 "../libdeja/duplicity/DuplicityJob.vala"
					custom_local = _tmp52_;
#line 395 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp53_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 395 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp54_ = _tmp53_;
#line 395 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp55_ = _tmp54_->data;
#line 395 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp56_ = _g_object_ref0 ((GFile*) _tmp55_);
#line 395 "../libdeja/duplicity/DuplicityJob.vala"
					target_file = _tmp56_;
#line 396 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp57_ = deja_dup_tool_job_get_tree ((DejaDupToolJob*) self);
#line 396 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp58_ = _tmp57_;
#line 396 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp58_ != NULL) {
#line 2356 "DuplicityJob.c"
						gchar* translated_path = NULL;
						DejaDupFileTree* _tmp59_;
						DejaDupFileTree* _tmp60_;
						GFile* _tmp61_;
						gchar* _tmp62_;
						gchar* _tmp63_;
						gchar* _tmp64_;
						gchar* _tmp65_;
						const gchar* _tmp66_;
						GFile* _tmp67_;
#line 397 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp59_ = deja_dup_tool_job_get_tree ((DejaDupToolJob*) self);
#line 397 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp60_ = _tmp59_;
#line 397 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp61_ = target_file;
#line 397 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp62_ = g_file_get_path (_tmp61_);
#line 397 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp63_ = _tmp62_;
#line 397 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp64_ = deja_dup_file_tree_original_path (_tmp60_, _tmp63_);
#line 397 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp65_ = _tmp64_;
#line 397 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (_tmp63_);
#line 397 "../libdeja/duplicity/DuplicityJob.vala"
						translated_path = _tmp65_;
#line 398 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp66_ = translated_path;
#line 398 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp67_ = g_file_new_for_path (_tmp66_);
#line 398 "../libdeja/duplicity/DuplicityJob.vala"
						_g_object_unref0 (target_file);
#line 398 "../libdeja/duplicity/DuplicityJob.vala"
						target_file = _tmp67_;
#line 396 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (translated_path);
#line 2395 "DuplicityJob.c"
					}
#line 400 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp68_ = duplicity_job_slash;
#line 400 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp69_ = target_file;
#line 400 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp70_ = g_file_get_relative_path (_tmp68_, _tmp69_);
#line 400 "../libdeja/duplicity/DuplicityJob.vala"
					rel_file_path = _tmp70_;
#line 401 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp71_ = rel_file_path;
#line 401 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp72_ = g_strdup_printf ("--path-to-restore=%s", _tmp71_);
#line 401 "../libdeja/duplicity/DuplicityJob.vala"
					extra_argv = g_list_append (extra_argv, _tmp72_);
#line 373 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (rel_file_path);
#line 373 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (target_file);
#line 373 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (local_file);
#line 2417 "DuplicityJob.c"
				}
			}
#line 404 "../libdeja/duplicity/DuplicityJob.vala"
			break;
#line 2422 "DuplicityJob.c"
		}
		default:
		{
#line 407 "../libdeja/duplicity/DuplicityJob.vala"
			break;
#line 2428 "DuplicityJob.c"
		}
	}
#line 412 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp73_ = action_desc;
#line 412 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp73_ == NULL) {
#line 2435 "DuplicityJob.c"
		DejaDupToolJobMode _tmp74_;
		DejaDupToolJobMode _tmp75_;
		gchar* _tmp76_;
#line 413 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp74_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 413 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp75_ = _tmp74_;
#line 413 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp76_ = deja_dup_operation_mode_to_string (_tmp75_);
#line 413 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (action_desc);
#line 413 "../libdeja/duplicity/DuplicityJob.vala"
		action_desc = _tmp76_;
#line 2449 "DuplicityJob.c"
	}
#line 414 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp77_ = action_desc;
#line 414 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_set_status (self, _tmp77_, TRUE);
#line 416 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp78_ = extra_argv;
#line 416 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp79_ = custom_local;
#line 416 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_connect_and_start (self, _tmp78_, NULL, NULL, _tmp79_);
#line 417 "../libdeja/duplicity/DuplicityJob.vala"
	result = TRUE;
#line 417 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (custom_local);
#line 417 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (action_desc);
#line 417 "../libdeja/duplicity/DuplicityJob.vala"
	(extra_argv == NULL) ? NULL : (extra_argv = (_g_list_free__g_free0_ (extra_argv), NULL));
#line 417 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 2471 "DuplicityJob.c"
}

static GFile*
duplicity_job_make_local_rel_path (DuplicityJob* self,
                                   GFile* file)
{
	GFile* _tmp0_;
	GFile* _tmp1_;
	GFile* _tmp2_;
	GFile* _tmp3_;
	gboolean _tmp4_;
	GFile* result;
#line 420 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 420 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (file != NULL, NULL);
#line 422 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_tool_job_get_local ((DejaDupToolJob*) self);
#line 422 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 422 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = g_file_get_parent (_tmp1_);
#line 422 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = _tmp2_;
#line 422 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp4_ = _tmp3_ == NULL;
#line 422 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (_tmp3_);
#line 422 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp4_) {
#line 2502 "DuplicityJob.c"
		GFile* _tmp5_;
#line 423 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp5_ = _g_object_ref0 (file);
#line 423 "../libdeja/duplicity/DuplicityJob.vala"
		result = _tmp5_;
#line 423 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 2510 "DuplicityJob.c"
	} else {
		GFile* _tmp6_;
		GFile* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		GFile* _tmp10_;
		GFile* _tmp11_;
#line 425 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp6_ = deja_dup_tool_job_get_local ((DejaDupToolJob*) self);
#line 425 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp7_ = _tmp6_;
#line 425 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp8_ = g_file_get_basename (file);
#line 425 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp9_ = _tmp8_;
#line 425 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp10_ = g_file_get_child (_tmp7_, _tmp9_);
#line 425 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp11_ = _tmp10_;
#line 425 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_tmp9_);
#line 425 "../libdeja/duplicity/DuplicityJob.vala"
		result = _tmp11_;
#line 425 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 2536 "DuplicityJob.c"
	}
}

static void
duplicity_job_report_full_backups_data_free (gpointer _data)
{
	DuplicityJobReportFullBackupsData* _data_;
	_data_ = _data;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (_data_->self);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_slice_free (DuplicityJobReportFullBackupsData, _data_);
#line 2549 "DuplicityJob.c"
}

static void
duplicity_job_report_full_backups (DuplicityJob* self,
                                   GAsyncReadyCallback _callback_,
                                   gpointer _user_data_)
{
	DuplicityJobReportFullBackupsData* _data_;
	DuplicityJob* _tmp0_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_ = g_slice_new0 (DuplicityJobReportFullBackupsData);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, _callback_, _user_data_);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_task_set_task_data (_data_->_async_result, _data_, duplicity_job_report_full_backups_data_free);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->self = _tmp0_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_report_full_backups_co (_data_);
#line 2573 "DuplicityJob.c"
}

static void
duplicity_job_report_full_backups_finish (DuplicityJob* self,
                                          GAsyncResult* _res_)
{
	DuplicityJobReportFullBackupsData* _data_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), NULL);
#line 2583 "DuplicityJob.c"
}

static gpointer
_g_date_time_ref0 (gpointer self)
{
#line 433 "../libdeja/duplicity/DuplicityJob.vala"
	return self ? g_date_time_ref (self) : NULL;
#line 2591 "DuplicityJob.c"
}

static gboolean
duplicity_job_report_full_backups_co (DuplicityJobReportFullBackupsData* _data_)
{
#line 428 "../libdeja/duplicity/DuplicityJob.vala"
	switch (_data_->_state_) {
#line 428 "../libdeja/duplicity/DuplicityJob.vala"
		case 0:
#line 2601 "DuplicityJob.c"
		goto _state_0;
		default:
#line 428 "../libdeja/duplicity/DuplicityJob.vala"
		g_assert_not_reached ();
#line 2606 "DuplicityJob.c"
	}
	_state_0:
#line 430 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->full_backup = NULL;
#line 431 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp0_ = _data_->self->priv->collection_info;
#line 2613 "DuplicityJob.c"
	{
#line 431 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->info_collection = _data_->_tmp0_;
#line 431 "../libdeja/duplicity/DuplicityJob.vala"
		for (_data_->info_it = _data_->info_collection; _data_->info_it != NULL; _data_->info_it = _data_->info_it->next) {
#line 431 "../libdeja/duplicity/DuplicityJob.vala"
			_data_->_tmp1_ = *((DuplicityJobDateInfo*) _data_->info_it->data);
#line 431 "../libdeja/duplicity/DuplicityJob.vala"
			memset (&_data_->_tmp2_, 0, sizeof (DuplicityJobDateInfo));
#line 431 "../libdeja/duplicity/DuplicityJob.vala"
			duplicity_job_date_info_copy (&_data_->_tmp1_, &_data_->_tmp2_);
#line 431 "../libdeja/duplicity/DuplicityJob.vala"
			_data_->info = _data_->_tmp2_;
#line 2627 "DuplicityJob.c"
			{
#line 432 "../libdeja/duplicity/DuplicityJob.vala"
				_data_->_tmp3_ = _data_->info;
#line 432 "../libdeja/duplicity/DuplicityJob.vala"
				if (_data_->_tmp3_.full) {
#line 433 "../libdeja/duplicity/DuplicityJob.vala"
					_data_->_tmp4_ = _data_->info;
#line 433 "../libdeja/duplicity/DuplicityJob.vala"
					_data_->_tmp5_ = _data_->_tmp4_.time;
#line 433 "../libdeja/duplicity/DuplicityJob.vala"
					_data_->_tmp6_ = _g_date_time_ref0 (_data_->_tmp5_);
#line 433 "../libdeja/duplicity/DuplicityJob.vala"
					_g_date_time_unref0 (_data_->full_backup);
#line 433 "../libdeja/duplicity/DuplicityJob.vala"
					_data_->full_backup = _data_->_tmp6_;
#line 2643 "DuplicityJob.c"
				}
#line 431 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_date_info_destroy (&_data_->info);
#line 2647 "DuplicityJob.c"
			}
		}
	}
#line 435 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp7_ = _data_->full_backup;
#line 435 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->first_backup = _data_->_tmp7_ == NULL;
#line 437 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->self->priv->reported_full_backups = TRUE;
#line 441 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp8_ = deja_dup_get_full_backup_threshold_date ();
#line 441 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->threshold = _data_->_tmp8_;
#line 442 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp10_ = _data_->full_backup;
#line 442 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_tmp10_ == NULL) {
#line 442 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp9_ = TRUE;
#line 2667 "DuplicityJob.c"
	} else {
#line 442 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp11_ = _data_->threshold;
#line 442 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp12_ = _data_->full_backup;
#line 442 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp9_ = g_date_time_compare (_data_->_tmp11_, _data_->_tmp12_) > 0;
#line 2675 "DuplicityJob.c"
	}
#line 442 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_tmp9_) {
#line 443 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->self->priv->is_full_backup = TRUE;
#line 444 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_emit_by_name ((DejaDupToolJob*) _data_->self, "is-full", _data_->first_backup);
#line 2683 "DuplicityJob.c"
	}
#line 447 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp14_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) _data_->self);
#line 447 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp15_ = _data_->_tmp14_;
#line 447 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_tmp15_ != DEJA_DUP_TOOL_JOB_MODE_INVALID) {
#line 447 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp13_ = !duplicity_job_restart (_data_->self);
#line 2693 "DuplicityJob.c"
	} else {
#line 447 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp13_ = FALSE;
#line 2697 "DuplicityJob.c"
	}
#line 447 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_tmp13_) {
#line 448 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_emit_by_name ((DejaDupToolJob*) _data_->self, "done", FALSE, FALSE);
#line 2703 "DuplicityJob.c"
	}
#line 428 "../libdeja/duplicity/DuplicityJob.vala"
	_g_date_time_unref0 (_data_->threshold);
#line 428 "../libdeja/duplicity/DuplicityJob.vala"
	_g_date_time_unref0 (_data_->full_backup);
#line 428 "../libdeja/duplicity/DuplicityJob.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 428 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_state_ != 0) {
#line 428 "../libdeja/duplicity/DuplicityJob.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 428 "../libdeja/duplicity/DuplicityJob.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 2717 "DuplicityJob.c"
		}
	}
#line 428 "../libdeja/duplicity/DuplicityJob.vala"
	g_object_unref (_data_->_async_result);
#line 428 "../libdeja/duplicity/DuplicityJob.vala"
	return FALSE;
#line 2724 "DuplicityJob.c"
}

static void
duplicity_job_check_backup_space_data_free (gpointer _data)
{
	DuplicityJobCheckBackupSpaceData* _data_;
	_data_ = _data;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (_data_->self);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_slice_free (DuplicityJobCheckBackupSpaceData, _data_);
#line 2736 "DuplicityJob.c"
}

static void
duplicity_job_check_backup_space (DuplicityJob* self,
                                  GAsyncReadyCallback _callback_,
                                  gpointer _user_data_)
{
	DuplicityJobCheckBackupSpaceData* _data_;
	DuplicityJob* _tmp0_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_ = g_slice_new0 (DuplicityJobCheckBackupSpaceData);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, _callback_, _user_data_);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_task_set_task_data (_data_->_async_result, _data_, duplicity_job_check_backup_space_data_free);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->self = _tmp0_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_check_backup_space_co (_data_);
#line 2760 "DuplicityJob.c"
}

static void
duplicity_job_check_backup_space_finish (DuplicityJob* self,
                                         GAsyncResult* _res_)
{
	DuplicityJobCheckBackupSpaceData* _data_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), NULL);
#line 2770 "DuplicityJob.c"
}

static void
duplicity_job_check_backup_space_ready (GObject* source_object,
                                        GAsyncResult* _res_,
                                        gpointer _user_data_)
{
	DuplicityJobCheckBackupSpaceData* _data_;
#line 476 "../libdeja/duplicity/DuplicityJob.vala"
	_data_ = _user_data_;
#line 476 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_source_object_ = source_object;
#line 476 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_res_ = _res_;
#line 476 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_check_backup_space_co (_data_);
#line 2787 "DuplicityJob.c"
}

static gboolean
duplicity_job_check_backup_space_co (DuplicityJobCheckBackupSpaceData* _data_)
{
#line 452 "../libdeja/duplicity/DuplicityJob.vala"
	switch (_data_->_state_) {
#line 452 "../libdeja/duplicity/DuplicityJob.vala"
		case 0:
#line 2797 "DuplicityJob.c"
		goto _state_0;
#line 452 "../libdeja/duplicity/DuplicityJob.vala"
		case 1:
#line 2801 "DuplicityJob.c"
		goto _state_1;
#line 452 "../libdeja/duplicity/DuplicityJob.vala"
		case 2:
#line 2805 "DuplicityJob.c"
		goto _state_2;
		default:
#line 452 "../libdeja/duplicity/DuplicityJob.vala"
		g_assert_not_reached ();
#line 2810 "DuplicityJob.c"
	}
	_state_0:
#line 454 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->self->priv->checked_backup_space = TRUE;
#line 457 "../libdeja/duplicity/DuplicityJob.vala"
	if (!_data_->self->priv->has_progress_total) {
#line 458 "../libdeja/duplicity/DuplicityJob.vala"
		if (!duplicity_job_restart (_data_->self)) {
#line 459 "../libdeja/duplicity/DuplicityJob.vala"
			g_signal_emit_by_name ((DejaDupToolJob*) _data_->self, "done", FALSE, FALSE);
#line 2821 "DuplicityJob.c"
		}
#line 460 "../libdeja/duplicity/DuplicityJob.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 460 "../libdeja/duplicity/DuplicityJob.vala"
		if (_data_->_state_ != 0) {
#line 460 "../libdeja/duplicity/DuplicityJob.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 460 "../libdeja/duplicity/DuplicityJob.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 2831 "DuplicityJob.c"
			}
		}
#line 460 "../libdeja/duplicity/DuplicityJob.vala"
		g_object_unref (_data_->_async_result);
#line 460 "../libdeja/duplicity/DuplicityJob.vala"
		return FALSE;
#line 2838 "DuplicityJob.c"
	}
#line 464 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->full_dates = 0;
#line 465 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp0_ = _data_->self->priv->collection_info;
#line 2844 "DuplicityJob.c"
	{
#line 465 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->info_collection = _data_->_tmp0_;
#line 465 "../libdeja/duplicity/DuplicityJob.vala"
		for (_data_->info_it = _data_->info_collection; _data_->info_it != NULL; _data_->info_it = _data_->info_it->next) {
#line 465 "../libdeja/duplicity/DuplicityJob.vala"
			_data_->_tmp1_ = *((DuplicityJobDateInfo*) _data_->info_it->data);
#line 465 "../libdeja/duplicity/DuplicityJob.vala"
			memset (&_data_->_tmp2_, 0, sizeof (DuplicityJobDateInfo));
#line 465 "../libdeja/duplicity/DuplicityJob.vala"
			duplicity_job_date_info_copy (&_data_->_tmp1_, &_data_->_tmp2_);
#line 465 "../libdeja/duplicity/DuplicityJob.vala"
			_data_->info = _data_->_tmp2_;
#line 2858 "DuplicityJob.c"
			{
#line 466 "../libdeja/duplicity/DuplicityJob.vala"
				_data_->_tmp3_ = _data_->info;
#line 466 "../libdeja/duplicity/DuplicityJob.vala"
				if (_data_->_tmp3_.full) {
#line 467 "../libdeja/duplicity/DuplicityJob.vala"
					_data_->full_dates = _data_->full_dates + 1;
#line 467 "../libdeja/duplicity/DuplicityJob.vala"
					_data_->_tmp4_ = _data_->full_dates;
#line 2868 "DuplicityJob.c"
				}
#line 465 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_date_info_destroy (&_data_->info);
#line 2872 "DuplicityJob.c"
			}
		}
	}
#line 469 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->first_backup = _data_->full_dates == 0;
#line 473 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->initial_required_space = _data_->self->priv->progress_total * 2;
#line 476 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp5_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) _data_->self);
#line 476 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp6_ = _data_->_tmp5_;
#line 476 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_state_ = 1;
#line 476 "../libdeja/duplicity/DuplicityJob.vala"
	deja_dup_backend_get_space (_data_->_tmp6_, TRUE, duplicity_job_check_backup_space_ready, _data_);
#line 476 "../libdeja/duplicity/DuplicityJob.vala"
	return FALSE;
#line 2890 "DuplicityJob.c"
	_state_1:
#line 476 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->free = deja_dup_backend_get_space_finish (_data_->_tmp6_, _data_->_res_);
#line 477 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp7_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) _data_->self);
#line 477 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_tmp8_ = _data_->_tmp7_;
#line 477 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->_state_ = 2;
#line 477 "../libdeja/duplicity/DuplicityJob.vala"
	deja_dup_backend_get_space (_data_->_tmp8_, FALSE, duplicity_job_check_backup_space_ready, _data_);
#line 477 "../libdeja/duplicity/DuplicityJob.vala"
	return FALSE;
#line 2904 "DuplicityJob.c"
	_state_2:
#line 477 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->total = deja_dup_backend_get_space_finish (_data_->_tmp8_, _data_->_res_);
#line 480 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->free != DEJA_DUP_BACKEND_INFINITE_SPACE) {
#line 480 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp9_ = _data_->free > _data_->total;
#line 2912 "DuplicityJob.c"
	} else {
#line 480 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp9_ = FALSE;
#line 2916 "DuplicityJob.c"
	}
#line 480 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_tmp9_) {
#line 481 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->total = _data_->free;
#line 2922 "DuplicityJob.c"
	}
#line 486 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->total < _data_->initial_required_space) {
#line 488 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp10_ = g_format_size_full (_data_->initial_required_space, G_FORMAT_SIZE_DEFAULT);
#line 488 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp11_ = _data_->_tmp10_;
#line 488 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp12_ = g_strdup_printf (_ ("Try using a location with at least %s."), _data_->_tmp11_);
#line 488 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp13_ = _data_->_tmp12_;
#line 488 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp14_ = g_strdup_printf ("%s %s\n\n%s", _ ("Backup location is too small."), _data_->_tmp13_, _ ("(Space for two full backups is required.)"));
#line 488 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp15_ = _data_->_tmp14_;
#line 488 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_data_->_tmp13_);
#line 488 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_data_->_tmp11_);
#line 488 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->msg = _data_->_tmp15_;
#line 493 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp16_ = _data_->msg;
#line 493 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_show_error (_data_->self, _data_->_tmp16_, NULL);
#line 494 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_emit_by_name ((DejaDupToolJob*) _data_->self, "done", FALSE, FALSE);
#line 495 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_data_->msg);
#line 495 "../libdeja/duplicity/DuplicityJob.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 495 "../libdeja/duplicity/DuplicityJob.vala"
		if (_data_->_state_ != 0) {
#line 495 "../libdeja/duplicity/DuplicityJob.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 495 "../libdeja/duplicity/DuplicityJob.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 2960 "DuplicityJob.c"
			}
		}
#line 495 "../libdeja/duplicity/DuplicityJob.vala"
		g_object_unref (_data_->_async_result);
#line 495 "../libdeja/duplicity/DuplicityJob.vala"
		return FALSE;
#line 2967 "DuplicityJob.c"
	}
#line 499 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->first_backup) {
#line 499 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp17_ = _data_->initial_required_space;
#line 2973 "DuplicityJob.c"
	} else {
#line 499 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp17_ = _data_->self->priv->progress_total;
#line 2977 "DuplicityJob.c"
	}
#line 499 "../libdeja/duplicity/DuplicityJob.vala"
	_data_->required_free_space = _data_->_tmp17_;
#line 500 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->free < _data_->required_free_space) {
#line 502 "../libdeja/duplicity/DuplicityJob.vala"
		if (_data_->full_dates > 1) {
#line 503 "../libdeja/duplicity/DuplicityJob.vala"
			duplicity_job_delete_excess (_data_->self, _data_->full_dates - 1);
#line 505 "../libdeja/duplicity/DuplicityJob.vala"
			_data_->self->priv->checked_backup_space = FALSE;
#line 506 "../libdeja/duplicity/DuplicityJob.vala"
			_data_->self->priv->checked_collection_info = FALSE;
#line 507 "../libdeja/duplicity/DuplicityJob.vala"
			_data_->self->priv->got_collection_info = FALSE;
#line 508 "../libdeja/duplicity/DuplicityJob.vala"
			g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 508 "../libdeja/duplicity/DuplicityJob.vala"
			if (_data_->_state_ != 0) {
#line 508 "../libdeja/duplicity/DuplicityJob.vala"
				while (!g_task_get_completed (_data_->_async_result)) {
#line 508 "../libdeja/duplicity/DuplicityJob.vala"
					g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 3001 "DuplicityJob.c"
				}
			}
#line 508 "../libdeja/duplicity/DuplicityJob.vala"
			g_object_unref (_data_->_async_result);
#line 508 "../libdeja/duplicity/DuplicityJob.vala"
			return FALSE;
#line 3008 "DuplicityJob.c"
		}
#line 512 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp18_ = g_strdup (_ ("Backup location does not have enough free space. Please free up at lea" \
"st %s."));
#line 512 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_vala1_msg = _data_->_tmp18_;
#line 513 "../libdeja/duplicity/DuplicityJob.vala"
		if (_data_->first_backup) {
#line 514 "../libdeja/duplicity/DuplicityJob.vala"
			_data_->_tmp19_ = g_strdup (_ ("Backup location does not have enough free space. Try using a location " \
"with at least %s free."));
#line 514 "../libdeja/duplicity/DuplicityJob.vala"
			_g_free0 (_data_->_vala1_msg);
#line 514 "../libdeja/duplicity/DuplicityJob.vala"
			_data_->_vala1_msg = _data_->_tmp19_;
#line 3022 "DuplicityJob.c"
		}
#line 515 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp20_ = _data_->_vala1_msg;
#line 515 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp21_ = g_format_size_full (_data_->required_free_space, G_FORMAT_SIZE_DEFAULT);
#line 515 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp22_ = _data_->_tmp21_;
#line 515 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp23_ = g_strdup_printf (_data_->_tmp20_, _data_->_tmp22_);
#line 515 "../libdeja/duplicity/DuplicityJob.vala"
		_data_->_tmp24_ = _data_->_tmp23_;
#line 515 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_show_error (_data_->self, _data_->_tmp24_, NULL);
#line 515 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_data_->_tmp24_);
#line 515 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_data_->_tmp22_);
#line 516 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_emit_by_name ((DejaDupToolJob*) _data_->self, "done", FALSE, FALSE);
#line 517 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (_data_->_vala1_msg);
#line 517 "../libdeja/duplicity/DuplicityJob.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 517 "../libdeja/duplicity/DuplicityJob.vala"
		if (_data_->_state_ != 0) {
#line 517 "../libdeja/duplicity/DuplicityJob.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 517 "../libdeja/duplicity/DuplicityJob.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 3052 "DuplicityJob.c"
			}
		}
#line 517 "../libdeja/duplicity/DuplicityJob.vala"
		g_object_unref (_data_->_async_result);
#line 517 "../libdeja/duplicity/DuplicityJob.vala"
		return FALSE;
#line 3059 "DuplicityJob.c"
	}
#line 520 "../libdeja/duplicity/DuplicityJob.vala"
	if (!duplicity_job_restart (_data_->self)) {
#line 521 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_emit_by_name ((DejaDupToolJob*) _data_->self, "done", FALSE, FALSE);
#line 3065 "DuplicityJob.c"
	}
#line 452 "../libdeja/duplicity/DuplicityJob.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 452 "../libdeja/duplicity/DuplicityJob.vala"
	if (_data_->_state_ != 0) {
#line 452 "../libdeja/duplicity/DuplicityJob.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 452 "../libdeja/duplicity/DuplicityJob.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 3075 "DuplicityJob.c"
		}
	}
#line 452 "../libdeja/duplicity/DuplicityJob.vala"
	g_object_unref (_data_->_async_result);
#line 452 "../libdeja/duplicity/DuplicityJob.vala"
	return FALSE;
#line 3082 "DuplicityJob.c"
}

static gboolean
duplicity_job_cleanup (DuplicityJob* self)
{
	DuplicityJobState _tmp0_;
	GList* cleanup_argv = NULL;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	GList* _tmp4_;
	gboolean result;
#line 524 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 525 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = self->priv->_state;
#line 525 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_ == DUPLICITY_JOB_STATE_CLEANUP) {
#line 526 "../libdeja/duplicity/DuplicityJob.vala"
		result = FALSE;
#line 526 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 3105 "DuplicityJob.c"
	}
#line 528 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_set_state (self, DUPLICITY_JOB_STATE_CLEANUP);
#line 529 "../libdeja/duplicity/DuplicityJob.vala"
	cleanup_argv = NULL;
#line 530 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = g_strdup ("cleanup");
#line 530 "../libdeja/duplicity/DuplicityJob.vala"
	cleanup_argv = g_list_append (cleanup_argv, _tmp1_);
#line 531 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = g_strdup ("--force");
#line 531 "../libdeja/duplicity/DuplicityJob.vala"
	cleanup_argv = g_list_append (cleanup_argv, _tmp2_);
#line 532 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = duplicity_job_get_remote (self);
#line 532 "../libdeja/duplicity/DuplicityJob.vala"
	cleanup_argv = g_list_append (cleanup_argv, _tmp3_);
#line 534 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_set_status (self, _ ("Cleaning up…"), TRUE);
#line 535 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp4_ = cleanup_argv;
#line 535 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_connect_and_start (self, NULL, NULL, _tmp4_, NULL);
#line 537 "../libdeja/duplicity/DuplicityJob.vala"
	result = TRUE;
#line 537 "../libdeja/duplicity/DuplicityJob.vala"
	(cleanup_argv == NULL) ? NULL : (cleanup_argv = (_g_list_free__g_free0_ (cleanup_argv), NULL));
#line 537 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 3135 "DuplicityJob.c"
}

static void
duplicity_job_delete_excess (DuplicityJob* self,
                             gint cutoff)
{
	GList* argv = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 540 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 541 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_set_state (self, DUPLICITY_JOB_STATE_DELETE);
#line 542 "../libdeja/duplicity/DuplicityJob.vala"
	argv = NULL;
#line 543 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = g_strdup ("remove-all-but-n-full");
#line 543 "../libdeja/duplicity/DuplicityJob.vala"
	argv = g_list_append (argv, _tmp0_);
#line 544 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = g_strdup_printf ("%d", cutoff);
#line 544 "../libdeja/duplicity/DuplicityJob.vala"
	argv = g_list_append (argv, _tmp1_);
#line 545 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = g_strdup ("--force");
#line 545 "../libdeja/duplicity/DuplicityJob.vala"
	argv = g_list_append (argv, _tmp2_);
#line 546 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = duplicity_job_get_remote (self);
#line 546 "../libdeja/duplicity/DuplicityJob.vala"
	argv = g_list_append (argv, _tmp3_);
#line 548 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_set_status (self, _ ("Cleaning up…"), TRUE);
#line 549 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_connect_and_start (self, NULL, NULL, argv, NULL);
#line 551 "../libdeja/duplicity/DuplicityJob.vala"
	(argv == NULL) ? NULL : (argv = (_g_list_free__g_free0_ (argv), NULL));
#line 551 "../libdeja/duplicity/DuplicityJob.vala"
	return;
#line 3177 "DuplicityJob.c"
}

static gboolean
duplicity_job_can_ignore_error (DuplicityJob* self)
{
	DuplicityJobState _tmp0_;
	gboolean result;
#line 554 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 561 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = self->priv->_state;
#line 561 "../libdeja/duplicity/DuplicityJob.vala"
	result = _tmp0_ == DUPLICITY_JOB_STATE_CLEANUP;
#line 561 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 3193 "DuplicityJob.c"
}

static void
duplicity_job_handle_done (DuplicityJob* self,
                           DuplicityInstance* inst,
                           gboolean success,
                           gboolean cancelled)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp19_;
	gboolean _tmp20_ = FALSE;
	gboolean _tmp21_ = FALSE;
#line 564 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 566 "../libdeja/duplicity/DuplicityJob.vala"
	if (duplicity_job_can_ignore_error (self)) {
#line 567 "../libdeja/duplicity/DuplicityJob.vala"
		success = TRUE;
#line 3212 "DuplicityJob.c"
	}
#line 569 "../libdeja/duplicity/DuplicityJob.vala"
	if (!cancelled) {
#line 569 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = success;
#line 3218 "DuplicityJob.c"
	} else {
#line 569 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = FALSE;
#line 3222 "DuplicityJob.c"
	}
#line 569 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_) {
#line 3226 "DuplicityJob.c"
		DuplicityJobState _tmp1_;
#line 570 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = self->priv->_state;
#line 570 "../libdeja/duplicity/DuplicityJob.vala"
		switch (_tmp1_) {
#line 570 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_STATE_DRY_RUN:
#line 3234 "DuplicityJob.c"
			{
#line 572 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->has_progress_total = TRUE;
#line 573 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->progress_total = self->priv->progress_count;
#line 574 "../libdeja/duplicity/DuplicityJob.vala"
				if (duplicity_job_restart (self)) {
#line 575 "../libdeja/duplicity/DuplicityJob.vala"
					return;
#line 3244 "DuplicityJob.c"
				}
#line 576 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 3248 "DuplicityJob.c"
			}
#line 570 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_STATE_DELETE:
#line 3252 "DuplicityJob.c"
			{
#line 579 "../libdeja/duplicity/DuplicityJob.vala"
				if (duplicity_job_restart (self)) {
#line 580 "../libdeja/duplicity/DuplicityJob.vala"
					return;
#line 3258 "DuplicityJob.c"
				}
#line 581 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 3262 "DuplicityJob.c"
			}
#line 570 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_STATE_CLEANUP:
#line 3266 "DuplicityJob.c"
			{
#line 584 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->cleaned_up_once = TRUE;
#line 585 "../libdeja/duplicity/DuplicityJob.vala"
				if (duplicity_job_restart (self)) {
#line 586 "../libdeja/duplicity/DuplicityJob.vala"
					return;
#line 3274 "DuplicityJob.c"
				}
#line 590 "../libdeja/duplicity/DuplicityJob.vala"
				success = FALSE;
#line 591 "../libdeja/duplicity/DuplicityJob.vala"
				cancelled = TRUE;
#line 592 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 3282 "DuplicityJob.c"
			}
#line 570 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_STATE_STATUS:
#line 3286 "DuplicityJob.c"
			{
				gboolean should_restart = FALSE;
				DejaDupToolJobMode _tmp2_;
				DejaDupToolJobMode _tmp3_;
				DejaDupToolJobMode _tmp4_;
				DejaDupToolJobMode _tmp5_;
#line 595 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->checked_collection_info = TRUE;
#line 596 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp2_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 596 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp3_ = _tmp2_;
#line 596 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp4_ = self->priv->_original_mode;
#line 596 "../libdeja/duplicity/DuplicityJob.vala"
				should_restart = _tmp3_ != _tmp4_;
#line 597 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp5_ = self->priv->_original_mode;
#line 597 "../libdeja/duplicity/DuplicityJob.vala"
				deja_dup_tool_job_set_mode ((DejaDupToolJob*) self, _tmp5_);
#line 599 "../libdeja/duplicity/DuplicityJob.vala"
				if (should_restart) {
#line 600 "../libdeja/duplicity/DuplicityJob.vala"
					if (duplicity_job_restart (self)) {
#line 601 "../libdeja/duplicity/DuplicityJob.vala"
						return;
#line 3313 "DuplicityJob.c"
					}
				}
#line 603 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 3318 "DuplicityJob.c"
			}
#line 570 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_STATE_NORMAL:
#line 3322 "DuplicityJob.c"
			{
				gboolean _tmp6_ = FALSE;
				DejaDupToolJobMode _tmp7_;
				DejaDupToolJobMode _tmp8_;
				DejaDupToolJobMode _tmp16_;
				DejaDupToolJobMode _tmp17_;
#line 606 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp7_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 606 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp8_ = _tmp7_;
#line 606 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp8_ == DEJA_DUP_TOOL_JOB_MODE_RESTORE) {
#line 3335 "DuplicityJob.c"
					GList* _tmp9_;
					GList* _tmp10_;
#line 606 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp9_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 606 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp10_ = _tmp9_;
#line 606 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp6_ = _tmp10_ != NULL;
#line 3344 "DuplicityJob.c"
				} else {
#line 606 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp6_ = FALSE;
#line 3348 "DuplicityJob.c"
				}
#line 606 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp6_) {
#line 3352 "DuplicityJob.c"
					GList* _tmp11_;
					gdouble finished = 0.0;
					GList* _tmp12_;
					GList* _tmp13_;
					GList* _tmp14_;
					GList* _tmp15_;
#line 607 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp11_ = ((DejaDupToolJob*) self)->_restore_files;
#line 607 "../libdeja/duplicity/DuplicityJob.vala"
					((DejaDupToolJob*) self)->_restore_files = g_list_delete_link (((DejaDupToolJob*) self)->_restore_files, _tmp11_);
#line 608 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp12_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 608 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp13_ = _tmp12_;
#line 608 "../libdeja/duplicity/DuplicityJob.vala"
					finished = (gdouble) (self->priv->restore_files_total - g_list_length (_tmp13_));
#line 609 "../libdeja/duplicity/DuplicityJob.vala"
					g_signal_emit_by_name ((DejaDupToolJob*) self, "progress", finished / self->priv->restore_files_total);
#line 610 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp14_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 610 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp15_ = _tmp14_;
#line 610 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp15_ != NULL) {
#line 611 "../libdeja/duplicity/DuplicityJob.vala"
						if (duplicity_job_restart (self)) {
#line 612 "../libdeja/duplicity/DuplicityJob.vala"
							return;
#line 3381 "DuplicityJob.c"
						}
					}
				}
#line 616 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp16_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 616 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp17_ = _tmp16_;
#line 616 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp17_ == DEJA_DUP_TOOL_JOB_MODE_BACKUP) {
#line 617 "../libdeja/duplicity/DuplicityJob.vala"
					deja_dup_tool_job_set_mode ((DejaDupToolJob*) self, DEJA_DUP_TOOL_JOB_MODE_INVALID);
#line 618 "../libdeja/duplicity/DuplicityJob.vala"
					if (duplicity_job_delete_files_if_needed (self)) {
#line 619 "../libdeja/duplicity/DuplicityJob.vala"
						return;
#line 3397 "DuplicityJob.c"
					}
				}
#line 621 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 3402 "DuplicityJob.c"
			}
#line 570 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_STATE_NOT_STARTED:
#line 3406 "DuplicityJob.c"
			{
#line 624 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 3410 "DuplicityJob.c"
			}
			default:
#line 570 "../libdeja/duplicity/DuplicityJob.vala"
			break;
#line 3415 "DuplicityJob.c"
		}
	} else {
		gboolean _tmp18_;
#line 627 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp18_ = self->priv->_was_stopped;
#line 627 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp18_) {
#line 628 "../libdeja/duplicity/DuplicityJob.vala"
			success = TRUE;
#line 3425 "DuplicityJob.c"
		}
	}
#line 630 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp19_ = self->priv->_error_issued;
#line 630 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp19_) {
#line 631 "../libdeja/duplicity/DuplicityJob.vala"
		success = FALSE;
#line 3434 "DuplicityJob.c"
	}
#line 633 "../libdeja/duplicity/DuplicityJob.vala"
	if (!success) {
#line 633 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp21_ = !cancelled;
#line 3440 "DuplicityJob.c"
	} else {
#line 633 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp21_ = FALSE;
#line 3444 "DuplicityJob.c"
	}
#line 633 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp21_) {
#line 3448 "DuplicityJob.c"
		gboolean _tmp22_;
#line 633 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp22_ = self->priv->_error_issued;
#line 633 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp20_ = !_tmp22_;
#line 3454 "DuplicityJob.c"
	} else {
#line 633 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp20_ = FALSE;
#line 3458 "DuplicityJob.c"
	}
#line 633 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp20_) {
#line 634 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_show_error (self, _ ("Failed with an unknown error."), NULL);
#line 3464 "DuplicityJob.c"
	}
#line 636 "../libdeja/duplicity/DuplicityJob.vala"
	inst = NULL;
#line 637 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_emit_by_name ((DejaDupToolJob*) self, "done", success, cancelled);
#line 3470 "DuplicityJob.c"
}

static void
duplicity_job_set_status (DuplicityJob* self,
                          const gchar* msg,
                          gboolean save)
{
#line 643 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 643 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (msg != NULL);
#line 645 "../libdeja/duplicity/DuplicityJob.vala"
	if (save) {
#line 3484 "DuplicityJob.c"
		gchar* _tmp0_;
#line 646 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = g_strdup (msg);
#line 646 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (self->priv->saved_status);
#line 646 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->saved_status = _tmp0_;
#line 647 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (self->priv->saved_status_file);
#line 647 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->saved_status_file = NULL;
#line 3496 "DuplicityJob.c"
	}
#line 649 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_emit_by_name ((DejaDupToolJob*) self, "action-desc-changed", msg);
#line 3500 "DuplicityJob.c"
}

static void
duplicity_job_set_status_file (DuplicityJob* self,
                               GFile* file,
                               gboolean action,
                               gboolean save)
{
#line 652 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 652 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (file != NULL);
#line 654 "../libdeja/duplicity/DuplicityJob.vala"
	if (save) {
#line 3515 "DuplicityJob.c"
		GFile* _tmp0_;
#line 655 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (self->priv->saved_status);
#line 655 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->saved_status = NULL;
#line 656 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = _g_object_ref0 (file);
#line 656 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (self->priv->saved_status_file);
#line 656 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->saved_status_file = _tmp0_;
#line 657 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->saved_status_file_action = action;
#line 3529 "DuplicityJob.c"
	}
#line 659 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_emit_by_name ((DejaDupToolJob*) self, "action-file-changed", file, action);
#line 3533 "DuplicityJob.c"
}

static void
duplicity_job_set_saved_status (DuplicityJob* self)
{
	const gchar* _tmp0_;
#line 662 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 664 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = self->priv->saved_status;
#line 664 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_ != NULL) {
#line 3546 "DuplicityJob.c"
		const gchar* _tmp1_;
#line 665 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = self->priv->saved_status;
#line 665 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_set_status (self, _tmp1_, FALSE);
#line 3552 "DuplicityJob.c"
	} else {
		GFile* _tmp2_;
#line 667 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp2_ = self->priv->saved_status_file;
#line 667 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_set_status_file (self, _tmp2_, self->priv->saved_status_file_action, FALSE);
#line 3559 "DuplicityJob.c"
	}
}

static gboolean
duplicity_job_delete_files_if_needed (DuplicityJob* self)
{
	gboolean _tmp0_ = FALSE;
	gboolean result;
#line 671 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 673 "../libdeja/duplicity/DuplicityJob.vala"
	if (self->priv->delete_age == 0) {
#line 674 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->deleted_files = TRUE;
#line 675 "../libdeja/duplicity/DuplicityJob.vala"
		result = FALSE;
#line 675 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 3578 "DuplicityJob.c"
	}
#line 681 "../libdeja/duplicity/DuplicityJob.vala"
	if (self->priv->got_collection_info) {
#line 681 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = !self->priv->deleted_files;
#line 3584 "DuplicityJob.c"
	} else {
#line 681 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = FALSE;
#line 3588 "DuplicityJob.c"
	}
#line 681 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_) {
#line 3592 "DuplicityJob.c"
		gint full_dates = 0;
		gint too_old = 0;
		GDateTime* today = NULL;
		GDateTime* _tmp1_;
		GDateTime* prev_time = NULL;
		GList* _tmp2_;
		gboolean _tmp15_ = FALSE;
		GDateTime* _tmp16_;
		gboolean _tmp21_ = FALSE;
#line 683 "../libdeja/duplicity/DuplicityJob.vala"
		full_dates = 0;
#line 684 "../libdeja/duplicity/DuplicityJob.vala"
		too_old = 0;
#line 685 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = g_date_time_new_now_local ();
#line 685 "../libdeja/duplicity/DuplicityJob.vala"
		today = _tmp1_;
#line 686 "../libdeja/duplicity/DuplicityJob.vala"
		prev_time = NULL;
#line 688 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp2_ = self->priv->collection_info;
#line 3614 "DuplicityJob.c"
		{
			GList* info_collection = NULL;
			GList* info_it = NULL;
#line 688 "../libdeja/duplicity/DuplicityJob.vala"
			info_collection = _tmp2_;
#line 688 "../libdeja/duplicity/DuplicityJob.vala"
			for (info_it = info_collection; info_it != NULL; info_it = info_it->next) {
#line 3622 "DuplicityJob.c"
				DuplicityJobDateInfo _tmp3_;
				DuplicityJobDateInfo _tmp4_ = {0};
				DuplicityJobDateInfo info = {0};
#line 688 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp3_ = *((DuplicityJobDateInfo*) info_it->data);
#line 688 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_date_info_copy (&_tmp3_, &_tmp4_);
#line 688 "../libdeja/duplicity/DuplicityJob.vala"
				info = _tmp4_;
#line 3632 "DuplicityJob.c"
				{
					DuplicityJobDateInfo _tmp5_;
					DuplicityJobDateInfo _tmp12_;
					GDateTime* _tmp13_;
					GDateTime* _tmp14_;
#line 689 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp5_ = info;
#line 689 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp5_.full) {
#line 3642 "DuplicityJob.c"
						gboolean _tmp6_ = FALSE;
						GDateTime* _tmp7_;
						gint _tmp11_;
#line 690 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp7_ = prev_time;
#line 690 "../libdeja/duplicity/DuplicityJob.vala"
						if (_tmp7_ != NULL) {
#line 3650 "DuplicityJob.c"
							GDateTime* _tmp8_;
							GDateTime* _tmp9_;
#line 690 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp8_ = today;
#line 690 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp9_ = prev_time;
#line 690 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp6_ = (g_date_time_difference (_tmp8_, _tmp9_) / G_TIME_SPAN_DAY) > ((GTimeSpan) self->priv->delete_age);
#line 3659 "DuplicityJob.c"
						} else {
#line 690 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp6_ = FALSE;
#line 3663 "DuplicityJob.c"
						}
#line 690 "../libdeja/duplicity/DuplicityJob.vala"
						if (_tmp6_) {
#line 3667 "DuplicityJob.c"
							gint _tmp10_;
#line 691 "../libdeja/duplicity/DuplicityJob.vala"
							too_old = too_old + 1;
#line 691 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp10_ = too_old;
#line 3673 "DuplicityJob.c"
						}
#line 692 "../libdeja/duplicity/DuplicityJob.vala"
						full_dates = full_dates + 1;
#line 692 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp11_ = full_dates;
#line 3679 "DuplicityJob.c"
					}
#line 694 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp12_ = info;
#line 694 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp13_ = _tmp12_.time;
#line 694 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp14_ = _g_date_time_ref0 (_tmp13_);
#line 694 "../libdeja/duplicity/DuplicityJob.vala"
					_g_date_time_unref0 (prev_time);
#line 694 "../libdeja/duplicity/DuplicityJob.vala"
					prev_time = _tmp14_;
#line 688 "../libdeja/duplicity/DuplicityJob.vala"
					duplicity_job_date_info_destroy (&info);
#line 3693 "DuplicityJob.c"
				}
			}
		}
#line 696 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp16_ = prev_time;
#line 696 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp16_ != NULL) {
#line 3701 "DuplicityJob.c"
			GDateTime* _tmp17_;
			GDateTime* _tmp18_;
#line 696 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp17_ = today;
#line 696 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp18_ = prev_time;
#line 696 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp15_ = (g_date_time_difference (_tmp17_, _tmp18_) / G_TIME_SPAN_DAY) > ((GTimeSpan) self->priv->delete_age);
#line 3710 "DuplicityJob.c"
		} else {
#line 696 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp15_ = FALSE;
#line 3714 "DuplicityJob.c"
		}
#line 696 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp15_) {
#line 3718 "DuplicityJob.c"
			gint _tmp19_;
#line 697 "../libdeja/duplicity/DuplicityJob.vala"
			too_old = too_old + 1;
#line 697 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp19_ = too_old;
#line 3724 "DuplicityJob.c"
		}
#line 702 "../libdeja/duplicity/DuplicityJob.vala"
		if (self->priv->is_full_backup) {
#line 3728 "DuplicityJob.c"
			gint _tmp20_;
#line 703 "../libdeja/duplicity/DuplicityJob.vala"
			full_dates = full_dates + 1;
#line 703 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp20_ = full_dates;
#line 3734 "DuplicityJob.c"
		}
#line 705 "../libdeja/duplicity/DuplicityJob.vala"
		if (too_old > 0) {
#line 705 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp21_ = full_dates > DUPLICITY_JOB_MINIMUM_FULL;
#line 3740 "DuplicityJob.c"
		} else {
#line 705 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp21_ = FALSE;
#line 3744 "DuplicityJob.c"
		}
#line 705 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp21_) {
#line 3748 "DuplicityJob.c"
			gint cutoff = 0;
#line 707 "../libdeja/duplicity/DuplicityJob.vala"
			cutoff = MAX (DUPLICITY_JOB_MINIMUM_FULL, full_dates - too_old);
#line 708 "../libdeja/duplicity/DuplicityJob.vala"
			duplicity_job_delete_excess (self, cutoff);
#line 709 "../libdeja/duplicity/DuplicityJob.vala"
			result = TRUE;
#line 709 "../libdeja/duplicity/DuplicityJob.vala"
			_g_date_time_unref0 (prev_time);
#line 709 "../libdeja/duplicity/DuplicityJob.vala"
			_g_date_time_unref0 (today);
#line 709 "../libdeja/duplicity/DuplicityJob.vala"
			return result;
#line 3762 "DuplicityJob.c"
		}
#line 713 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->deleted_files = TRUE;
#line 714 "../libdeja/duplicity/DuplicityJob.vala"
		result = FALSE;
#line 714 "../libdeja/duplicity/DuplicityJob.vala"
		_g_date_time_unref0 (prev_time);
#line 714 "../libdeja/duplicity/DuplicityJob.vala"
		_g_date_time_unref0 (today);
#line 714 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 3774 "DuplicityJob.c"
	} else {
#line 717 "../libdeja/duplicity/DuplicityJob.vala"
		result = FALSE;
#line 717 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 3780 "DuplicityJob.c"
	}
}

static void
duplicity_job_delete_cache (DuplicityJob* self,
                            GRegex* only)
{
	gchar* dir = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* cachedir = NULL;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	DejaDupRecursiveDelete* del = NULL;
	const gchar* _tmp5_;
	GFile* _tmp6_;
	GFile* _tmp7_;
	DejaDupRecursiveDelete* _tmp8_;
	DejaDupRecursiveDelete* _tmp9_;
	DejaDupRecursiveDelete* _tmp10_;
#line 752 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 754 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = g_get_user_cache_dir ();
#line 754 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 754 "../libdeja/duplicity/DuplicityJob.vala"
	dir = _tmp1_;
#line 755 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = dir;
#line 755 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp2_ == NULL) {
#line 756 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (dir);
#line 756 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 3818 "DuplicityJob.c"
	}
#line 758 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = dir;
#line 758 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp4_ = g_build_filename (_tmp3_, PACKAGE, NULL);
#line 758 "../libdeja/duplicity/DuplicityJob.vala"
	cachedir = _tmp4_;
#line 759 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp5_ = cachedir;
#line 759 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp6_ = g_file_new_for_path (_tmp5_);
#line 759 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp7_ = _tmp6_;
#line 759 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp8_ = deja_dup_recursive_delete_new (_tmp7_, NULL, only);
#line 759 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp9_ = _tmp8_;
#line 759 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (_tmp7_);
#line 759 "../libdeja/duplicity/DuplicityJob.vala"
	del = _tmp9_;
#line 760 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp10_ = del;
#line 760 "../libdeja/duplicity/DuplicityJob.vala"
	deja_dup_recursive_op_start ((DejaDupRecursiveOp*) _tmp10_);
#line 752 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (del);
#line 752 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (cachedir);
#line 752 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (dir);
#line 3850 "DuplicityJob.c"
}

static gboolean
duplicity_job_restart_without_cache (DuplicityJob* self)
{
	gboolean result;
#line 764 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 766 "../libdeja/duplicity/DuplicityJob.vala"
	if (self->priv->restarted_without_cache) {
#line 767 "../libdeja/duplicity/DuplicityJob.vala"
		result = FALSE;
#line 767 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 3865 "DuplicityJob.c"
	}
#line 769 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->restarted_without_cache = TRUE;
#line 771 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_delete_cache (self, NULL);
#line 772 "../libdeja/duplicity/DuplicityJob.vala"
	result = duplicity_job_restart (self);
#line 772 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 3875 "DuplicityJob.c"
}

static void
duplicity_job_handle_exit (DuplicityJob* self,
                           gint code)
{
	gboolean _tmp0_ = FALSE;
#line 775 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 783 "../libdeja/duplicity/DuplicityJob.vala"
	if (code == DUPLICITY_JOB_ERROR_GENERIC) {
#line 3887 "DuplicityJob.c"
		gboolean _tmp1_;
#line 783 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = self->priv->_error_issued;
#line 783 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = !_tmp1_;
#line 3893 "DuplicityJob.c"
	} else {
#line 783 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = FALSE;
#line 3897 "DuplicityJob.c"
	}
#line 783 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_) {
#line 784 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_restart_without_cache (self);
#line 3903 "DuplicityJob.c"
	}
}

static void
duplicity_job_handle_message (DuplicityJob* self,
                              DuplicityInstance* inst,
                              gchar** control_line,
                              gint control_line_length1,
                              GList* data_lines,
                              const gchar* user_text)
{
	gchar* keyword = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	GQuark _tmp5_ = 0U;
#line 801 "../libdeja/duplicity/DuplicityJob.vala"
	static GQuark _tmp4_label0 = 0;
#line 801 "../libdeja/duplicity/DuplicityJob.vala"
	static GQuark _tmp4_label1 = 0;
#line 801 "../libdeja/duplicity/DuplicityJob.vala"
	static GQuark _tmp4_label2 = 0;
#line 791 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 791 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (inst != NULL);
#line 791 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (user_text != NULL);
#line 797 "../libdeja/duplicity/DuplicityJob.vala"
	if (control_line_length1 == 0) {
#line 798 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 3937 "DuplicityJob.c"
	}
#line 800 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = control_line[0];
#line 800 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 800 "../libdeja/duplicity/DuplicityJob.vala"
	keyword = _tmp1_;
#line 801 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = keyword;
#line 801 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = _tmp2_;
#line 801 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp5_ = (NULL == _tmp3_) ? 0 : g_quark_from_string (_tmp3_);
#line 801 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp5_ == ((0 != _tmp4_label0) ? _tmp4_label0 : (_tmp4_label0 = g_quark_from_static_string ("ERROR")))) {
#line 801 "../libdeja/duplicity/DuplicityJob.vala"
		switch (0) {
#line 3955 "DuplicityJob.c"
			default:
			{
#line 803 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_process_error (self, control_line, (gint) control_line_length1, data_lines, user_text);
#line 804 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 3962 "DuplicityJob.c"
			}
		}
	} else if (_tmp5_ == ((0 != _tmp4_label1) ? _tmp4_label1 : (_tmp4_label1 = g_quark_from_static_string ("INFO")))) {
#line 801 "../libdeja/duplicity/DuplicityJob.vala"
		switch (0) {
#line 3968 "DuplicityJob.c"
			default:
			{
#line 806 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_process_info (self, control_line, (gint) control_line_length1, data_lines, user_text);
#line 807 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 3975 "DuplicityJob.c"
			}
		}
	} else if (_tmp5_ == ((0 != _tmp4_label2) ? _tmp4_label2 : (_tmp4_label2 = g_quark_from_static_string ("WARNING")))) {
#line 801 "../libdeja/duplicity/DuplicityJob.vala"
		switch (0) {
#line 3981 "DuplicityJob.c"
			default:
			{
#line 809 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_process_warning (self, control_line, (gint) control_line_length1, data_lines, user_text);
#line 810 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 3988 "DuplicityJob.c"
			}
		}
	}
#line 791 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (keyword);
#line 3994 "DuplicityJob.c"
}

static gboolean
duplicity_job_ask_question (DuplicityJob* self,
                            const gchar* t,
                            const gchar* m)
{
	gboolean rv = FALSE;
	DejaDupToolJobMode _tmp0_;
	DejaDupToolJobMode _tmp1_;
	gboolean result;
#line 814 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 814 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (t != NULL, FALSE);
#line 814 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (m != NULL, FALSE);
#line 816 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_disconnect_inst (self);
#line 817 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_emit_by_name ((DejaDupToolJob*) self, "question", t, m);
#line 818 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 818 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 818 "../libdeja/duplicity/DuplicityJob.vala"
	rv = _tmp1_ != DEJA_DUP_TOOL_JOB_MODE_INVALID;
#line 819 "../libdeja/duplicity/DuplicityJob.vala"
	if (!rv) {
#line 820 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_handle_done (self, NULL, FALSE, TRUE);
#line 4026 "DuplicityJob.c"
	}
#line 821 "../libdeja/duplicity/DuplicityJob.vala"
	result = rv;
#line 821 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 4032 "DuplicityJob.c"
}

static gint
string_index_of_char (const gchar* self,
                      gunichar c,
                      gint start_index)
{
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gint result;
#line 1204 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 1205 "glib-2.0.vapi"
	_tmp0_ = g_utf8_strchr (((gchar*) self) + start_index, (gssize) -1, c);
#line 1205 "glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1207 "glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1207 "glib-2.0.vapi"
	if (_tmp1_ != NULL) {
#line 4054 "DuplicityJob.c"
		gchar* _tmp2_;
#line 1208 "glib-2.0.vapi"
		_tmp2_ = _result_;
#line 1208 "glib-2.0.vapi"
		result = (gint) (_tmp2_ - ((gchar*) self));
#line 1208 "glib-2.0.vapi"
		return result;
#line 4062 "DuplicityJob.c"
	} else {
#line 1210 "glib-2.0.vapi"
		result = -1;
#line 1210 "glib-2.0.vapi"
		return result;
#line 4068 "DuplicityJob.c"
	}
}

static glong
string_strnlen (gchar* str,
                glong maxlen)
{
	gchar* end = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	glong result;
#line 1501 "glib-2.0.vapi"
	_tmp0_ = memchr (str, 0, (gsize) maxlen);
#line 1501 "glib-2.0.vapi"
	end = _tmp0_;
#line 1502 "glib-2.0.vapi"
	_tmp1_ = end;
#line 1502 "glib-2.0.vapi"
	if (_tmp1_ == NULL) {
#line 1503 "glib-2.0.vapi"
		result = maxlen;
#line 1503 "glib-2.0.vapi"
		return result;
#line 4092 "DuplicityJob.c"
	} else {
		gchar* _tmp2_;
#line 1505 "glib-2.0.vapi"
		_tmp2_ = end;
#line 1505 "glib-2.0.vapi"
		result = (glong) (_tmp2_ - str);
#line 1505 "glib-2.0.vapi"
		return result;
#line 4101 "DuplicityJob.c"
	}
}

static gchar*
string_substring (const gchar* self,
                  glong offset,
                  glong len)
{
	glong string_length = 0L;
	gboolean _tmp0_ = FALSE;
	gchar* _tmp3_;
	gchar* result;
#line 1512 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1514 "glib-2.0.vapi"
	if (offset >= ((glong) 0)) {
#line 1514 "glib-2.0.vapi"
		_tmp0_ = len >= ((glong) 0);
#line 4120 "DuplicityJob.c"
	} else {
#line 1514 "glib-2.0.vapi"
		_tmp0_ = FALSE;
#line 4124 "DuplicityJob.c"
	}
#line 1514 "glib-2.0.vapi"
	if (_tmp0_) {
#line 1516 "glib-2.0.vapi"
		string_length = string_strnlen ((gchar*) self, offset + len);
#line 4130 "DuplicityJob.c"
	} else {
		gint _tmp1_;
		gint _tmp2_;
#line 1518 "glib-2.0.vapi"
		_tmp1_ = strlen (self);
#line 1518 "glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1518 "glib-2.0.vapi"
		string_length = (glong) _tmp2_;
#line 4140 "DuplicityJob.c"
	}
#line 1521 "glib-2.0.vapi"
	if (offset < ((glong) 0)) {
#line 1522 "glib-2.0.vapi"
		offset = string_length + offset;
#line 1523 "glib-2.0.vapi"
		g_return_val_if_fail (offset >= ((glong) 0), NULL);
#line 4148 "DuplicityJob.c"
	} else {
#line 1525 "glib-2.0.vapi"
		g_return_val_if_fail (offset <= string_length, NULL);
#line 4152 "DuplicityJob.c"
	}
#line 1527 "glib-2.0.vapi"
	if (len < ((glong) 0)) {
#line 1528 "glib-2.0.vapi"
		len = string_length - offset;
#line 4158 "DuplicityJob.c"
	}
#line 1530 "glib-2.0.vapi"
	g_return_val_if_fail ((offset + len) <= string_length, NULL);
#line 1531 "glib-2.0.vapi"
	_tmp3_ = g_strndup (((gchar*) self) + offset, (gsize) len);
#line 1531 "glib-2.0.vapi"
	result = _tmp3_;
#line 1531 "glib-2.0.vapi"
	return result;
#line 4168 "DuplicityJob.c"
}

static gchar*
duplicity_job_parse_duplicity_file (DuplicityJob* self,
                                    const gchar* file,
                                    gint skip_bits)
{
	gint next = 0;
	gchar* result;
#line 826 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 826 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (file != NULL, NULL);
#line 828 "../libdeja/duplicity/DuplicityJob.vala"
	next = 0;
#line 829 "../libdeja/duplicity/DuplicityJob.vala"
	while (TRUE) {
#line 4186 "DuplicityJob.c"
		gboolean _tmp0_ = FALSE;
		gint _tmp1_;
#line 829 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = skip_bits;
#line 829 "../libdeja/duplicity/DuplicityJob.vala"
		skip_bits = _tmp1_ - 1;
#line 829 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp1_ > 0) {
#line 829 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp0_ = next >= 0;
#line 4197 "DuplicityJob.c"
		} else {
#line 829 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp0_ = FALSE;
#line 4201 "DuplicityJob.c"
		}
#line 829 "../libdeja/duplicity/DuplicityJob.vala"
		if (!_tmp0_) {
#line 829 "../libdeja/duplicity/DuplicityJob.vala"
			break;
#line 4207 "DuplicityJob.c"
		}
#line 830 "../libdeja/duplicity/DuplicityJob.vala"
		next = string_index_of_char (file, (gunichar) '.', next) + 1;
#line 4211 "DuplicityJob.c"
	}
#line 831 "../libdeja/duplicity/DuplicityJob.vala"
	if (next < 0) {
#line 4215 "DuplicityJob.c"
		gchar* _tmp2_;
#line 832 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp2_ = g_strdup ("");
#line 832 "../libdeja/duplicity/DuplicityJob.vala"
		result = _tmp2_;
#line 832 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 4223 "DuplicityJob.c"
	} else {
		gchar* _tmp3_;
#line 834 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp3_ = string_substring (file, (glong) next, (glong) -1);
#line 834 "../libdeja/duplicity/DuplicityJob.vala"
		result = _tmp3_;
#line 834 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 4232 "DuplicityJob.c"
	}
}

static void
duplicity_job_report_encryption_error (DuplicityJob* self)
{
#line 837 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 839 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_emit_by_name ((DejaDupToolJob*) self, "bad-encryption-password");
#line 840 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_show_error (self, _ ("Bad encryption password."), NULL);
#line 4245 "DuplicityJob.c"
}

static gboolean
string_contains (const gchar* self,
                 const gchar* needle)
{
	gchar* _tmp0_;
	gboolean result;
#line 1584 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1584 "glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1585 "glib-2.0.vapi"
	_tmp0_ = strstr ((gchar*) self, (gchar*) needle);
#line 1585 "glib-2.0.vapi"
	result = _tmp0_ != NULL;
#line 1585 "glib-2.0.vapi"
	return result;
#line 4264 "DuplicityJob.c"
}

static gboolean
duplicity_job_check_encryption_error (DuplicityJob* self,
                                      const gchar* text)
{
	gchar* no_seckey_msg = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* bad_key_msg = NULL;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp6_ = FALSE;
	const gchar* _tmp7_;
	gboolean result;
#line 843 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 843 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (text != NULL, FALSE);
#line 852 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = gpg_strerror (GPG_ERR_NO_SECKEY);
#line 852 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 852 "../libdeja/duplicity/DuplicityJob.vala"
	no_seckey_msg = _tmp1_;
#line 853 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = gpg_strerror (GPG_ERR_BAD_KEY);
#line 853 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 853 "../libdeja/duplicity/DuplicityJob.vala"
	bad_key_msg = _tmp3_;
#line 854 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp7_ = no_seckey_msg;
#line 854 "../libdeja/duplicity/DuplicityJob.vala"
	if (string_contains (text, _tmp7_)) {
#line 854 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp6_ = TRUE;
#line 4304 "DuplicityJob.c"
	} else {
#line 854 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp6_ = string_contains (text, "No secret key");
#line 4308 "DuplicityJob.c"
	}
#line 854 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp6_) {
#line 854 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp5_ = TRUE;
#line 4314 "DuplicityJob.c"
	} else {
		const gchar* _tmp8_;
#line 855 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp8_ = bad_key_msg;
#line 855 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp5_ = string_contains (text, _tmp8_);
#line 4321 "DuplicityJob.c"
	}
#line 854 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp5_) {
#line 854 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp4_ = TRUE;
#line 4327 "DuplicityJob.c"
	} else {
#line 855 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp4_ = string_contains (text, "Bad session key");
#line 4331 "DuplicityJob.c"
	}
#line 854 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp4_) {
#line 857 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_report_encryption_error (self);
#line 858 "../libdeja/duplicity/DuplicityJob.vala"
		result = TRUE;
#line 858 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (bad_key_msg);
#line 858 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (no_seckey_msg);
#line 858 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 4345 "DuplicityJob.c"
	}
#line 861 "../libdeja/duplicity/DuplicityJob.vala"
	result = FALSE;
#line 861 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (bad_key_msg);
#line 861 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (no_seckey_msg);
#line 861 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 4355 "DuplicityJob.c"
}

static void
duplicity_job_real_process_error (DuplicityJob* self,
                                  gchar** firstline,
                                  gint firstline_length1,
                                  GList* data,
                                  const gchar* text_in)
{
	gchar* text = NULL;
	gchar* _tmp0_;
	const gchar* _tmp74_;
#line 864 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (text_in != NULL);
#line 867 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = g_strdup (text_in);
#line 867 "../libdeja/duplicity/DuplicityJob.vala"
	text = _tmp0_;
#line 869 "../libdeja/duplicity/DuplicityJob.vala"
	if (duplicity_job_can_ignore_error (self)) {
#line 870 "../libdeja/duplicity/DuplicityJob.vala"
		_g_free0 (text);
#line 870 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 4380 "DuplicityJob.c"
	}
#line 872 "../libdeja/duplicity/DuplicityJob.vala"
	if (firstline_length1 > 1) {
#line 4384 "DuplicityJob.c"
		const gchar* _tmp1_;
#line 873 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = firstline[1];
#line 873 "../libdeja/duplicity/DuplicityJob.vala"
		switch (atoi (_tmp1_)) {
#line 873 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_ERROR_GENERIC:
#line 4392 "DuplicityJob.c"
			{
				gboolean _tmp2_ = FALSE;
				const gchar* _tmp3_;
#line 876 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp3_ = text;
#line 876 "../libdeja/duplicity/DuplicityJob.vala"
				if (string_contains (_tmp3_, "GnuPG")) {
#line 4400 "DuplicityJob.c"
					const gchar* _tmp4_;
#line 876 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp4_ = text;
#line 876 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp2_ = duplicity_job_check_encryption_error (self, _tmp4_);
#line 4406 "DuplicityJob.c"
				} else {
#line 876 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp2_ = FALSE;
#line 4410 "DuplicityJob.c"
				}
#line 876 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp2_) {
#line 877 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (text);
#line 877 "../libdeja/duplicity/DuplicityJob.vala"
					return;
#line 4418 "DuplicityJob.c"
				}
#line 878 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 4422 "DuplicityJob.c"
			}
#line 873 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_ERROR_EXCEPTION:
#line 4426 "DuplicityJob.c"
			{
				const gchar* _tmp5_ = NULL;
				const gchar* _tmp7_;
#line 881 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 > 2) {
#line 4432 "DuplicityJob.c"
					const gchar* _tmp6_;
#line 881 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp6_ = firstline[2];
#line 881 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp5_ = _tmp6_;
#line 4438 "DuplicityJob.c"
				} else {
#line 881 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp5_ = "";
#line 4442 "DuplicityJob.c"
				}
#line 881 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp7_ = text;
#line 881 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_process_exception (self, _tmp5_, _tmp7_);
#line 882 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (text);
#line 882 "../libdeja/duplicity/DuplicityJob.vala"
				return;
#line 4452 "DuplicityJob.c"
			}
#line 873 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_ERROR_RESTORE_DIR_NOT_FOUND:
#line 4456 "DuplicityJob.c"
			{
				GList* _tmp8_;
				GList* _tmp9_;
#line 888 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp8_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 888 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp9_ = _tmp8_;
#line 888 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp9_ != NULL) {
#line 4466 "DuplicityJob.c"
					GList* _tmp10_;
					GList* _tmp11_;
					gconstpointer _tmp12_;
					gchar* _tmp13_;
					gchar* _tmp14_;
					gchar* _tmp15_;
#line 889 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp10_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 889 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp11_ = _tmp10_;
#line 889 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp12_ = _tmp11_->data;
#line 889 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp13_ = g_file_get_parse_name ((GFile*) _tmp12_);
#line 889 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp14_ = _tmp13_;
#line 889 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp15_ = g_strdup_printf (_ ("Could not restore ‘%s’: File not found in backup"), _tmp14_);
#line 889 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (text);
#line 889 "../libdeja/duplicity/DuplicityJob.vala"
					text = _tmp15_;
#line 889 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (_tmp14_);
#line 4491 "DuplicityJob.c"
				}
#line 891 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 4495 "DuplicityJob.c"
			}
#line 873 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_ERROR_GPG:
#line 4499 "DuplicityJob.c"
			{
#line 894 "../libdeja/duplicity/DuplicityJob.vala"
				if (duplicity_job_check_encryption_error (self, text_in)) {
#line 895 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (text);
#line 895 "../libdeja/duplicity/DuplicityJob.vala"
					return;
#line 4507 "DuplicityJob.c"
				}
#line 896 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 4511 "DuplicityJob.c"
			}
#line 873 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_ERROR_HOSTNAME_CHANGED:
#line 4515 "DuplicityJob.c"
			{
				gchar* _tmp23_;
#line 899 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 >= 4) {
#line 4520 "DuplicityJob.c"
					gchar* msg = NULL;
					gchar* _tmp16_;
					const gchar* _tmp17_;
					const gchar* _tmp18_;
					const gchar* _tmp19_;
					gchar* _tmp20_;
					gchar* _tmp21_;
					gboolean _tmp22_;
#line 900 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp16_ = g_strdup (_ ("The existing backup is of a computer named %s, but the " "current computer’s name is %s.  If this is unexpected, " "you should back up to a different location."));
#line 900 "../libdeja/duplicity/DuplicityJob.vala"
					msg = _tmp16_;
#line 903 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp17_ = msg;
#line 903 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp18_ = firstline[3];
#line 903 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp19_ = firstline[2];
#line 903 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp20_ = g_strdup_printf (_tmp17_, _tmp18_, _tmp19_);
#line 903 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp21_ = _tmp20_;
#line 903 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp22_ = !duplicity_job_ask_question (self, _ ("Computer name changed"), _tmp21_);
#line 903 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (_tmp21_);
#line 903 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp22_) {
#line 904 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (msg);
#line 904 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (text);
#line 904 "../libdeja/duplicity/DuplicityJob.vala"
						return;
#line 4555 "DuplicityJob.c"
					}
#line 899 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (msg);
#line 4559 "DuplicityJob.c"
				}
#line 908 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp23_ = g_strdup ("--allow-source-mismatch");
#line 908 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->saved_argv = g_list_append (self->priv->saved_argv, _tmp23_);
#line 909 "../libdeja/duplicity/DuplicityJob.vala"
				if (duplicity_job_restart (self)) {
#line 910 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (text);
#line 910 "../libdeja/duplicity/DuplicityJob.vala"
					return;
#line 4571 "DuplicityJob.c"
				}
#line 911 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 4575 "DuplicityJob.c"
			}
#line 873 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_ERROR_BAD_VOLUME:
#line 4579 "DuplicityJob.c"
			{
				DejaDupToolJobMode _tmp24_;
				DejaDupToolJobMode _tmp25_;
#line 919 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp24_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 919 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp25_ = _tmp24_;
#line 919 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp25_ == DEJA_DUP_TOOL_JOB_MODE_BACKUP) {
#line 4589 "DuplicityJob.c"
					gchar* this_volume = NULL;
					const gchar* _tmp26_;
					gchar* _tmp27_;
					const gchar* _tmp28_;
					const gchar* _tmp29_;
					gboolean _tmp32_ = FALSE;
					gboolean _tmp33_ = FALSE;
#line 921 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp26_ = firstline[2];
#line 921 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp27_ = duplicity_job_parse_duplicity_file (self, _tmp26_, 2);
#line 921 "../libdeja/duplicity/DuplicityJob.vala"
					this_volume = _tmp27_;
#line 922 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp28_ = self->priv->last_bad_volume;
#line 922 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp29_ = this_volume;
#line 922 "../libdeja/duplicity/DuplicityJob.vala"
					if (g_strcmp0 (_tmp28_, _tmp29_) != 0) {
#line 4609 "DuplicityJob.c"
						const gchar* _tmp30_;
						gchar* _tmp31_;
#line 923 "../libdeja/duplicity/DuplicityJob.vala"
						self->priv->bad_volume_count = (guint) 0;
#line 924 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp30_ = this_volume;
#line 924 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp31_ = g_strdup (_tmp30_);
#line 924 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (self->priv->last_bad_volume);
#line 924 "../libdeja/duplicity/DuplicityJob.vala"
						self->priv->last_bad_volume = _tmp31_;
#line 4622 "DuplicityJob.c"
					}
#line 927 "../libdeja/duplicity/DuplicityJob.vala"
					if (self->priv->bad_volume_count == ((guint) 0)) {
#line 927 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp33_ = duplicity_job_restart (self);
#line 4628 "DuplicityJob.c"
					} else {
#line 927 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp33_ = FALSE;
#line 4632 "DuplicityJob.c"
					}
#line 927 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp33_) {
#line 927 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp32_ = TRUE;
#line 4638 "DuplicityJob.c"
					} else {
						gboolean _tmp34_ = FALSE;
#line 928 "../libdeja/duplicity/DuplicityJob.vala"
						if (self->priv->bad_volume_count == ((guint) 1)) {
#line 928 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp34_ = duplicity_job_cleanup (self);
#line 4645 "DuplicityJob.c"
						} else {
#line 928 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp34_ = FALSE;
#line 4649 "DuplicityJob.c"
						}
#line 928 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp32_ = _tmp34_;
#line 4653 "DuplicityJob.c"
					}
#line 927 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp32_) {
#line 929 "../libdeja/duplicity/DuplicityJob.vala"
						self->priv->bad_volume_count = self->priv->bad_volume_count + 1;
#line 930 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (this_volume);
#line 930 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (text);
#line 930 "../libdeja/duplicity/DuplicityJob.vala"
						return;
#line 4665 "DuplicityJob.c"
					}
#line 919 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (this_volume);
#line 4669 "DuplicityJob.c"
				}
#line 933 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 4673 "DuplicityJob.c"
			}
#line 873 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_ERROR_BACKEND_PERMISSION_DENIED:
#line 4677 "DuplicityJob.c"
			{
				gboolean _tmp35_ = FALSE;
				gboolean _tmp43_ = FALSE;
#line 936 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 >= 5) {
#line 4683 "DuplicityJob.c"
					const gchar* _tmp36_;
#line 936 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp36_ = firstline[2];
#line 936 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp35_ = g_strcmp0 (_tmp36_, "put") == 0;
#line 4689 "DuplicityJob.c"
				} else {
#line 936 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp35_ = FALSE;
#line 4693 "DuplicityJob.c"
				}
#line 936 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp35_) {
#line 4697 "DuplicityJob.c"
					GFile* file = NULL;
					const gchar* _tmp37_;
					GFile* _tmp38_;
					GFile* _tmp39_;
					gchar* _tmp40_;
					gchar* _tmp41_;
					gchar* _tmp42_;
#line 937 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp37_ = firstline[4];
#line 937 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp38_ = duplicity_job_make_file_obj (self, _tmp37_);
#line 937 "../libdeja/duplicity/DuplicityJob.vala"
					file = _tmp38_;
#line 938 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp39_ = file;
#line 938 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp40_ = g_file_get_parse_name (_tmp39_);
#line 938 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp41_ = _tmp40_;
#line 938 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp42_ = g_strdup_printf (_ ("Permission denied when trying to create ‘%s’."), _tmp41_);
#line 938 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (text);
#line 938 "../libdeja/duplicity/DuplicityJob.vala"
					text = _tmp42_;
#line 938 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (_tmp41_);
#line 936 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (file);
#line 4727 "DuplicityJob.c"
				}
#line 940 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 >= 5) {
#line 4731 "DuplicityJob.c"
					const gchar* _tmp44_;
#line 940 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp44_ = firstline[2];
#line 940 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp43_ = g_strcmp0 (_tmp44_, "get") == 0;
#line 4737 "DuplicityJob.c"
				} else {
#line 940 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp43_ = FALSE;
#line 4741 "DuplicityJob.c"
				}
#line 940 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp43_) {
#line 4745 "DuplicityJob.c"
					GFile* file = NULL;
					const gchar* _tmp45_;
					GFile* _tmp46_;
					GFile* _tmp47_;
					gchar* _tmp48_;
					gchar* _tmp49_;
					gchar* _tmp50_;
#line 941 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp45_ = firstline[3];
#line 941 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp46_ = duplicity_job_make_file_obj (self, _tmp45_);
#line 941 "../libdeja/duplicity/DuplicityJob.vala"
					file = _tmp46_;
#line 942 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp47_ = file;
#line 942 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp48_ = g_file_get_parse_name (_tmp47_);
#line 942 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp49_ = _tmp48_;
#line 942 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp50_ = g_strdup_printf (_ ("Permission denied when trying to read ‘%s’."), _tmp49_);
#line 942 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (text);
#line 942 "../libdeja/duplicity/DuplicityJob.vala"
					text = _tmp50_;
#line 942 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (_tmp49_);
#line 940 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (file);
#line 4775 "DuplicityJob.c"
				} else {
					gboolean _tmp51_ = FALSE;
#line 944 "../libdeja/duplicity/DuplicityJob.vala"
					if (firstline_length1 >= 4) {
#line 4780 "DuplicityJob.c"
						const gchar* _tmp52_;
#line 944 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp52_ = firstline[2];
#line 944 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp51_ = g_strcmp0 (_tmp52_, "list") == 0;
#line 4786 "DuplicityJob.c"
					} else {
#line 944 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp51_ = FALSE;
#line 4790 "DuplicityJob.c"
					}
#line 944 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp51_) {
#line 4794 "DuplicityJob.c"
						GFile* file = NULL;
						const gchar* _tmp53_;
						GFile* _tmp54_;
						GFile* _tmp55_;
						gchar* _tmp56_;
						gchar* _tmp57_;
						gchar* _tmp58_;
#line 945 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp53_ = firstline[3];
#line 945 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp54_ = duplicity_job_make_file_obj (self, _tmp53_);
#line 945 "../libdeja/duplicity/DuplicityJob.vala"
						file = _tmp54_;
#line 946 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp55_ = file;
#line 946 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp56_ = g_file_get_parse_name (_tmp55_);
#line 946 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp57_ = _tmp56_;
#line 946 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp58_ = g_strdup_printf (_ ("Permission denied when trying to read ‘%s’."), _tmp57_);
#line 946 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (text);
#line 946 "../libdeja/duplicity/DuplicityJob.vala"
						text = _tmp58_;
#line 946 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (_tmp57_);
#line 944 "../libdeja/duplicity/DuplicityJob.vala"
						_g_object_unref0 (file);
#line 4824 "DuplicityJob.c"
					} else {
						gboolean _tmp59_ = FALSE;
#line 948 "../libdeja/duplicity/DuplicityJob.vala"
						if (firstline_length1 >= 4) {
#line 4829 "DuplicityJob.c"
							const gchar* _tmp60_;
#line 948 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp60_ = firstline[2];
#line 948 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp59_ = g_strcmp0 (_tmp60_, "delete") == 0;
#line 4835 "DuplicityJob.c"
						} else {
#line 948 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp59_ = FALSE;
#line 4839 "DuplicityJob.c"
						}
#line 948 "../libdeja/duplicity/DuplicityJob.vala"
						if (_tmp59_) {
#line 4843 "DuplicityJob.c"
							GFile* file = NULL;
							const gchar* _tmp61_;
							GFile* _tmp62_;
							GFile* _tmp63_;
							gchar* _tmp64_;
							gchar* _tmp65_;
							gchar* _tmp66_;
#line 949 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp61_ = firstline[3];
#line 949 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp62_ = duplicity_job_make_file_obj (self, _tmp61_);
#line 949 "../libdeja/duplicity/DuplicityJob.vala"
							file = _tmp62_;
#line 950 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp63_ = file;
#line 950 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp64_ = g_file_get_parse_name (_tmp63_);
#line 950 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp65_ = _tmp64_;
#line 950 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp66_ = g_strdup_printf (_ ("Permission denied when trying to delete ‘%s’."), _tmp65_);
#line 950 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (text);
#line 950 "../libdeja/duplicity/DuplicityJob.vala"
							text = _tmp66_;
#line 950 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (_tmp65_);
#line 948 "../libdeja/duplicity/DuplicityJob.vala"
							_g_object_unref0 (file);
#line 4873 "DuplicityJob.c"
						}
					}
				}
#line 952 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 4879 "DuplicityJob.c"
			}
#line 873 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_ERROR_BACKEND_NOT_FOUND:
#line 4883 "DuplicityJob.c"
			{
#line 955 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 >= 4) {
#line 4887 "DuplicityJob.c"
					GFile* file = NULL;
					const gchar* _tmp67_;
					GFile* _tmp68_;
					GFile* _tmp69_;
					gchar* _tmp70_;
					gchar* _tmp71_;
					gchar* _tmp72_;
#line 956 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp67_ = firstline[3];
#line 956 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp68_ = duplicity_job_make_file_obj (self, _tmp67_);
#line 956 "../libdeja/duplicity/DuplicityJob.vala"
					file = _tmp68_;
#line 957 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp69_ = file;
#line 957 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp70_ = g_file_get_parse_name (_tmp69_);
#line 957 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp71_ = _tmp70_;
#line 957 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp72_ = g_strdup_printf (_ ("Backup location ‘%s’ does not exist."), _tmp71_);
#line 957 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (text);
#line 957 "../libdeja/duplicity/DuplicityJob.vala"
					text = _tmp72_;
#line 957 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (_tmp71_);
#line 955 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (file);
#line 4917 "DuplicityJob.c"
				}
#line 959 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 4921 "DuplicityJob.c"
			}
#line 873 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_ERROR_BACKEND_NO_SPACE:
#line 4925 "DuplicityJob.c"
			{
#line 962 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 >= 5) {
#line 4929 "DuplicityJob.c"
					gchar* _tmp73_;
#line 963 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp73_ = g_strdup (_ ("No space left."));
#line 963 "../libdeja/duplicity/DuplicityJob.vala"
					_g_free0 (text);
#line 963 "../libdeja/duplicity/DuplicityJob.vala"
					text = _tmp73_;
#line 4937 "DuplicityJob.c"
				}
#line 965 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 4941 "DuplicityJob.c"
			}
			default:
#line 873 "../libdeja/duplicity/DuplicityJob.vala"
			break;
#line 4946 "DuplicityJob.c"
		}
	}
#line 969 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp74_ = text;
#line 969 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_show_error (self, _tmp74_, NULL);
#line 864 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (text);
#line 4955 "DuplicityJob.c"
}

void
duplicity_job_process_error (DuplicityJob* self,
                             gchar** firstline,
                             gint firstline_length1,
                             GList* data,
                             const gchar* text_in)
{
	DuplicityJobClass* _klass_;
#line 864 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 864 "../libdeja/duplicity/DuplicityJob.vala"
	_klass_ = DUPLICITY_JOB_GET_CLASS (self);
#line 864 "../libdeja/duplicity/DuplicityJob.vala"
	if (_klass_->process_error) {
#line 864 "../libdeja/duplicity/DuplicityJob.vala"
		_klass_->process_error (self, firstline, firstline_length1, data, text_in);
#line 4974 "DuplicityJob.c"
	}
}

static void
duplicity_job_process_exception (DuplicityJob* self,
                                 const gchar* exception,
                                 const gchar* text)
{
	const gchar* _tmp0_;
	GQuark _tmp2_ = 0U;
#line 974 "../libdeja/duplicity/DuplicityJob.vala"
	static GQuark _tmp1_label0 = 0;
#line 974 "../libdeja/duplicity/DuplicityJob.vala"
	static GQuark _tmp1_label1 = 0;
#line 974 "../libdeja/duplicity/DuplicityJob.vala"
	static GQuark _tmp1_label2 = 0;
#line 974 "../libdeja/duplicity/DuplicityJob.vala"
	static GQuark _tmp1_label3 = 0;
#line 4993 "DuplicityJob.c"
	gboolean _tmp28_ = FALSE;
	gboolean _tmp29_;
#line 972 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 972 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (exception != NULL);
#line 972 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (text != NULL);
#line 974 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = exception;
#line 974 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = (NULL == _tmp0_) ? 0 : g_quark_from_string (_tmp0_);
#line 974 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp2_ == ((0 != _tmp1_label0) ? _tmp1_label0 : (_tmp1_label0 = g_quark_from_static_string ("EOFError")))) {
#line 974 "../libdeja/duplicity/DuplicityJob.vala"
		switch (0) {
#line 5010 "DuplicityJob.c"
			default:
			{
#line 977 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_report_encryption_error (self);
#line 978 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5017 "DuplicityJob.c"
			}
		}
	} else if (_tmp2_ == ((0 != _tmp1_label1) ? _tmp1_label1 : (_tmp1_label1 = g_quark_from_static_string ("IOError")))) {
#line 974 "../libdeja/duplicity/DuplicityJob.vala"
		switch (0) {
#line 5023 "DuplicityJob.c"
			default:
			{
#line 980 "../libdeja/duplicity/DuplicityJob.vala"
				if (string_contains (text, "GnuPG")) {
#line 981 "../libdeja/duplicity/DuplicityJob.vala"
					duplicity_job_report_encryption_error (self);
#line 5030 "DuplicityJob.c"
				} else {
					gboolean _tmp3_ = FALSE;
#line 982 "../libdeja/duplicity/DuplicityJob.vala"
					if (string_contains (text, "[Errno 5]")) {
#line 5035 "DuplicityJob.c"
						GFile* _tmp4_;
#line 983 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp4_ = self->priv->last_touched_file;
#line 983 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp3_ = _tmp4_ != NULL;
#line 5041 "DuplicityJob.c"
					} else {
#line 982 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp3_ = FALSE;
#line 5045 "DuplicityJob.c"
					}
#line 982 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp3_) {
#line 5049 "DuplicityJob.c"
						DejaDupToolJobMode _tmp5_;
						DejaDupToolJobMode _tmp6_;
#line 984 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp5_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 984 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp6_ = _tmp5_;
#line 984 "../libdeja/duplicity/DuplicityJob.vala"
						if (_tmp6_ == DEJA_DUP_TOOL_JOB_MODE_BACKUP) {
#line 5058 "DuplicityJob.c"
							GFile* _tmp7_;
							gchar* _tmp8_;
							gchar* _tmp9_;
							gchar* _tmp10_;
							gchar* _tmp11_;
#line 985 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp7_ = self->priv->last_touched_file;
#line 985 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp8_ = g_file_get_parse_name (_tmp7_);
#line 985 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp9_ = _tmp8_;
#line 985 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp10_ = g_strdup_printf (_ ("Error reading file ‘%s’."), _tmp9_);
#line 985 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp11_ = _tmp10_;
#line 985 "../libdeja/duplicity/DuplicityJob.vala"
							duplicity_job_show_error (self, _tmp11_, NULL);
#line 985 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (_tmp11_);
#line 985 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (_tmp9_);
#line 5080 "DuplicityJob.c"
						} else {
							GFile* _tmp12_;
							gchar* _tmp13_;
							gchar* _tmp14_;
							gchar* _tmp15_;
							gchar* _tmp16_;
#line 987 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp12_ = self->priv->last_touched_file;
#line 987 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp13_ = g_file_get_parse_name (_tmp12_);
#line 987 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp14_ = _tmp13_;
#line 987 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp15_ = g_strdup_printf (_ ("Error writing file ‘%s’."), _tmp14_);
#line 987 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp16_ = _tmp15_;
#line 987 "../libdeja/duplicity/DuplicityJob.vala"
							duplicity_job_show_error (self, _tmp16_, NULL);
#line 987 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (_tmp16_);
#line 987 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (_tmp14_);
#line 5103 "DuplicityJob.c"
						}
					} else {
#line 989 "../libdeja/duplicity/DuplicityJob.vala"
						if (string_contains (text, "[Errno 28]")) {
#line 5108 "DuplicityJob.c"
							gchar* where = NULL;
							DejaDupToolJobMode _tmp17_;
							DejaDupToolJobMode _tmp18_;
							const gchar* _tmp24_;
#line 990 "../libdeja/duplicity/DuplicityJob.vala"
							where = NULL;
#line 991 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp17_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 991 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp18_ = _tmp17_;
#line 991 "../libdeja/duplicity/DuplicityJob.vala"
							if (_tmp18_ == DEJA_DUP_TOOL_JOB_MODE_BACKUP) {
#line 5121 "DuplicityJob.c"
								const gchar* _tmp19_;
								gchar* _tmp20_;
#line 992 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp19_ = self->priv->location_pretty;
#line 992 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp20_ = g_strdup (_tmp19_);
#line 992 "../libdeja/duplicity/DuplicityJob.vala"
								_g_free0 (where);
#line 992 "../libdeja/duplicity/DuplicityJob.vala"
								where = _tmp20_;
#line 5132 "DuplicityJob.c"
							} else {
								GFile* _tmp21_;
								GFile* _tmp22_;
								gchar* _tmp23_;
#line 994 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp21_ = deja_dup_tool_job_get_local ((DejaDupToolJob*) self);
#line 994 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp22_ = _tmp21_;
#line 994 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp23_ = g_file_get_path (_tmp22_);
#line 994 "../libdeja/duplicity/DuplicityJob.vala"
								_g_free0 (where);
#line 994 "../libdeja/duplicity/DuplicityJob.vala"
								where = _tmp23_;
#line 5147 "DuplicityJob.c"
							}
#line 995 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp24_ = where;
#line 995 "../libdeja/duplicity/DuplicityJob.vala"
							if (_tmp24_ == NULL) {
#line 996 "../libdeja/duplicity/DuplicityJob.vala"
								duplicity_job_show_error (self, _ ("No space left."), NULL);
#line 5155 "DuplicityJob.c"
							} else {
								const gchar* _tmp25_;
								gchar* _tmp26_;
								gchar* _tmp27_;
#line 998 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp25_ = where;
#line 998 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp26_ = g_strdup_printf (_ ("No space left in ‘%s’."), _tmp25_);
#line 998 "../libdeja/duplicity/DuplicityJob.vala"
								_tmp27_ = _tmp26_;
#line 998 "../libdeja/duplicity/DuplicityJob.vala"
								duplicity_job_show_error (self, _tmp27_, NULL);
#line 998 "../libdeja/duplicity/DuplicityJob.vala"
								_g_free0 (_tmp27_);
#line 5170 "DuplicityJob.c"
							}
#line 989 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (where);
#line 5174 "DuplicityJob.c"
						} else {
#line 1000 "../libdeja/duplicity/DuplicityJob.vala"
							if (string_contains (text, "CRC check failed")) {
#line 1001 "../libdeja/duplicity/DuplicityJob.vala"
								if (duplicity_job_restart_without_cache (self)) {
#line 1002 "../libdeja/duplicity/DuplicityJob.vala"
									return;
#line 5182 "DuplicityJob.c"
								}
							}
						}
					}
				}
#line 1004 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5190 "DuplicityJob.c"
			}
		}
	} else if (_tmp2_ == ((0 != _tmp1_label2) ? _tmp1_label2 : (_tmp1_label2 = g_quark_from_static_string ("CollectionsError")))) {
#line 974 "../libdeja/duplicity/DuplicityJob.vala"
		switch (0) {
#line 5196 "DuplicityJob.c"
			default:
			{
#line 1006 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_show_error (self, _ ("No backup files found"), NULL);
#line 1007 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5203 "DuplicityJob.c"
			}
		}
	} else if (_tmp2_ == ((0 != _tmp1_label3) ? _tmp1_label3 : (_tmp1_label3 = g_quark_from_static_string ("AssertionError")))) {
#line 974 "../libdeja/duplicity/DuplicityJob.vala"
		switch (0) {
#line 5209 "DuplicityJob.c"
			default:
			{
#line 1013 "../libdeja/duplicity/DuplicityJob.vala"
				if (duplicity_job_restart_without_cache (self)) {
#line 1014 "../libdeja/duplicity/DuplicityJob.vala"
					return;
#line 5216 "DuplicityJob.c"
				}
#line 1015 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5220 "DuplicityJob.c"
			}
		}
	}
#line 1024 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp29_ = self->priv->_error_issued;
#line 1024 "../libdeja/duplicity/DuplicityJob.vala"
	if (!_tmp29_) {
#line 1024 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp28_ = !duplicity_job_restart_without_cache (self);
#line 5230 "DuplicityJob.c"
	} else {
#line 1024 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp28_ = FALSE;
#line 5234 "DuplicityJob.c"
	}
#line 1024 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp28_) {
#line 1025 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_show_error (self, _ ("Failed with an unknown error."), text);
#line 5240 "DuplicityJob.c"
	}
}

static void
duplicity_job_real_process_info (DuplicityJob* self,
                                 gchar** firstline,
                                 gint firstline_length1,
                                 GList* data,
                                 const gchar* text)
{
#line 1028 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (text != NULL);
#line 1034 "../libdeja/duplicity/DuplicityJob.vala"
	if (firstline_length1 > 1) {
#line 5255 "DuplicityJob.c"
		const gchar* _tmp0_;
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = firstline[1];
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
		switch (atoi (_tmp0_)) {
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_DIFF_FILE_NEW:
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_DIFF_FILE_CHANGED:
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_DIFF_FILE_DELETED:
#line 5267 "DuplicityJob.c"
			{
#line 1039 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 > 2) {
#line 5271 "DuplicityJob.c"
					const gchar* _tmp1_;
#line 1040 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp1_ = firstline[2];
#line 1040 "../libdeja/duplicity/DuplicityJob.vala"
					duplicity_job_process_diff_file (self, _tmp1_);
#line 5277 "DuplicityJob.c"
				}
#line 1041 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5281 "DuplicityJob.c"
			}
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_PATCH_FILE_WRITING:
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_PATCH_FILE_PATCHING:
#line 5287 "DuplicityJob.c"
			{
#line 1044 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 > 2) {
#line 5291 "DuplicityJob.c"
					const gchar* _tmp2_;
#line 1045 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp2_ = firstline[2];
#line 1045 "../libdeja/duplicity/DuplicityJob.vala"
					duplicity_job_process_patch_file (self, _tmp2_);
#line 5297 "DuplicityJob.c"
				}
#line 1046 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5301 "DuplicityJob.c"
			}
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_PROGRESS:
#line 5305 "DuplicityJob.c"
			{
#line 1048 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_process_progress (self, firstline, (gint) firstline_length1);
#line 1049 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5311 "DuplicityJob.c"
			}
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_COLLECTION_STATUS:
#line 5315 "DuplicityJob.c"
			{
#line 1051 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_process_collection_status (self, data);
#line 1052 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5321 "DuplicityJob.c"
			}
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_SYNCHRONOUS_UPLOAD_BEGIN:
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_ASYNCHRONOUS_UPLOAD_BEGIN:
#line 5327 "DuplicityJob.c"
			{
				DejaDupBackend* _tmp3_;
				DejaDupBackend* _tmp4_;
#line 1055 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp3_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) self);
#line 1055 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp4_ = _tmp3_;
#line 1055 "../libdeja/duplicity/DuplicityJob.vala"
				if (!deja_dup_backend_is_native (_tmp4_)) {
#line 1056 "../libdeja/duplicity/DuplicityJob.vala"
					duplicity_job_set_status (self, _ ("Uploading…"), TRUE);
#line 5339 "DuplicityJob.c"
				}
#line 1057 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5343 "DuplicityJob.c"
			}
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_INFO_FILE_STAT:
#line 5347 "DuplicityJob.c"
			{
				const gchar* _tmp5_;
				const gchar* _tmp6_;
				const gchar* _tmp7_;
#line 1059 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp5_ = firstline[2];
#line 1059 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp6_ = firstline[3];
#line 1059 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp7_ = firstline[4];
#line 1059 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_process_file_stat (self, _tmp5_, _tmp6_, _tmp7_, data, text);
#line 1060 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 5362 "DuplicityJob.c"
			}
			default:
#line 1035 "../libdeja/duplicity/DuplicityJob.vala"
			break;
#line 5367 "DuplicityJob.c"
		}
	}
}

void
duplicity_job_process_info (DuplicityJob* self,
                            gchar** firstline,
                            gint firstline_length1,
                            GList* data,
                            const gchar* text)
{
	DuplicityJobClass* _klass_;
#line 1028 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1028 "../libdeja/duplicity/DuplicityJob.vala"
	_klass_ = DUPLICITY_JOB_GET_CLASS (self);
#line 1028 "../libdeja/duplicity/DuplicityJob.vala"
	if (_klass_->process_info) {
#line 1028 "../libdeja/duplicity/DuplicityJob.vala"
		_klass_->process_info (self, firstline, firstline_length1, data, text);
#line 5388 "DuplicityJob.c"
	}
}

static void
duplicity_job_process_file_stat (DuplicityJob* self,
                                 const gchar* date,
                                 const gchar* file,
                                 const gchar* dup_type,
                                 GList* data,
                                 const gchar* text)
{
	DejaDupToolJobMode _tmp0_;
	DejaDupToolJobMode _tmp1_;
	GFileType file_type = 0;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 1065 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1065 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (date != NULL);
#line 1065 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (file != NULL);
#line 1065 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (dup_type != NULL);
#line 1065 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (text != NULL);
#line 1067 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 1067 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 1067 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp1_ != DEJA_DUP_TOOL_JOB_MODE_LIST) {
#line 1068 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 5423 "DuplicityJob.c"
	}
#line 1069 "../libdeja/duplicity/DuplicityJob.vala"
	if (g_strcmp0 (file, ".") == 0) {
#line 1070 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 5429 "DuplicityJob.c"
	}
#line 1072 "../libdeja/duplicity/DuplicityJob.vala"
	file_type = G_FILE_TYPE_UNKNOWN;
#line 1073 "../libdeja/duplicity/DuplicityJob.vala"
	if (g_strcmp0 (dup_type, "reg") == 0) {
#line 1074 "../libdeja/duplicity/DuplicityJob.vala"
		file_type = G_FILE_TYPE_REGULAR;
#line 5437 "DuplicityJob.c"
	} else {
#line 1075 "../libdeja/duplicity/DuplicityJob.vala"
		if (g_strcmp0 (dup_type, "dir") == 0) {
#line 1076 "../libdeja/duplicity/DuplicityJob.vala"
			file_type = G_FILE_TYPE_DIRECTORY;
#line 5443 "DuplicityJob.c"
		} else {
#line 1077 "../libdeja/duplicity/DuplicityJob.vala"
			if (g_strcmp0 (dup_type, "sym") == 0) {
#line 1078 "../libdeja/duplicity/DuplicityJob.vala"
				file_type = G_FILE_TYPE_SYMBOLIC_LINK;
#line 5449 "DuplicityJob.c"
			}
		}
	}
#line 1080 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = g_strconcat ("/", file, NULL);
#line 1080 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = _tmp2_;
#line 1080 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_emit_by_name ((DejaDupToolJob*) self, "listed-current-files", _tmp3_, file_type);
#line 1080 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (_tmp3_);
#line 5461 "DuplicityJob.c"
}

static void
duplicity_job_process_diff_file (DuplicityJob* self,
                                 const gchar* file)
{
	GFile* gfile = NULL;
	GFile* _tmp0_;
	GFile* _tmp1_;
	GFile* _tmp2_;
	GFile* _tmp3_;
#line 1083 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1083 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (file != NULL);
#line 1084 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = duplicity_job_make_file_obj (self, file);
#line 1084 "../libdeja/duplicity/DuplicityJob.vala"
	gfile = _tmp0_;
#line 1085 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = gfile;
#line 1085 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 1085 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (self->priv->last_touched_file);
#line 1085 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->last_touched_file = _tmp2_;
#line 1086 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = gfile;
#line 1086 "../libdeja/duplicity/DuplicityJob.vala"
	if (g_file_query_file_type (_tmp3_, G_FILE_QUERY_INFO_NONE, NULL) != G_FILE_TYPE_DIRECTORY) {
#line 5493 "DuplicityJob.c"
		GFile* _tmp4_;
		DuplicityJobState _tmp5_;
#line 1087 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp4_ = gfile;
#line 1087 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp5_ = self->priv->_state;
#line 1087 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_set_status_file (self, _tmp4_, _tmp5_ != DUPLICITY_JOB_STATE_DRY_RUN, TRUE);
#line 5502 "DuplicityJob.c"
	}
#line 1083 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (gfile);
#line 5506 "DuplicityJob.c"
}

static void
duplicity_job_process_patch_file (DuplicityJob* self,
                                  const gchar* file)
{
	GFile* gfile = NULL;
	GFile* _tmp0_;
	GFile* _tmp1_;
	GFile* _tmp2_;
	GFile* _tmp3_;
#line 1090 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1090 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (file != NULL);
#line 1091 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = duplicity_job_make_file_obj (self, file);
#line 1091 "../libdeja/duplicity/DuplicityJob.vala"
	gfile = _tmp0_;
#line 1092 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = gfile;
#line 1092 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 1092 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (self->priv->last_touched_file);
#line 1092 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->last_touched_file = _tmp2_;
#line 1093 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp3_ = gfile;
#line 1093 "../libdeja/duplicity/DuplicityJob.vala"
	if (g_file_query_file_type (_tmp3_, G_FILE_QUERY_INFO_NONE, NULL) != G_FILE_TYPE_DIRECTORY) {
#line 5538 "DuplicityJob.c"
		GFile* _tmp4_;
		DuplicityJobState _tmp5_;
#line 1094 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp4_ = gfile;
#line 1094 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp5_ = self->priv->_state;
#line 1094 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_set_status_file (self, _tmp4_, _tmp5_ != DUPLICITY_JOB_STATE_DRY_RUN, TRUE);
#line 5547 "DuplicityJob.c"
	}
#line 1090 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (gfile);
#line 5551 "DuplicityJob.c"
}

static guint64
uint64_parse (const gchar* str,
              guint _base)
{
	guint64 result;
#line 839 "glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0ULL);
#line 840 "glib-2.0.vapi"
	result = g_ascii_strtoull (str, NULL, _base);
#line 840 "glib-2.0.vapi"
	return result;
#line 5565 "DuplicityJob.c"
}

static gdouble
double_parse (const gchar* str)
{
	gdouble result;
#line 1003 "glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0.0);
#line 1004 "glib-2.0.vapi"
	result = g_ascii_strtod (str, NULL);
#line 1004 "glib-2.0.vapi"
	return result;
#line 5578 "DuplicityJob.c"
}

static void
duplicity_job_process_progress (DuplicityJob* self,
                                gchar** firstline,
                                gint firstline_length1)
{
	gdouble total = 0.0;
	gdouble percent = 0.0;
#line 1097 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1103 "../libdeja/duplicity/DuplicityJob.vala"
	if (self->priv->restore_files_total > ((guint) 0)) {
#line 1104 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 5594 "DuplicityJob.c"
	}
#line 1106 "../libdeja/duplicity/DuplicityJob.vala"
	if (firstline_length1 > 2) {
#line 5598 "DuplicityJob.c"
		const gchar* _tmp0_;
#line 1107 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = firstline[2];
#line 1107 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->progress_count = uint64_parse (_tmp0_, (guint) 0);
#line 5604 "DuplicityJob.c"
	} else {
#line 1109 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 5608 "DuplicityJob.c"
	}
#line 1111 "../libdeja/duplicity/DuplicityJob.vala"
	if (firstline_length1 > 3) {
#line 5612 "DuplicityJob.c"
		const gchar* _tmp1_;
#line 1112 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = firstline[3];
#line 1112 "../libdeja/duplicity/DuplicityJob.vala"
		total = double_parse (_tmp1_);
#line 5618 "DuplicityJob.c"
	} else {
#line 1113 "../libdeja/duplicity/DuplicityJob.vala"
		if (self->priv->progress_total > ((guint64) 0)) {
#line 1114 "../libdeja/duplicity/DuplicityJob.vala"
			total = (gdouble) self->priv->progress_total;
#line 5624 "DuplicityJob.c"
		} else {
#line 1116 "../libdeja/duplicity/DuplicityJob.vala"
			return;
#line 5628 "DuplicityJob.c"
		}
	}
#line 1118 "../libdeja/duplicity/DuplicityJob.vala"
	percent = ((gdouble) self->priv->progress_count) / total;
#line 1119 "../libdeja/duplicity/DuplicityJob.vala"
	if (percent > ((gdouble) 1)) {
#line 1120 "../libdeja/duplicity/DuplicityJob.vala"
		percent = (gdouble) 1;
#line 5637 "DuplicityJob.c"
	}
#line 1121 "../libdeja/duplicity/DuplicityJob.vala"
	if (percent < ((gdouble) 0)) {
#line 1122 "../libdeja/duplicity/DuplicityJob.vala"
		percent = (gdouble) 0;
#line 5643 "DuplicityJob.c"
	}
#line 1123 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_emit_by_name ((DejaDupToolJob*) self, "progress", percent);
#line 5647 "DuplicityJob.c"
}

static GFile*
duplicity_job_make_file_obj (DuplicityJob* self,
                             const gchar* file)
{
	GList* _tmp0_;
	GList* _tmp1_;
	GFile* _tmp8_;
	GFile* _tmp9_;
	GFile* result;
#line 1126 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1126 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (file != NULL, NULL);
#line 1130 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 1130 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 1130 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp1_ != NULL) {
#line 5669 "DuplicityJob.c"
		GFile* local_file = NULL;
		GList* _tmp2_;
		GList* _tmp3_;
		gconstpointer _tmp4_;
		GFile* _tmp5_;
		GFile* _tmp6_;
		GFile* _tmp7_;
#line 1131 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp2_ = deja_dup_tool_job_get_restore_files ((DejaDupToolJob*) self);
#line 1131 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp3_ = _tmp2_;
#line 1131 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp4_ = _tmp3_->data;
#line 1131 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp5_ = duplicity_job_make_local_rel_path (self, (GFile*) _tmp4_);
#line 1131 "../libdeja/duplicity/DuplicityJob.vala"
		local_file = _tmp5_;
#line 1132 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp6_ = local_file;
#line 1132 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp7_ = g_file_resolve_relative_path (_tmp6_, file);
#line 1132 "../libdeja/duplicity/DuplicityJob.vala"
		result = _tmp7_;
#line 1132 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (local_file);
#line 1132 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 5697 "DuplicityJob.c"
	}
#line 1136 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp8_ = duplicity_job_slash;
#line 1136 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp9_ = g_file_resolve_relative_path (_tmp8_, file);
#line 1136 "../libdeja/duplicity/DuplicityJob.vala"
	result = _tmp9_;
#line 1136 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 5707 "DuplicityJob.c"
}

static gint
string_index_of (const gchar* self,
                 const gchar* needle,
                 gint start_index)
{
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gint result;
#line 1184 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 1184 "glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, 0);
#line 1185 "glib-2.0.vapi"
	_tmp0_ = strstr (((gchar*) self) + start_index, (gchar*) needle);
#line 1185 "glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1187 "glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1187 "glib-2.0.vapi"
	if (_tmp1_ != NULL) {
#line 5731 "DuplicityJob.c"
		gchar* _tmp2_;
#line 1188 "glib-2.0.vapi"
		_tmp2_ = _result_;
#line 1188 "glib-2.0.vapi"
		result = (gint) (_tmp2_ - ((gchar*) self));
#line 1188 "glib-2.0.vapi"
		return result;
#line 5739 "DuplicityJob.c"
	} else {
#line 1190 "glib-2.0.vapi"
		result = -1;
#line 1190 "glib-2.0.vapi"
		return result;
#line 5745 "DuplicityJob.c"
	}
}

static gchar
string_get (const gchar* self,
            glong index)
{
	gchar _tmp0_;
	gchar result;
#line 1283 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, '\0');
#line 1284 "glib-2.0.vapi"
	_tmp0_ = ((gchar*) self)[index];
#line 1284 "glib-2.0.vapi"
	result = _tmp0_;
#line 1284 "glib-2.0.vapi"
	return result;
#line 5763 "DuplicityJob.c"
}

static gpointer
_duplicity_job_date_info_dup0 (gpointer self)
{
#line 1176 "../libdeja/duplicity/DuplicityJob.vala"
	return self ? duplicity_job_date_info_dup (self) : NULL;
#line 5771 "DuplicityJob.c"
}

static void
_g_object_unref0_ (gpointer var)
{
#line 1139 "../libdeja/duplicity/DuplicityJob.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 5779 "DuplicityJob.c"
}

static inline void
_g_list_free__g_object_unref0_ (GList* self)
{
#line 1139 "../libdeja/duplicity/DuplicityJob.vala"
	g_list_free_full (self, (GDestroyNotify) _g_object_unref0_);
#line 5787 "DuplicityJob.c"
}

static void
duplicity_job_process_collection_status (DuplicityJob* self,
                                         GList* lines)
{
	gboolean _tmp0_ = FALSE;
	DejaDupToolJobMode _tmp1_;
	DejaDupToolJobMode _tmp2_;
	GList* dates = NULL;
	GList* infos = NULL;
	gboolean in_chain = FALSE;
	GList* _tmp39_;
	GList* _tmp45_;
#line 1139 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1149 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 1149 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = _tmp1_;
#line 1149 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp2_ != DEJA_DUP_TOOL_JOB_MODE_STATUS) {
#line 1149 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = TRUE;
#line 5812 "DuplicityJob.c"
	} else {
#line 1149 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = self->priv->got_collection_info;
#line 5816 "DuplicityJob.c"
	}
#line 1149 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_) {
#line 1150 "../libdeja/duplicity/DuplicityJob.vala"
		return;
#line 5822 "DuplicityJob.c"
	}
#line 1152 "../libdeja/duplicity/DuplicityJob.vala"
	dates = NULL;
#line 1153 "../libdeja/duplicity/DuplicityJob.vala"
	infos = NULL;
#line 1154 "../libdeja/duplicity/DuplicityJob.vala"
	in_chain = FALSE;
#line 5830 "DuplicityJob.c"
	{
		GList* line_collection = NULL;
		GList* line_it = NULL;
#line 1155 "../libdeja/duplicity/DuplicityJob.vala"
		line_collection = lines;
#line 1155 "../libdeja/duplicity/DuplicityJob.vala"
		for (line_it = line_collection; line_it != NULL; line_it = line_it->next) {
#line 5838 "DuplicityJob.c"
			gchar* _tmp3_;
			gchar* line = NULL;
#line 1155 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp3_ = g_strdup ((const gchar*) line_it->data);
#line 1155 "../libdeja/duplicity/DuplicityJob.vala"
			line = _tmp3_;
#line 5845 "DuplicityJob.c"
			{
				gboolean _tmp4_ = FALSE;
				const gchar* _tmp5_;
#line 1156 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp5_ = line;
#line 1156 "../libdeja/duplicity/DuplicityJob.vala"
				if (g_strcmp0 (_tmp5_, "chain-complete") == 0) {
#line 1156 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp4_ = TRUE;
#line 5855 "DuplicityJob.c"
				} else {
					const gchar* _tmp6_;
#line 1156 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp6_ = line;
#line 1156 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp4_ = string_index_of (_tmp6_, "chain-no-sig", 0) == 0;
#line 5862 "DuplicityJob.c"
				}
#line 1156 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp4_) {
#line 1157 "../libdeja/duplicity/DuplicityJob.vala"
					in_chain = TRUE;
#line 5868 "DuplicityJob.c"
				} else {
					gboolean _tmp7_ = FALSE;
					gboolean _tmp8_ = FALSE;
#line 1158 "../libdeja/duplicity/DuplicityJob.vala"
					if (in_chain) {
#line 5874 "DuplicityJob.c"
						const gchar* _tmp9_;
						gint _tmp10_;
						gint _tmp11_;
#line 1158 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp9_ = line;
#line 1158 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp10_ = strlen (_tmp9_);
#line 1158 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp11_ = _tmp10_;
#line 1158 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp8_ = _tmp11_ > 0;
#line 5886 "DuplicityJob.c"
					} else {
#line 1158 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp8_ = FALSE;
#line 5890 "DuplicityJob.c"
					}
#line 1158 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp8_) {
#line 5894 "DuplicityJob.c"
						const gchar* _tmp12_;
#line 1158 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp12_ = line;
#line 1158 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp7_ = string_get (_tmp12_, (glong) 0) == ' ';
#line 5900 "DuplicityJob.c"
					} else {
#line 1158 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp7_ = FALSE;
#line 5904 "DuplicityJob.c"
					}
#line 1158 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp7_) {
#line 5908 "DuplicityJob.c"
						gchar** tokens = NULL;
						const gchar* _tmp13_;
						gchar** _tmp14_;
						gchar** _tmp15_;
						gint tokens_length1;
						gint _tokens_size_;
						gchar** _tmp16_;
						gint _tmp16__length1;
						GDateTime* datetime = NULL;
						gchar** _tmp17_;
						gint _tmp17__length1;
						const gchar* _tmp18_;
						GTimeZone* _tmp19_;
						GTimeZone* _tmp20_;
						GDateTime* _tmp21_;
						GDateTime* _tmp22_;
						GDateTime* _tmp23_;
						GDateTime* _tmp24_;
						gchar** _tmp25_;
						gint _tmp25__length1;
						const gchar* _tmp26_;
						DejaDupSnapshotInfo* _tmp27_;
						DuplicityJobDateInfo info = {0};
						GDateTime* _tmp28_;
						GDateTime* _tmp29_;
						gchar** _tmp30_;
						gint _tmp30__length1;
						const gchar* _tmp31_;
						DuplicityJobDateInfo _tmp32_;
						DuplicityJobDateInfo _tmp33_;
						DuplicityJobDateInfo* _tmp34_;
						gboolean _tmp35_ = FALSE;
#line 1163 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp13_ = line;
#line 1163 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp15_ = _tmp14_ = g_strsplit (_tmp13_, " ", 0);
#line 1163 "../libdeja/duplicity/DuplicityJob.vala"
						tokens = _tmp15_;
#line 1163 "../libdeja/duplicity/DuplicityJob.vala"
						tokens_length1 = _vala_array_length (_tmp14_);
#line 1163 "../libdeja/duplicity/DuplicityJob.vala"
						_tokens_size_ = tokens_length1;
#line 1164 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp16_ = tokens;
#line 1164 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp16__length1 = tokens_length1;
#line 1164 "../libdeja/duplicity/DuplicityJob.vala"
						if (_tmp16__length1 <= 2) {
#line 1165 "../libdeja/duplicity/DuplicityJob.vala"
							tokens = (_vala_array_free (tokens, tokens_length1, (GDestroyNotify) g_free), NULL);
#line 1165 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (line);
#line 1165 "../libdeja/duplicity/DuplicityJob.vala"
							continue;
#line 5963 "DuplicityJob.c"
						}
#line 1167 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp17_ = tokens;
#line 1167 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp17__length1 = tokens_length1;
#line 1167 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp18_ = _tmp17_[2];
#line 1167 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp19_ = g_time_zone_new_utc ();
#line 1167 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp20_ = _tmp19_;
#line 1167 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp21_ = g_date_time_new_from_iso8601 (_tmp18_, _tmp20_);
#line 1167 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp22_ = _tmp21_;
#line 1167 "../libdeja/duplicity/DuplicityJob.vala"
						_g_time_zone_unref0 (_tmp20_);
#line 1167 "../libdeja/duplicity/DuplicityJob.vala"
						datetime = _tmp22_;
#line 1168 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp23_ = datetime;
#line 1168 "../libdeja/duplicity/DuplicityJob.vala"
						if (_tmp23_ == NULL) {
#line 1169 "../libdeja/duplicity/DuplicityJob.vala"
							_g_date_time_unref0 (datetime);
#line 1169 "../libdeja/duplicity/DuplicityJob.vala"
							tokens = (_vala_array_free (tokens, tokens_length1, (GDestroyNotify) g_free), NULL);
#line 1169 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (line);
#line 1169 "../libdeja/duplicity/DuplicityJob.vala"
							continue;
#line 5995 "DuplicityJob.c"
						}
#line 1171 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp24_ = datetime;
#line 1171 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp25_ = tokens;
#line 1171 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp25__length1 = tokens_length1;
#line 1171 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp26_ = _tmp25_[2];
#line 1171 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp27_ = deja_dup_snapshot_info_new (_tmp24_, _tmp26_);
#line 1171 "../libdeja/duplicity/DuplicityJob.vala"
						dates = g_list_prepend (dates, _tmp27_);
#line 1173 "../libdeja/duplicity/DuplicityJob.vala"
						memset (&info, 0, sizeof (DuplicityJobDateInfo));
#line 1174 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp28_ = datetime;
#line 1174 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp29_ = _g_date_time_ref0 (_tmp28_);
#line 1174 "../libdeja/duplicity/DuplicityJob.vala"
						_g_date_time_unref0 (info.time);
#line 1174 "../libdeja/duplicity/DuplicityJob.vala"
						info.time = _tmp29_;
#line 1175 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp30_ = tokens;
#line 1175 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp30__length1 = tokens_length1;
#line 1175 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp31_ = _tmp30_[1];
#line 1175 "../libdeja/duplicity/DuplicityJob.vala"
						info.full = g_strcmp0 (_tmp31_, "full") == 0;
#line 1176 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp32_ = info;
#line 1176 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp33_ = _tmp32_;
#line 1176 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp34_ = _duplicity_job_date_info_dup0 (&_tmp33_);
#line 1176 "../libdeja/duplicity/DuplicityJob.vala"
						infos = g_list_append (infos, _tmp34_);
#line 1178 "../libdeja/duplicity/DuplicityJob.vala"
						if (!self->priv->detected_encryption) {
#line 6037 "DuplicityJob.c"
							gchar** _tmp36_;
							gint _tmp36__length1;
#line 1178 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp36_ = tokens;
#line 1178 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp36__length1 = tokens_length1;
#line 1178 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp35_ = _tmp36__length1 > 4;
#line 6046 "DuplicityJob.c"
						} else {
#line 1178 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp35_ = FALSE;
#line 6050 "DuplicityJob.c"
						}
#line 1178 "../libdeja/duplicity/DuplicityJob.vala"
						if (_tmp35_) {
#line 6054 "DuplicityJob.c"
							gchar** _tmp37_;
							gint _tmp37__length1;
							const gchar* _tmp38_;
#line 1181 "../libdeja/duplicity/DuplicityJob.vala"
							self->priv->detected_encryption = TRUE;
#line 1182 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp37_ = tokens;
#line 1182 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp37__length1 = tokens_length1;
#line 1182 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp38_ = _tmp37_[4];
#line 1182 "../libdeja/duplicity/DuplicityJob.vala"
							self->priv->existing_encrypted = g_strcmp0 (_tmp38_, "enc") == 0;
#line 6068 "DuplicityJob.c"
						}
#line 1158 "../libdeja/duplicity/DuplicityJob.vala"
						duplicity_job_date_info_destroy (&info);
#line 1158 "../libdeja/duplicity/DuplicityJob.vala"
						_g_date_time_unref0 (datetime);
#line 1158 "../libdeja/duplicity/DuplicityJob.vala"
						tokens = (_vala_array_free (tokens, tokens_length1, (GDestroyNotify) g_free), NULL);
#line 6076 "DuplicityJob.c"
					} else {
#line 1185 "../libdeja/duplicity/DuplicityJob.vala"
						if (in_chain) {
#line 1186 "../libdeja/duplicity/DuplicityJob.vala"
							in_chain = FALSE;
#line 6082 "DuplicityJob.c"
						}
					}
				}
#line 1155 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (line);
#line 6088 "DuplicityJob.c"
			}
		}
	}
#line 1189 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->got_collection_info = TRUE;
#line 1190 "../libdeja/duplicity/DuplicityJob.vala"
	(self->priv->collection_info == NULL) ? NULL : (self->priv->collection_info = (_g_list_free__duplicity_job_date_info_free0_ (self->priv->collection_info), NULL));
#line 1190 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->collection_info = NULL;
#line 1191 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp39_ = infos;
#line 6100 "DuplicityJob.c"
	{
		GList* s_collection = NULL;
		GList* s_it = NULL;
#line 1191 "../libdeja/duplicity/DuplicityJob.vala"
		s_collection = _tmp39_;
#line 1191 "../libdeja/duplicity/DuplicityJob.vala"
		for (s_it = s_collection; s_it != NULL; s_it = s_it->next) {
#line 6108 "DuplicityJob.c"
			DuplicityJobDateInfo _tmp40_;
			DuplicityJobDateInfo _tmp41_ = {0};
			DuplicityJobDateInfo s = {0};
#line 1191 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp40_ = *((DuplicityJobDateInfo*) s_it->data);
#line 1191 "../libdeja/duplicity/DuplicityJob.vala"
			duplicity_job_date_info_copy (&_tmp40_, &_tmp41_);
#line 1191 "../libdeja/duplicity/DuplicityJob.vala"
			s = _tmp41_;
#line 6118 "DuplicityJob.c"
			{
				DuplicityJobDateInfo _tmp42_;
				DuplicityJobDateInfo _tmp43_;
				DuplicityJobDateInfo* _tmp44_;
#line 1192 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp42_ = s;
#line 1192 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp43_ = _tmp42_;
#line 1192 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp44_ = _duplicity_job_date_info_dup0 (&_tmp43_);
#line 1192 "../libdeja/duplicity/DuplicityJob.vala"
				self->priv->collection_info = g_list_append (self->priv->collection_info, _tmp44_);
#line 1191 "../libdeja/duplicity/DuplicityJob.vala"
				duplicity_job_date_info_destroy (&s);
#line 6133 "DuplicityJob.c"
			}
		}
	}
#line 1194 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp45_ = dates;
#line 1194 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_emit_by_name ((DejaDupToolJob*) self, "collection-dates", _tmp45_);
#line 1139 "../libdeja/duplicity/DuplicityJob.vala"
	(infos == NULL) ? NULL : (infos = (_g_list_free__duplicity_job_date_info_free0_ (infos), NULL));
#line 1139 "../libdeja/duplicity/DuplicityJob.vala"
	(dates == NULL) ? NULL : (dates = (_g_list_free__g_object_unref0_ (dates), NULL));
#line 6145 "DuplicityJob.c"
}

static gboolean
duplicity_job_is_file_in_list (DuplicityJob* self,
                               GFile* file,
                               GList* list)
{
	gboolean result;
#line 1197 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1197 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (file != NULL, FALSE);
#line 6158 "DuplicityJob.c"
	{
		GList* f_collection = NULL;
		GList* f_it = NULL;
#line 1199 "../libdeja/duplicity/DuplicityJob.vala"
		f_collection = list;
#line 1199 "../libdeja/duplicity/DuplicityJob.vala"
		for (f_it = f_collection; f_it != NULL; f_it = f_it->next) {
#line 6166 "DuplicityJob.c"
			GFile* _tmp0_;
			GFile* f = NULL;
#line 1199 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp0_ = _g_object_ref0 ((GFile*) f_it->data);
#line 1199 "../libdeja/duplicity/DuplicityJob.vala"
			f = _tmp0_;
#line 6173 "DuplicityJob.c"
			{
				GFile* _tmp1_;
#line 1200 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp1_ = f;
#line 1200 "../libdeja/duplicity/DuplicityJob.vala"
				if (g_file_equal (file, _tmp1_)) {
#line 1201 "../libdeja/duplicity/DuplicityJob.vala"
					result = TRUE;
#line 1201 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (f);
#line 1201 "../libdeja/duplicity/DuplicityJob.vala"
					return result;
#line 6186 "DuplicityJob.c"
				}
#line 1199 "../libdeja/duplicity/DuplicityJob.vala"
				_g_object_unref0 (f);
#line 6190 "DuplicityJob.c"
			}
		}
	}
#line 1203 "../libdeja/duplicity/DuplicityJob.vala"
	result = FALSE;
#line 1203 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 6198 "DuplicityJob.c"
}

static gboolean
duplicity_job_is_file_in_or_under_list (DuplicityJob* self,
                                        GFile* file,
                                        GList* list)
{
	gboolean result;
#line 1206 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1206 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (file != NULL, FALSE);
#line 6211 "DuplicityJob.c"
	{
		GList* f_collection = NULL;
		GList* f_it = NULL;
#line 1208 "../libdeja/duplicity/DuplicityJob.vala"
		f_collection = list;
#line 1208 "../libdeja/duplicity/DuplicityJob.vala"
		for (f_it = f_collection; f_it != NULL; f_it = f_it->next) {
#line 6219 "DuplicityJob.c"
			GFile* _tmp0_;
			GFile* f = NULL;
#line 1208 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp0_ = _g_object_ref0 ((GFile*) f_it->data);
#line 1208 "../libdeja/duplicity/DuplicityJob.vala"
			f = _tmp0_;
#line 6226 "DuplicityJob.c"
			{
				gboolean _tmp1_ = FALSE;
				GFile* _tmp2_;
#line 1209 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp2_ = f;
#line 1209 "../libdeja/duplicity/DuplicityJob.vala"
				if (g_file_equal (file, _tmp2_)) {
#line 1209 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp1_ = TRUE;
#line 6236 "DuplicityJob.c"
				} else {
					GFile* _tmp3_;
#line 1209 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp3_ = f;
#line 1209 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp1_ = g_file_has_prefix (file, _tmp3_);
#line 6243 "DuplicityJob.c"
				}
#line 1209 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp1_) {
#line 1210 "../libdeja/duplicity/DuplicityJob.vala"
					result = TRUE;
#line 1210 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (f);
#line 1210 "../libdeja/duplicity/DuplicityJob.vala"
					return result;
#line 6253 "DuplicityJob.c"
				}
#line 1208 "../libdeja/duplicity/DuplicityJob.vala"
				_g_object_unref0 (f);
#line 6257 "DuplicityJob.c"
			}
		}
	}
#line 1212 "../libdeja/duplicity/DuplicityJob.vala"
	result = FALSE;
#line 1212 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 6265 "DuplicityJob.c"
}

static void
duplicity_job_real_process_warning (DuplicityJob* self,
                                    gchar** firstline,
                                    gint firstline_length1,
                                    GList* data,
                                    const gchar* text)
{
#line 1215 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (text != NULL);
#line 1218 "../libdeja/duplicity/DuplicityJob.vala"
	if (firstline_length1 > 1) {
#line 6279 "DuplicityJob.c"
		const gchar* _tmp0_;
#line 1219 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp0_ = firstline[1];
#line 1219 "../libdeja/duplicity/DuplicityJob.vala"
		switch (atoi (_tmp0_)) {
#line 1219 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_WARNING_ORPHANED_SIG:
#line 1219 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_WARNING_UNNECESSARY_SIG:
#line 1219 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_WARNING_UNMATCHED_SIG:
#line 1219 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_WARNING_INCOMPLETE_BACKUP:
#line 1219 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_WARNING_ORPHANED_BACKUP:
#line 6295 "DuplicityJob.c"
			{
				gboolean _tmp1_ = FALSE;
				DejaDupToolJobMode _tmp2_;
				DejaDupToolJobMode _tmp3_;
#line 1229 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp2_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 1229 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp3_ = _tmp2_;
#line 1229 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp3_ == DEJA_DUP_TOOL_JOB_MODE_BACKUP) {
#line 1229 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp1_ = !self->priv->cleaned_up_once;
#line 6308 "DuplicityJob.c"
				} else {
#line 1229 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp1_ = FALSE;
#line 6312 "DuplicityJob.c"
				}
#line 1229 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp1_) {
#line 1230 "../libdeja/duplicity/DuplicityJob.vala"
					duplicity_job_cleanup (self);
#line 6318 "DuplicityJob.c"
				}
#line 1231 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 6322 "DuplicityJob.c"
			}
#line 1219 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_WARNING_CANNOT_STAT:
#line 1219 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_WARNING_CANNOT_READ:
#line 6328 "DuplicityJob.c"
			{
#line 1237 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 > 2) {
#line 6332 "DuplicityJob.c"
					GFile* error_file = NULL;
					const gchar* _tmp4_;
					GFile* _tmp5_;
					gboolean _tmp6_ = FALSE;
					GFile* _tmp7_;
					GList* _tmp8_;
#line 1244 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp4_ = firstline[2];
#line 1244 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp5_ = duplicity_job_make_file_obj (self, _tmp4_);
#line 1244 "../libdeja/duplicity/DuplicityJob.vala"
					error_file = _tmp5_;
#line 1245 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp7_ = error_file;
#line 1245 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp8_ = ((DejaDupToolJob*) self)->includes;
#line 1245 "../libdeja/duplicity/DuplicityJob.vala"
					if (duplicity_job_is_file_in_or_under_list (self, _tmp7_, _tmp8_)) {
#line 6351 "DuplicityJob.c"
						GFile* _tmp9_;
						GList* _tmp10_;
#line 1246 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp9_ = error_file;
#line 1246 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp10_ = ((DejaDupToolJob*) self)->excludes;
#line 1246 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp6_ = !duplicity_job_is_file_in_list (self, _tmp9_, _tmp10_);
#line 6360 "DuplicityJob.c"
					} else {
#line 1245 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp6_ = FALSE;
#line 6364 "DuplicityJob.c"
					}
#line 1245 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp6_) {
#line 6368 "DuplicityJob.c"
						GFile* _tmp11_;
						gchar* _tmp12_;
						gchar* _tmp13_;
#line 1247 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp11_ = error_file;
#line 1247 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp12_ = g_file_get_parse_name (_tmp11_);
#line 1247 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp13_ = _tmp12_;
#line 1247 "../libdeja/duplicity/DuplicityJob.vala"
						g_signal_emit_by_name ((DejaDupToolJob*) self, "local-file-error", _tmp13_);
#line 1247 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (_tmp13_);
#line 6382 "DuplicityJob.c"
					}
#line 1237 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (error_file);
#line 6386 "DuplicityJob.c"
				}
#line 1249 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 6390 "DuplicityJob.c"
			}
#line 1219 "../libdeja/duplicity/DuplicityJob.vala"
			case DUPLICITY_JOB_WARNING_CANNOT_PROCESS:
#line 6394 "DuplicityJob.c"
			{
#line 1254 "../libdeja/duplicity/DuplicityJob.vala"
				if (firstline_length1 > 2) {
#line 6398 "DuplicityJob.c"
					GFile* error_file = NULL;
					const gchar* _tmp14_;
					GFile* _tmp15_;
					gboolean _tmp16_ = FALSE;
					GFile* _tmp17_;
					GFile* _tmp18_;
#line 1258 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp14_ = firstline[2];
#line 1258 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp15_ = duplicity_job_make_file_obj (self, _tmp14_);
#line 1258 "../libdeja/duplicity/DuplicityJob.vala"
					error_file = _tmp15_;
#line 1259 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp17_ = error_file;
#line 1259 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp18_ = duplicity_job_slash;
#line 1259 "../libdeja/duplicity/DuplicityJob.vala"
					if (!g_file_equal (_tmp17_, _tmp18_)) {
#line 1260 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp16_ = !string_contains (text, "[Errno 1]");
#line 6419 "DuplicityJob.c"
					} else {
#line 1259 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp16_ = FALSE;
#line 6423 "DuplicityJob.c"
					}
#line 1259 "../libdeja/duplicity/DuplicityJob.vala"
					if (_tmp16_) {
#line 6427 "DuplicityJob.c"
						GFile* _tmp19_;
						gchar* _tmp20_;
						gchar* _tmp21_;
#line 1261 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp19_ = error_file;
#line 1261 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp20_ = g_file_get_parse_name (_tmp19_);
#line 1261 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp21_ = _tmp20_;
#line 1261 "../libdeja/duplicity/DuplicityJob.vala"
						g_signal_emit_by_name ((DejaDupToolJob*) self, "local-file-error", _tmp21_);
#line 1261 "../libdeja/duplicity/DuplicityJob.vala"
						_g_free0 (_tmp21_);
#line 6441 "DuplicityJob.c"
					}
#line 1254 "../libdeja/duplicity/DuplicityJob.vala"
					_g_object_unref0 (error_file);
#line 6445 "DuplicityJob.c"
				}
#line 1263 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 6449 "DuplicityJob.c"
			}
			default:
#line 1219 "../libdeja/duplicity/DuplicityJob.vala"
			break;
#line 6454 "DuplicityJob.c"
		}
	}
}

void
duplicity_job_process_warning (DuplicityJob* self,
                               gchar** firstline,
                               gint firstline_length1,
                               GList* data,
                               const gchar* text)
{
	DuplicityJobClass* _klass_;
#line 1215 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1215 "../libdeja/duplicity/DuplicityJob.vala"
	_klass_ = DUPLICITY_JOB_GET_CLASS (self);
#line 1215 "../libdeja/duplicity/DuplicityJob.vala"
	if (_klass_->process_warning) {
#line 1215 "../libdeja/duplicity/DuplicityJob.vala"
		_klass_->process_warning (self, firstline, firstline_length1, data, text);
#line 6475 "DuplicityJob.c"
	}
}

static void
duplicity_job_show_error (DuplicityJob* self,
                          const gchar* errorstr,
                          const gchar* detail)
{
	gboolean _tmp0_;
#line 1268 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1268 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (errorstr != NULL);
#line 1270 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = self->priv->_error_issued;
#line 1270 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_ == FALSE) {
#line 6493 "DuplicityJob.c"
		DejaDupBackendFile* file_backend = NULL;
		DejaDupBackend* _tmp1_;
		DejaDupBackend* _tmp2_;
		DejaDupBackendFile* _tmp3_;
		DejaDupBackendFile* _tmp4_;
#line 1271 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_set_error_issued (self, TRUE);
#line 1276 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = deja_dup_tool_job_get_backend ((DejaDupToolJob*) self);
#line 1276 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp2_ = _tmp1_;
#line 1276 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp3_ = _g_object_ref0 (DEJA_DUP_IS_BACKEND_FILE (_tmp2_) ? ((DejaDupBackendFile*) _tmp2_) : NULL);
#line 1276 "../libdeja/duplicity/DuplicityJob.vala"
		file_backend = _tmp3_;
#line 1277 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp4_ = file_backend;
#line 1277 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp4_ != NULL) {
#line 6513 "DuplicityJob.c"
			DejaDupBackendFile* _tmp5_;
			gchar* _tmp6_;
			gchar* _tmp7_;
			DejaDupBackendFile* _tmp8_;
			gchar* _tmp9_;
			gchar* _tmp10_;
#line 1278 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp5_ = file_backend;
#line 1278 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp6_ = deja_dup_backend_file_replace_path_with_uri (_tmp5_, errorstr);
#line 1278 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp7_ = _tmp6_;
#line 1278 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp8_ = file_backend;
#line 1278 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp9_ = deja_dup_backend_file_replace_path_with_uri (_tmp8_, detail);
#line 1278 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp10_ = _tmp9_;
#line 1278 "../libdeja/duplicity/DuplicityJob.vala"
			g_signal_emit_by_name ((DejaDupToolJob*) self, "raise-error", _tmp7_, _tmp10_);
#line 1278 "../libdeja/duplicity/DuplicityJob.vala"
			_g_free0 (_tmp10_);
#line 1278 "../libdeja/duplicity/DuplicityJob.vala"
			_g_free0 (_tmp7_);
#line 6538 "DuplicityJob.c"
		} else {
#line 1284 "../libdeja/duplicity/DuplicityJob.vala"
			g_signal_emit_by_name ((DejaDupToolJob*) self, "raise-error", errorstr, detail);
#line 6542 "DuplicityJob.c"
		}
#line 1270 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (file_backend);
#line 6546 "DuplicityJob.c"
	}
}

static gint
duplicity_job_get_volsize (DuplicityJob* self)
{
	gint result;
#line 1290 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 1310 "../libdeja/duplicity/DuplicityJob.vala"
	if (deja_dup_in_testing_mode ()) {
#line 1311 "../libdeja/duplicity/DuplicityJob.vala"
		result = 1;
#line 1311 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 6562 "DuplicityJob.c"
	} else {
#line 1313 "../libdeja/duplicity/DuplicityJob.vala"
		result = 200;
#line 1313 "../libdeja/duplicity/DuplicityJob.vala"
		return result;
#line 6568 "DuplicityJob.c"
	}
}

static void
_duplicity_job_handle_done_duplicity_instance_done (DuplicityInstance* _sender,
                                                    gboolean success,
                                                    gboolean cancelled,
                                                    gpointer self)
{
#line 1320 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_handle_done ((DuplicityJob*) self, _sender, success, cancelled);
#line 6580 "DuplicityJob.c"
}

static void
_duplicity_job_handle_message_duplicity_instance_message (DuplicityInstance* _sender,
                                                          gchar** control_line,
                                                          gint control_line_length1,
                                                          GList* data_lines,
                                                          const gchar* user_text,
                                                          gpointer self)
{
#line 1321 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_handle_message ((DuplicityJob*) self, _sender, control_line, control_line_length1, data_lines, user_text);
#line 6593 "DuplicityJob.c"
}

static void
_duplicity_job_handle_exit_duplicity_instance_exited (DuplicityInstance* _sender,
                                                      gint code,
                                                      gpointer self)
{
#line 1322 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_handle_exit ((DuplicityJob*) self, code);
#line 6603 "DuplicityJob.c"
}

static void
duplicity_job_disconnect_inst (DuplicityJob* self)
{
	DuplicityInstance* _tmp0_;
#line 1316 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1319 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = self->priv->inst;
#line 1319 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_ != NULL) {
#line 6616 "DuplicityJob.c"
		DuplicityInstance* _tmp1_;
		guint _tmp2_;
		DuplicityInstance* _tmp3_;
		guint _tmp4_;
		DuplicityInstance* _tmp5_;
		guint _tmp6_;
		DuplicityInstance* _tmp7_;
#line 1320 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = self->priv->inst;
#line 1320 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_parse_name ("done", TYPE_DUPLICITY_INSTANCE, &_tmp2_, NULL, FALSE);
#line 1320 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_handlers_disconnect_matched (_tmp1_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp2_, 0, NULL, (GCallback) _duplicity_job_handle_done_duplicity_instance_done, self);
#line 1321 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp3_ = self->priv->inst;
#line 1321 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_parse_name ("message", TYPE_DUPLICITY_INSTANCE, &_tmp4_, NULL, FALSE);
#line 1321 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_handlers_disconnect_matched (_tmp3_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp4_, 0, NULL, (GCallback) _duplicity_job_handle_message_duplicity_instance_message, self);
#line 1322 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp5_ = self->priv->inst;
#line 1322 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_parse_name ("exited", TYPE_DUPLICITY_INSTANCE, &_tmp6_, NULL, FALSE);
#line 1322 "../libdeja/duplicity/DuplicityJob.vala"
		g_signal_handlers_disconnect_matched (_tmp5_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp6_, 0, NULL, (GCallback) _duplicity_job_handle_exit_duplicity_instance_exited, self);
#line 1323 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp7_ = self->priv->inst;
#line 1323 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_instance_cancel (_tmp7_);
#line 1324 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (self->priv->inst);
#line 1324 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->inst = NULL;
#line 6650 "DuplicityJob.c"
	}
}

static void
duplicity_job_connect_and_start (DuplicityJob* self,
                                 GList* argv_extra,
                                 GList* envp_extra,
                                 GList* argv_entire,
                                 GFile* custom_local)
{
	DuplicityInstance* _tmp0_;
	DuplicityInstance* _tmp1_;
	const gchar* _tmp2_;
	DuplicityInstance* _tmp5_;
	DuplicityInstance* _tmp6_;
	GList* _tmp7_ = NULL;
	GList* base_argv = NULL;
	GFile* _tmp9_ = NULL;
	GFile* local_arg = NULL;
	GList* argv = NULL;
	GList* _tmp12_;
	GList* envp = NULL;
	GList* _tmp58_;
	gboolean use_encryption = FALSE;
	DuplicityInstance* _tmp79_;
	GList* _tmp80_;
	GList* _tmp81_;
#line 1328 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 1337 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_disconnect_inst (self);
#line 1340 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = duplicity_instance_new ();
#line 1340 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (self->priv->inst);
#line 1340 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->inst = _tmp0_;
#line 1341 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = self->priv->inst;
#line 1341 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_connect_object (_tmp1_, "done", (GCallback) _duplicity_job_handle_done_duplicity_instance_done, self, 0);
#line 1343 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp2_ = self->priv->forced_cache_dir;
#line 1343 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp2_ != NULL) {
#line 6696 "DuplicityJob.c"
		DuplicityInstance* _tmp3_;
		const gchar* _tmp4_;
#line 1344 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp3_ = self->priv->inst;
#line 1344 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp4_ = self->priv->forced_cache_dir;
#line 1344 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_instance_set_forced_cache_dir (_tmp3_, _tmp4_);
#line 6705 "DuplicityJob.c"
	}
#line 1347 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp5_ = self->priv->inst;
#line 1347 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_connect_object (_tmp5_, "message", (GCallback) _duplicity_job_handle_message_duplicity_instance_message, self, 0);
#line 1350 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp6_ = self->priv->inst;
#line 1350 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_connect_object (_tmp6_, "exited", (GCallback) _duplicity_job_handle_exit_duplicity_instance_exited, self, 0);
#line 1353 "../libdeja/duplicity/DuplicityJob.vala"
	if (argv_entire == NULL) {
#line 6717 "DuplicityJob.c"
		GList* _tmp8_;
#line 1353 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp8_ = self->priv->saved_argv;
#line 1353 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp7_ = _tmp8_;
#line 6723 "DuplicityJob.c"
	} else {
#line 1353 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp7_ = argv_entire;
#line 6727 "DuplicityJob.c"
	}
#line 1353 "../libdeja/duplicity/DuplicityJob.vala"
	base_argv = _tmp7_;
#line 1354 "../libdeja/duplicity/DuplicityJob.vala"
	if (custom_local == NULL) {
#line 6733 "DuplicityJob.c"
		GFile* _tmp10_;
		GFile* _tmp11_;
#line 1354 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp10_ = deja_dup_tool_job_get_local ((DejaDupToolJob*) self);
#line 1354 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp11_ = _tmp10_;
#line 1354 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp9_ = _tmp11_;
#line 6742 "DuplicityJob.c"
	} else {
#line 1354 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp9_ = custom_local;
#line 6746 "DuplicityJob.c"
	}
#line 1354 "../libdeja/duplicity/DuplicityJob.vala"
	local_arg = _tmp9_;
#line 1356 "../libdeja/duplicity/DuplicityJob.vala"
	argv = NULL;
#line 1357 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp12_ = base_argv;
#line 6754 "DuplicityJob.c"
	{
		GList* s_collection = NULL;
		GList* s_it = NULL;
#line 1357 "../libdeja/duplicity/DuplicityJob.vala"
		s_collection = _tmp12_;
#line 1357 "../libdeja/duplicity/DuplicityJob.vala"
		for (s_it = s_collection; s_it != NULL; s_it = s_it->next) {
#line 6762 "DuplicityJob.c"
			gchar* _tmp13_;
			gchar* s = NULL;
#line 1357 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp13_ = g_strdup ((const gchar*) s_it->data);
#line 1357 "../libdeja/duplicity/DuplicityJob.vala"
			s = _tmp13_;
#line 6769 "DuplicityJob.c"
			{
				const gchar* _tmp14_;
				gchar* _tmp15_;
#line 1357 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp14_ = s;
#line 1357 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp15_ = g_strdup (_tmp14_);
#line 1357 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp15_);
#line 1357 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (s);
#line 6781 "DuplicityJob.c"
			}
		}
	}
	{
		GList* s_collection = NULL;
		GList* s_it = NULL;
#line 1358 "../libdeja/duplicity/DuplicityJob.vala"
		s_collection = argv_extra;
#line 1358 "../libdeja/duplicity/DuplicityJob.vala"
		for (s_it = s_collection; s_it != NULL; s_it = s_it->next) {
#line 6792 "DuplicityJob.c"
			gchar* _tmp16_;
			gchar* s = NULL;
#line 1358 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp16_ = g_strdup ((const gchar*) s_it->data);
#line 1358 "../libdeja/duplicity/DuplicityJob.vala"
			s = _tmp16_;
#line 6799 "DuplicityJob.c"
			{
				const gchar* _tmp17_;
				gchar* _tmp18_;
#line 1358 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp17_ = s;
#line 1358 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp18_ = g_strdup (_tmp17_);
#line 1358 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp18_);
#line 1358 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (s);
#line 6811 "DuplicityJob.c"
			}
		}
	}
#line 1361 "../libdeja/duplicity/DuplicityJob.vala"
	if (argv_entire == NULL) {
#line 6817 "DuplicityJob.c"
		DejaDupToolJobMode _tmp19_;
		DejaDupToolJobMode _tmp20_;
#line 1363 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp19_ = deja_dup_tool_job_get_mode ((DejaDupToolJob*) self);
#line 1363 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp20_ = _tmp19_;
#line 1363 "../libdeja/duplicity/DuplicityJob.vala"
		switch (_tmp20_) {
#line 1363 "../libdeja/duplicity/DuplicityJob.vala"
			case DEJA_DUP_TOOL_JOB_MODE_BACKUP:
#line 6828 "DuplicityJob.c"
			{
				const gchar* _tmp21_ = NULL;
				gchar* _tmp22_;
				GList* _tmp23_;
				gchar* _tmp27_;
				gchar* _tmp28_;
				GFile* _tmp29_;
				gchar* _tmp30_;
				gchar* _tmp31_;
#line 1365 "../libdeja/duplicity/DuplicityJob.vala"
				if (self->priv->is_full_backup) {
#line 1365 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp21_ = "full";
#line 6842 "DuplicityJob.c"
				} else {
#line 1365 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp21_ = "backup";
#line 6846 "DuplicityJob.c"
				}
#line 1365 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp22_ = g_strdup (_tmp21_);
#line 1365 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_prepend (argv, _tmp22_);
#line 1366 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp23_ = self->priv->includes_argv;
#line 6854 "DuplicityJob.c"
				{
					GList* s_collection = NULL;
					GList* s_it = NULL;
#line 1366 "../libdeja/duplicity/DuplicityJob.vala"
					s_collection = _tmp23_;
#line 1366 "../libdeja/duplicity/DuplicityJob.vala"
					for (s_it = s_collection; s_it != NULL; s_it = s_it->next) {
#line 6862 "DuplicityJob.c"
						gchar* _tmp24_;
						gchar* s = NULL;
#line 1366 "../libdeja/duplicity/DuplicityJob.vala"
						_tmp24_ = g_strdup ((const gchar*) s_it->data);
#line 1366 "../libdeja/duplicity/DuplicityJob.vala"
						s = _tmp24_;
#line 6869 "DuplicityJob.c"
						{
							const gchar* _tmp25_;
							gchar* _tmp26_;
#line 1366 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp25_ = s;
#line 1366 "../libdeja/duplicity/DuplicityJob.vala"
							_tmp26_ = g_strdup (_tmp25_);
#line 1366 "../libdeja/duplicity/DuplicityJob.vala"
							argv = g_list_append (argv, _tmp26_);
#line 1366 "../libdeja/duplicity/DuplicityJob.vala"
							_g_free0 (s);
#line 6881 "DuplicityJob.c"
						}
					}
				}
#line 1371 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp27_ = g_strdup ("--no-files-changed");
#line 1371 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp27_);
#line 1372 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp28_ = g_strdup_printf ("--volsize=%d", duplicity_job_get_volsize (self));
#line 1372 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp28_);
#line 1373 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp29_ = local_arg;
#line 1373 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp30_ = g_file_get_path (_tmp29_);
#line 1373 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp30_);
#line 1374 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp31_ = duplicity_job_get_remote (self);
#line 1374 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp31_);
#line 1375 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 6905 "DuplicityJob.c"
			}
#line 1363 "../libdeja/duplicity/DuplicityJob.vala"
			case DEJA_DUP_TOOL_JOB_MODE_RESTORE:
#line 6909 "DuplicityJob.c"
			{
				gchar* _tmp32_;
				gboolean _tmp33_ = FALSE;
				const gchar* _tmp34_;
				const gchar* _tmp35_;
				gchar* _tmp41_;
				gchar* _tmp42_;
				gchar* _tmp43_;
				GFile* _tmp44_;
				gchar* _tmp45_;
#line 1377 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp32_ = g_strdup ("restore");
#line 1377 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_prepend (argv, _tmp32_);
#line 1378 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp34_ = deja_dup_tool_job_get_tag ((DejaDupToolJob*) self);
#line 1378 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp35_ = _tmp34_;
#line 1378 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp35_ != NULL) {
#line 6930 "DuplicityJob.c"
					const gchar* _tmp36_;
					const gchar* _tmp37_;
#line 1378 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp36_ = deja_dup_tool_job_get_tag ((DejaDupToolJob*) self);
#line 1378 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp37_ = _tmp36_;
#line 1378 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp33_ = g_strcmp0 (_tmp37_, "now") != 0;
#line 6939 "DuplicityJob.c"
				} else {
#line 1378 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp33_ = FALSE;
#line 6943 "DuplicityJob.c"
				}
#line 1378 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp33_) {
#line 6947 "DuplicityJob.c"
					const gchar* _tmp38_;
					const gchar* _tmp39_;
					gchar* _tmp40_;
#line 1379 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp38_ = deja_dup_tool_job_get_tag ((DejaDupToolJob*) self);
#line 1379 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp39_ = _tmp38_;
#line 1379 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp40_ = g_strdup_printf ("--time=%s", _tmp39_);
#line 1379 "../libdeja/duplicity/DuplicityJob.vala"
					argv = g_list_append (argv, _tmp40_);
#line 6959 "DuplicityJob.c"
				}
#line 1383 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp41_ = g_strdup ("--no-restore-ownership");
#line 1383 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp41_);
#line 1384 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp42_ = g_strdup ("--force");
#line 1384 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp42_);
#line 1385 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp43_ = duplicity_job_get_remote (self);
#line 1385 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp43_);
#line 1386 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp44_ = local_arg;
#line 1386 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp45_ = g_file_get_path (_tmp44_);
#line 1386 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp45_);
#line 1387 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 6981 "DuplicityJob.c"
			}
#line 1363 "../libdeja/duplicity/DuplicityJob.vala"
			case DEJA_DUP_TOOL_JOB_MODE_STATUS:
#line 6985 "DuplicityJob.c"
			{
				gchar* _tmp46_;
				gchar* _tmp47_;
#line 1389 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp46_ = g_strdup ("collection-status");
#line 1389 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_prepend (argv, _tmp46_);
#line 1390 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp47_ = duplicity_job_get_remote (self);
#line 1390 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp47_);
#line 1391 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 6999 "DuplicityJob.c"
			}
#line 1363 "../libdeja/duplicity/DuplicityJob.vala"
			case DEJA_DUP_TOOL_JOB_MODE_LIST:
#line 7003 "DuplicityJob.c"
			{
				gchar* _tmp48_;
				gboolean _tmp49_ = FALSE;
				const gchar* _tmp50_;
				const gchar* _tmp51_;
				gchar* _tmp57_;
#line 1393 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp48_ = g_strdup ("list-current-files");
#line 1393 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_prepend (argv, _tmp48_);
#line 1394 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp50_ = deja_dup_tool_job_get_tag ((DejaDupToolJob*) self);
#line 1394 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp51_ = _tmp50_;
#line 1394 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp51_ != NULL) {
#line 7020 "DuplicityJob.c"
					const gchar* _tmp52_;
					const gchar* _tmp53_;
#line 1394 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp52_ = deja_dup_tool_job_get_tag ((DejaDupToolJob*) self);
#line 1394 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp53_ = _tmp52_;
#line 1394 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp49_ = g_strcmp0 (_tmp53_, "now") != 0;
#line 7029 "DuplicityJob.c"
				} else {
#line 1394 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp49_ = FALSE;
#line 7033 "DuplicityJob.c"
				}
#line 1394 "../libdeja/duplicity/DuplicityJob.vala"
				if (_tmp49_) {
#line 7037 "DuplicityJob.c"
					const gchar* _tmp54_;
					const gchar* _tmp55_;
					gchar* _tmp56_;
#line 1395 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp54_ = deja_dup_tool_job_get_tag ((DejaDupToolJob*) self);
#line 1395 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp55_ = _tmp54_;
#line 1395 "../libdeja/duplicity/DuplicityJob.vala"
					_tmp56_ = g_strdup_printf ("--time=%s", _tmp55_);
#line 1395 "../libdeja/duplicity/DuplicityJob.vala"
					argv = g_list_append (argv, _tmp56_);
#line 7049 "DuplicityJob.c"
				}
#line 1396 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp57_ = duplicity_job_get_remote (self);
#line 1396 "../libdeja/duplicity/DuplicityJob.vala"
				argv = g_list_append (argv, _tmp57_);
#line 1397 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 7057 "DuplicityJob.c"
			}
			default:
			{
#line 1399 "../libdeja/duplicity/DuplicityJob.vala"
				break;
#line 7063 "DuplicityJob.c"
			}
		}
	}
#line 1404 "../libdeja/duplicity/DuplicityJob.vala"
	envp = NULL;
#line 1405 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp58_ = self->priv->saved_envp;
#line 7071 "DuplicityJob.c"
	{
		GList* s_collection = NULL;
		GList* s_it = NULL;
#line 1405 "../libdeja/duplicity/DuplicityJob.vala"
		s_collection = _tmp58_;
#line 1405 "../libdeja/duplicity/DuplicityJob.vala"
		for (s_it = s_collection; s_it != NULL; s_it = s_it->next) {
#line 7079 "DuplicityJob.c"
			gchar* _tmp59_;
			gchar* s = NULL;
#line 1405 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp59_ = g_strdup ((const gchar*) s_it->data);
#line 1405 "../libdeja/duplicity/DuplicityJob.vala"
			s = _tmp59_;
#line 7086 "DuplicityJob.c"
			{
				const gchar* _tmp60_;
				gchar* _tmp61_;
#line 1405 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp60_ = s;
#line 1405 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp61_ = g_strdup (_tmp60_);
#line 1405 "../libdeja/duplicity/DuplicityJob.vala"
				envp = g_list_append (envp, _tmp61_);
#line 1405 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (s);
#line 7098 "DuplicityJob.c"
			}
		}
	}
	{
		GList* s_collection = NULL;
		GList* s_it = NULL;
#line 1406 "../libdeja/duplicity/DuplicityJob.vala"
		s_collection = envp_extra;
#line 1406 "../libdeja/duplicity/DuplicityJob.vala"
		for (s_it = s_collection; s_it != NULL; s_it = s_it->next) {
#line 7109 "DuplicityJob.c"
			gchar* _tmp62_;
			gchar* s = NULL;
#line 1406 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp62_ = g_strdup ((const gchar*) s_it->data);
#line 1406 "../libdeja/duplicity/DuplicityJob.vala"
			s = _tmp62_;
#line 7116 "DuplicityJob.c"
			{
				const gchar* _tmp63_;
				gchar* _tmp64_;
#line 1406 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp63_ = s;
#line 1406 "../libdeja/duplicity/DuplicityJob.vala"
				_tmp64_ = g_strdup (_tmp63_);
#line 1406 "../libdeja/duplicity/DuplicityJob.vala"
				envp = g_list_append (envp, _tmp64_);
#line 1406 "../libdeja/duplicity/DuplicityJob.vala"
				_g_free0 (s);
#line 7128 "DuplicityJob.c"
			}
		}
	}
#line 1408 "../libdeja/duplicity/DuplicityJob.vala"
	use_encryption = FALSE;
#line 1409 "../libdeja/duplicity/DuplicityJob.vala"
	if (self->priv->detected_encryption) {
#line 1410 "../libdeja/duplicity/DuplicityJob.vala"
		use_encryption = self->priv->existing_encrypted;
#line 7138 "DuplicityJob.c"
	} else {
		const gchar* _tmp65_;
		const gchar* _tmp66_;
#line 1411 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp65_ = deja_dup_tool_job_get_encrypt_password ((DejaDupToolJob*) self);
#line 1411 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp66_ = _tmp65_;
#line 1411 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp66_ != NULL) {
#line 7148 "DuplicityJob.c"
			const gchar* _tmp67_;
			const gchar* _tmp68_;
#line 1412 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp67_ = deja_dup_tool_job_get_encrypt_password ((DejaDupToolJob*) self);
#line 1412 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp68_ = _tmp67_;
#line 1412 "../libdeja/duplicity/DuplicityJob.vala"
			use_encryption = g_strcmp0 (_tmp68_, "") != 0;
#line 7157 "DuplicityJob.c"
		}
	}
#line 1414 "../libdeja/duplicity/DuplicityJob.vala"
	if (use_encryption) {
#line 7162 "DuplicityJob.c"
		gboolean _tmp69_ = FALSE;
		const gchar* _tmp70_;
		const gchar* _tmp71_;
#line 1415 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp70_ = deja_dup_tool_job_get_encrypt_password ((DejaDupToolJob*) self);
#line 1415 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp71_ = _tmp70_;
#line 1415 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp71_ != NULL) {
#line 7172 "DuplicityJob.c"
			const gchar* _tmp72_;
			const gchar* _tmp73_;
#line 1415 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp72_ = deja_dup_tool_job_get_encrypt_password ((DejaDupToolJob*) self);
#line 1415 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp73_ = _tmp72_;
#line 1415 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp69_ = g_strcmp0 (_tmp73_, "") != 0;
#line 7181 "DuplicityJob.c"
		} else {
#line 1415 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp69_ = FALSE;
#line 7185 "DuplicityJob.c"
		}
#line 1415 "../libdeja/duplicity/DuplicityJob.vala"
		if (_tmp69_) {
#line 7189 "DuplicityJob.c"
			const gchar* _tmp74_;
			const gchar* _tmp75_;
			gchar* _tmp76_;
#line 1416 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp74_ = deja_dup_tool_job_get_encrypt_password ((DejaDupToolJob*) self);
#line 1416 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp75_ = _tmp74_;
#line 1416 "../libdeja/duplicity/DuplicityJob.vala"
			_tmp76_ = g_strdup_printf ("PASSPHRASE=%s", _tmp75_);
#line 1416 "../libdeja/duplicity/DuplicityJob.vala"
			envp = g_list_append (envp, _tmp76_);
#line 7201 "DuplicityJob.c"
		}
	} else {
		gchar* _tmp77_;
		gchar* _tmp78_;
#line 1423 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp77_ = g_strdup ("--no-encryption");
#line 1423 "../libdeja/duplicity/DuplicityJob.vala"
		argv = g_list_append (argv, _tmp77_);
#line 1424 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp78_ = g_strdup ("PASSPHRASE=");
#line 1424 "../libdeja/duplicity/DuplicityJob.vala"
		envp = g_list_append (envp, _tmp78_);
#line 7214 "DuplicityJob.c"
	}
#line 1428 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp79_ = self->priv->inst;
#line 1428 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp80_ = argv;
#line 1428 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp81_ = envp;
#line 1428 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_instance_start (_tmp79_, _tmp80_, _tmp81_, NULL, NULL);
#line 1328 "../libdeja/duplicity/DuplicityJob.vala"
	(envp == NULL) ? NULL : (envp = (_g_list_free__g_free0_ (envp), NULL));
#line 1328 "../libdeja/duplicity/DuplicityJob.vala"
	(argv == NULL) ? NULL : (argv = (_g_list_free__g_free0_ (argv), NULL));
#line 7228 "DuplicityJob.c"
}

DuplicityJob*
duplicity_job_construct (GType object_type)
{
	DuplicityJob * self = NULL;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	self = (DuplicityJob*) deja_dup_tool_job_construct (object_type);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	return self;
#line 7239 "DuplicityJob.c"
}

DuplicityJob*
duplicity_job_new (void)
{
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	return duplicity_job_construct (TYPE_DUPLICITY_JOB);
#line 7247 "DuplicityJob.c"
}

static DejaDupToolJobMode
duplicity_job_get_original_mode (DuplicityJob* self)
{
	DejaDupToolJobMode result;
#line 11 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 11 "../libdeja/duplicity/DuplicityJob.vala"
	result = self->priv->_original_mode;
#line 11 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 7260 "DuplicityJob.c"
}

static void
duplicity_job_set_original_mode (DuplicityJob* self,
                                 DejaDupToolJobMode value)
{
#line 11 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 11 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->_original_mode = value;
#line 7271 "DuplicityJob.c"
}

static gboolean
duplicity_job_get_error_issued (DuplicityJob* self)
{
	gboolean result;
#line 12 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 12 "../libdeja/duplicity/DuplicityJob.vala"
	result = self->priv->_error_issued;
#line 12 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 7284 "DuplicityJob.c"
}

static void
duplicity_job_set_error_issued (DuplicityJob* self,
                                gboolean value)
{
#line 12 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 12 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->_error_issued = value;
#line 7295 "DuplicityJob.c"
}

static gboolean
duplicity_job_get_was_stopped (DuplicityJob* self)
{
	gboolean result;
#line 13 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 13 "../libdeja/duplicity/DuplicityJob.vala"
	result = self->priv->_was_stopped;
#line 13 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 7308 "DuplicityJob.c"
}

static void
duplicity_job_set_was_stopped (DuplicityJob* self,
                               gboolean value)
{
#line 13 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 13 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->_was_stopped = value;
#line 7319 "DuplicityJob.c"
}

DuplicityJobState
duplicity_job_get_state (DuplicityJob* self)
{
	DuplicityJobState result;
#line 23 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 23 "../libdeja/duplicity/DuplicityJob.vala"
	result = self->priv->_state;
#line 23 "../libdeja/duplicity/DuplicityJob.vala"
	return result;
#line 7332 "DuplicityJob.c"
}

void
duplicity_job_set_state (DuplicityJob* self,
                         DuplicityJobState value)
{
	DuplicityJobState old_value;
#line 23 "../libdeja/duplicity/DuplicityJob.vala"
	g_return_if_fail (self != NULL);
#line 23 "../libdeja/duplicity/DuplicityJob.vala"
	old_value = duplicity_job_get_state (self);
#line 23 "../libdeja/duplicity/DuplicityJob.vala"
	if (old_value != value) {
#line 23 "../libdeja/duplicity/DuplicityJob.vala"
		self->priv->_state = value;
#line 23 "../libdeja/duplicity/DuplicityJob.vala"
		g_object_notify_by_pspec ((GObject *) self, duplicity_job_properties[DUPLICITY_JOB_STATE_PROPERTY]);
#line 7350 "DuplicityJob.c"
	}
}

static void
duplicity_job_date_info_copy (const DuplicityJobDateInfo* self,
                              DuplicityJobDateInfo* dest)
{
	GDateTime* _tmp0_;
	GDateTime* _tmp1_;
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	(*dest).full = (*self).full;
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = (*self).time;
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _g_date_time_ref0 (_tmp0_);
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	_g_date_time_unref0 ((*dest).time);
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	(*dest).time = _tmp1_;
#line 7370 "DuplicityJob.c"
}

static void
duplicity_job_date_info_destroy (DuplicityJobDateInfo* self)
{
#line 50 "../libdeja/duplicity/DuplicityJob.vala"
	_g_date_time_unref0 ((*self).time);
#line 7378 "DuplicityJob.c"
}

static DuplicityJobDateInfo*
duplicity_job_date_info_dup (const DuplicityJobDateInfo* self)
{
	DuplicityJobDateInfo* dup;
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	dup = g_new0 (DuplicityJobDateInfo, 1);
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_date_info_copy (self, dup);
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	return dup;
#line 7391 "DuplicityJob.c"
}

static void
duplicity_job_date_info_free (DuplicityJobDateInfo* self)
{
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_date_info_destroy (self);
#line 48 "../libdeja/duplicity/DuplicityJob.vala"
	g_free (self);
#line 7401 "DuplicityJob.c"
}

 G_GNUC_NO_INLINE static GType
duplicity_job_date_info_get_type_once (void)
{
	GType duplicity_job_date_info_type_id;
	duplicity_job_date_info_type_id = g_boxed_type_register_static ("DuplicityJobDateInfo", (GBoxedCopyFunc) duplicity_job_date_info_dup, (GBoxedFreeFunc) duplicity_job_date_info_free);
	return duplicity_job_date_info_type_id;
}

static GType
duplicity_job_date_info_get_type (void)
{
	static gsize duplicity_job_date_info_type_id__once = 0;
	if (g_once_init_enter (&duplicity_job_date_info_type_id__once)) {
		GType duplicity_job_date_info_type_id;
		duplicity_job_date_info_type_id = duplicity_job_date_info_get_type_once ();
		g_once_init_leave (&duplicity_job_date_info_type_id__once, duplicity_job_date_info_type_id);
	}
	return duplicity_job_date_info_type_id__once;
}

static GObject *
duplicity_job_constructor (GType type,
                           guint n_construct_properties,
                           GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	DuplicityJob * self;
	GFile* _tmp0_;
#line 74 "../libdeja/duplicity/DuplicityJob.vala"
	parent_class = G_OBJECT_CLASS (duplicity_job_parent_class);
#line 74 "../libdeja/duplicity/DuplicityJob.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 74 "../libdeja/duplicity/DuplicityJob.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_DUPLICITY_JOB, DuplicityJob);
#line 75 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = duplicity_job_slash;
#line 75 "../libdeja/duplicity/DuplicityJob.vala"
	if (_tmp0_ == NULL) {
#line 7443 "DuplicityJob.c"
		GFile* _tmp1_;
#line 76 "../libdeja/duplicity/DuplicityJob.vala"
		_tmp1_ = g_file_new_for_path ("/");
#line 76 "../libdeja/duplicity/DuplicityJob.vala"
		_g_object_unref0 (duplicity_job_slash);
#line 76 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_slash = _tmp1_;
#line 7451 "DuplicityJob.c"
	}
#line 74 "../libdeja/duplicity/DuplicityJob.vala"
	return obj;
#line 7455 "DuplicityJob.c"
}

static void
duplicity_job_class_init (DuplicityJobClass * klass,
                          gpointer klass_data)
{
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	duplicity_job_parent_class = g_type_class_peek_parent (klass);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_type_class_adjust_private_offset (klass, &DuplicityJob_private_offset);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	((DejaDupToolJobClass *) klass)->start = (void (*) (DejaDupToolJob*, GAsyncReadyCallback, gpointer)) duplicity_job_real_start;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	((DejaDupToolJobClass *) klass)->start_finish = (void (*) (DejaDupToolJob*, GAsyncResult*)) duplicity_job_start_finish;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	((DejaDupToolJobClass *) klass)->cancel = (void (*) (DejaDupToolJob*)) duplicity_job_real_cancel;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	((DejaDupToolJobClass *) klass)->stop = (void (*) (DejaDupToolJob*)) duplicity_job_real_stop;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	((DejaDupToolJobClass *) klass)->pause = (void (*) (DejaDupToolJob*, const gchar*)) duplicity_job_real_pause;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	((DejaDupToolJobClass *) klass)->resume = (void (*) (DejaDupToolJob*)) duplicity_job_real_resume;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	((DuplicityJobClass *) klass)->process_error = (void (*) (DuplicityJob*, gchar**, gint, GList*, const gchar*)) duplicity_job_real_process_error;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	((DuplicityJobClass *) klass)->process_info = (void (*) (DuplicityJob*, gchar**, gint, GList*, const gchar*)) duplicity_job_real_process_info;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	((DuplicityJobClass *) klass)->process_warning = (void (*) (DuplicityJob*, gchar**, gint, GList*, const gchar*)) duplicity_job_real_process_warning;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_duplicity_job_get_property;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_duplicity_job_set_property;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	G_OBJECT_CLASS (klass)->constructor = duplicity_job_constructor;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	G_OBJECT_CLASS (klass)->finalize = duplicity_job_finalize;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DUPLICITY_JOB_STATE_PROPERTY, duplicity_job_properties[DUPLICITY_JOB_STATE_PROPERTY] = g_param_spec_enum ("state", "state", "state", DUPLICITY_JOB_TYPE_STATE, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 7494 "DuplicityJob.c"
}

static void
duplicity_job_instance_init (DuplicityJob * self,
                             gpointer klass)
{
	gchar* _tmp0_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv = duplicity_job_get_instance_private (self);
#line 12 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->_error_issued = FALSE;
#line 13 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->_was_stopped = FALSE;
#line 30 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->is_full_backup = FALSE;
#line 31 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->cleaned_up_once = FALSE;
#line 32 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->detected_encryption = FALSE;
#line 33 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->existing_encrypted = FALSE;
#line 34 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = g_strdup ("");
#line 34 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->location_pretty = _tmp0_;
#line 35 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->restore_files_total = (guint) 0;
#line 40 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->has_progress_total = FALSE;
#line 46 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->checked_collection_info = FALSE;
#line 47 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->got_collection_info = FALSE;
#line 52 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->collection_info = NULL;
#line 54 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->reported_full_backups = FALSE;
#line 56 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->checked_backup_space = FALSE;
#line 59 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->deleted_files = FALSE;
#line 60 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->delete_age = 0;
#line 62 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->last_touched_file = NULL;
#line 63 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->forced_cache_dir = NULL;
#line 64 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->rclone_remote = NULL;
#line 763 "../libdeja/duplicity/DuplicityJob.vala"
	self->priv->restarted_without_cache = FALSE;
#line 7546 "DuplicityJob.c"
}

static void
duplicity_job_finalize (GObject * obj)
{
	DuplicityJob * self;
	DejaDupNetwork* _tmp0_;
	DejaDupNetwork* _tmp1_;
	guint _tmp2_;
	GQuark _tmp3_;
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_DUPLICITY_JOB, DuplicityJob);
#line 81 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp0_ = deja_dup_network_get ();
#line 81 "../libdeja/duplicity/DuplicityJob.vala"
	_tmp1_ = _tmp0_;
#line 81 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_parse_name ("notify::connected", G_TYPE_OBJECT, &_tmp2_, &_tmp3_, TRUE);
#line 81 "../libdeja/duplicity/DuplicityJob.vala"
	g_signal_handlers_disconnect_matched ((GObject*) _tmp1_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_DETAIL | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp2_, _tmp3_, NULL, (GCallback) _duplicity_job_network_changed_g_object_notify, self);
#line 81 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (_tmp1_);
#line 25 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (self->priv->inst);
#line 27 "../libdeja/duplicity/DuplicityJob.vala"
	(self->priv->includes_argv == NULL) ? NULL : (self->priv->includes_argv = (_g_list_free__g_free0_ (self->priv->includes_argv), NULL));
#line 28 "../libdeja/duplicity/DuplicityJob.vala"
	(self->priv->saved_argv == NULL) ? NULL : (self->priv->saved_argv = (_g_list_free__g_free0_ (self->priv->saved_argv), NULL));
#line 29 "../libdeja/duplicity/DuplicityJob.vala"
	(self->priv->saved_envp == NULL) ? NULL : (self->priv->saved_envp = (_g_list_free__g_free0_ (self->priv->saved_envp), NULL));
#line 34 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (self->priv->location_pretty);
#line 37 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (self->priv->last_bad_volume);
#line 52 "../libdeja/duplicity/DuplicityJob.vala"
	(self->priv->collection_info == NULL) ? NULL : (self->priv->collection_info = (_g_list_free__duplicity_job_date_info_free0_ (self->priv->collection_info), NULL));
#line 62 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (self->priv->last_touched_file);
#line 63 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (self->priv->forced_cache_dir);
#line 64 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (self->priv->rclone_remote);
#line 640 "../libdeja/duplicity/DuplicityJob.vala"
	_g_free0 (self->priv->saved_status);
#line 641 "../libdeja/duplicity/DuplicityJob.vala"
	_g_object_unref0 (self->priv->saved_status_file);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	G_OBJECT_CLASS (duplicity_job_parent_class)->finalize (obj);
#line 7595 "DuplicityJob.c"
}

 G_GNUC_NO_INLINE static GType
duplicity_job_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (DuplicityJobClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) duplicity_job_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (DuplicityJob), 0, (GInstanceInitFunc) duplicity_job_instance_init, NULL };
	GType duplicity_job_type_id;
	duplicity_job_type_id = g_type_register_static (DEJA_DUP_TYPE_TOOL_JOB, "DuplicityJob", &g_define_type_info, 0);
	DuplicityJob_private_offset = g_type_add_instance_private (duplicity_job_type_id, sizeof (DuplicityJobPrivate));
	return duplicity_job_type_id;
}

GType
duplicity_job_get_type (void)
{
	static gsize duplicity_job_type_id__once = 0;
	if (g_once_init_enter (&duplicity_job_type_id__once)) {
		GType duplicity_job_type_id;
		duplicity_job_type_id = duplicity_job_get_type_once ();
		g_once_init_leave (&duplicity_job_type_id__once, duplicity_job_type_id);
	}
	return duplicity_job_type_id__once;
}

static void
_vala_duplicity_job_get_property (GObject * object,
                                  guint property_id,
                                  GValue * value,
                                  GParamSpec * pspec)
{
	DuplicityJob * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_DUPLICITY_JOB, DuplicityJob);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	switch (property_id) {
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		case DUPLICITY_JOB_STATE_PROPERTY:
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		g_value_set_enum (value, duplicity_job_get_state (self));
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		break;
#line 7636 "DuplicityJob.c"
		default:
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		break;
#line 7642 "DuplicityJob.c"
	}
}

static void
_vala_duplicity_job_set_property (GObject * object,
                                  guint property_id,
                                  const GValue * value,
                                  GParamSpec * pspec)
{
	DuplicityJob * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_DUPLICITY_JOB, DuplicityJob);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
	switch (property_id) {
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		case DUPLICITY_JOB_STATE_PROPERTY:
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		duplicity_job_set_state (self, g_value_get_enum (value));
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		break;
#line 7662 "DuplicityJob.c"
		default:
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 9 "../libdeja/duplicity/DuplicityJob.vala"
		break;
#line 7668 "DuplicityJob.c"
	}
}

static void
_vala_array_destroy (gpointer array,
                     gssize array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		gssize i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}

static void
_vala_array_free (gpointer array,
                  gssize array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}

static gssize
_vala_array_length (gpointer array)
{
	gssize length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}

